/**
 * 资讯-沪深
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils"), 
		layerUtils = require("layerUtils"),
		newsCommon = require("newsCommon"),
		gconfig = require("gconfig"),
		VIscroll = require("vIscroll"),
		global = gconfig.global,
		external = require("external"),
//		serviceImp = require("serviceImp").getInstance(),
		serviceNews = require("serviceNews"),
		headFun = require("headFun"),
		_pageId = " #business_shAndSz ";
	var vIscroll = {"scroll":null,"_init":false};		//上下滑动
	var curpage = 1;		//当前页数
	var totalPage=1;		//后台返回的总页数
	var isFirstLoad = true;//第一次加载本页面
	var bigPan = 0; //大盘内容高度
	var perChance = 0; //个股机会高度
	var start_y = "";//触摸终止点的y坐标
	var shIscroll = require("shIscroll");
	var mySHIscroll = null;
	
	var _currentCheckIndex = 0; 
	
	function init() 
	{
		$(_pageId + "#news_huShen").parent().attr("class","active");
		
		initHIScroll();//初始化左右滑动组件函数的调用
		
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
		window.onRefresh = function(){
			//查询沪深数据
			queryData();
		};
		newsCommon.initHeader("沪深",true,"1","2");
//		$(_pageId + ".visc_pullUp").css("display","none");
		if(isFirstLoad){
			//模拟从安卓原生中取数据
			var results_a = newsCommon.readMsgFromFile("shAndSzMsg");
			if(typeof results_a != "undefined" && results_a != null
			&& results_a.tape && results_a.share && results_a != ""){
				var marketData = results_a.tape[0].data;
				var businessData = results_a.share[0].data;
				createMarketHtml(marketData);
				createBusinessHtml(businessData);
			}
			//初始化头部,调用刷新方法,此处为实现.
			headFun.initNav();
			//设施高度，添加滚动条
//			var contHeight = $(window).height() - $(_pageId + ".new_tab").height() -1;
//			$(_pageId + " .main").css({"height": contHeight, "overflow-x": "hidden", "overflow-y": "scroll"});
			queryData();
		}else{
			//初始化头部,调用刷新方法,此处为实现.
			headFun.initNav();
			//设施高度，添加滚动条
//			var contHeight = $(window).height() - $(_pageId + ".new_tab").height() -1;
//			$(_pageId + " .main").css({"height": contHeight, "overflow-x": "hidden", "overflow-y": "scroll"});
		}
		bindPageEvent();
		
		//点击过程中的左右滑动是选中的栏目居中
		_currentCheckIndex = $(_pageId + ".header .new_tab ul li[class=active]").index();
		mySHIscroll ? mySHIscroll.scrollToElement($(_pageId + ".new_tab li").eq(_currentCheckIndex ? (_currentCheckIndex - 1) : 0), 500) : "";
	}
	/**
	 * 初始化上下滑动组件
	 */
	function initVIScroll(){
		var extendHeight = 0;
		if(!vIscroll._init){
			if($(_pageId + " #bigPan").hasClass("show")){
				extendHeight += bigPan;
			}
			if($(_pageId + " #perChance").hasClass("show")){
				extendHeight += perChance;
			}
			var config = {
				"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
				"visibleHeight":$(window).height() - $(_pageId+" .top_title").height() - $(_pageId+" .new_tab").height() - 10,// 10为margin	
				"container": $(_pageId+" #v_container_funds_jj"),	
				"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
				"downHandle": function() {				//下拉获取上一页数据方法
					queryData();
				},
				"upHandle": function() {
//					vIscroll.scroll.refresh();
				},
				"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true; 						//尽量只初始化一次，保持性能
			
		}else{
			vIscroll.scroll.refresh();
		}
		//$(_pageId+" .visc_pullUp").hide();			//显示"上拉加载下一页"
		$(_pageId + ".visc_pullUp").css("display","none");
	}
	
	
	
	function bindPageEvent() {
		
		//首页返回键回到主页面
		appUtils.bindEvent($(_pageId + ".top_title a"), function() {
			external.callMessage({"moduleName":"home","funcNo": "50101"});
		});
		
//		/**
//		 * 将顶部显示出来
//		 */
//		appUtils.bindEvent($(_pageId), function(e){
//			$(_pageId + " .visc_loading").show();
//			$(_pageId + " #upHide").hide();
//		},"touchmove");
		
		/**
		 * 点击 ··· 跳转到大盘动态页面
		 */
		appUtils.bindEvent($(_pageId + " .ntitle span"), function(e){
			//页面跳转，携带标题数据
			appUtils.pageInit("business/shAndSz","business/hsMarketDynamic",{"title":$(this).next().text()});
			e.stopPropagation();
		},"click");
		
		/**
		 * 点击 √ 收缩大盘动态
		 */
		appUtils.bindEvent($(_pageId + ".ntitle :header"), function(e){
			$(this).parent().next().toggle();
			$(this).parent().toggleClass("show");
			e.stopPropagation();
			if(vIscroll._init){
				vIscroll.scroll.refresh();
			}
		},"click");
		
		/**
		 * 获取用户点击页面的移动坐标
		 */
		appUtils.bindEvent($(_pageId),function(e){
			var touch = event.targetTouches[0];
			var y = Number(touch.pageY); //页面触点Y坐标
			var yHeight = Number($(" #content").height());
			if(gconfig.platform == "2"){
				if(y >= (yHeight-1)){
					if($(_pageId + " .visc_flip").css("display") == "block"){
						if(vIscroll._init){
							vIscroll.scroll.refresh();
						}	        	
					}
				}
				if(y < 10){
					if(vIscroll._init){
						vIscroll.scroll.refresh();
					}	        	
				}
			}
		},"touchmove");
	}
	/**
	 * 查询数据
	 */
	function queryData(){
		queryMarketDynamic();
	}
	/**
	 * 查询沪深数据
	 */
	function queryMarketDynamic(){
		var param = {
				"catalogid" : "5",
			    "query_flag":"0", //0大盘动态+个股详情 ， 1：大盘动态 ， 2：个股详情
			    "curpage": curpage,
			    "rowofpage":"5"
		}
		newsCommon.refreshStyle(true);
		$(_pageId+ " .no_data").hide();
		serviceNews.queryNews(param,queryNewsCallback,true,false,true,function(){
			initVIScroll();
			if(vIscroll._init){
				vIscroll.scroll.refresh();
			}
			$(_pageId+" .news_list ul:eq(0)").html("<h5 style=\"font-size: 14px;\">暂无数据！</h5>");
			$(_pageId+" .news_list ul:eq(1)").html("<h5 style=\"font-size: 14px;\">暂无数据！</h5>");
			newsCommon.refreshStyle(false);
		});
	}
	/**
	 * 查询沪深数据回调
	 */
	function queryNewsCallback(data){
		newsCommon.refreshStyle(false);
		if (typeof(data) != "undefined" && data != null) {
			if(data.error_no == 0)
			{
				if( typeof data.DataSet != "undefined" && data.DataSet != null && data.DataSet != "" &&typeof data.tape != "undefined" && data.tape != null && data.tape != ""){
					isFirstLoad = false;
					var results_tape = data.tape;//大盘
					var results_share = data.DataSet;//个股详情
					if( typeof results_tape != "undefined" && results_tape != null && results_tape != ""){
						createMarketHtml(results_tape);
					}else{
						$(_pageId+" .news_list ul:eq(0)").html("<h5 style=\"font-size: 14px;\">暂无数据！</h5>");
						initVIScroll();
					}
					if( typeof results_share != "undefined" && results_share != null && results_share != ""){
						createBusinessHtml(results_share);
					}else{
						$(_pageId+" .news_list ul:eq(1)").html("<h5 style=\"font-size: 14px;\">暂无数据！</h5>");
						initVIScroll();
					}
					totalPage=data.tape[0].totalPages;	//数据的总页数
//					curpage=data.tape[0].currentPage;	//数据的当前页数
					if(curpage == 1){
						//将存入安卓原生中
						newsCommon.writeMsgToFile("shAndSzMsg",data);
					}
					
				}else{
					$(_pageId+" .news_list ul:eq(0)").html("<h5 style=\"font-size: 14px;\">暂无数据！</h5>");
					$(_pageId+" .news_list ul:eq(1)").html("<h5 style=\"font-size: 14px;\">暂无数据！</h5>");
				}
			}else{
				layerUtils.iAlert("查询失败");
			}
		}else{
		  layerUtils.iAlert("查询失败");
		}
	}
	/**
	 * 生成大盘动态Html
	 */
	function createMarketHtml(results){
		if(newsCommon.isEmptyObject(results)) return false; 
		var list = "";
		for(var i = 0;i<results.length;i++)
		{
//			var infopubldate = results[i].infopubldate;				//资讯要闻  -- 发布时间
			var updatetime = results[i].updatetime;	
			if(updatetime != ""){
				var yearTime = updatetime.substring(0,10);
				var dayTime = updatetime.substring(11,updatetime.length);
			}//资讯要闻  -- 采集时间
			var media = results[i].media;									//资讯要闻  -- 媒体出处
			var time = updatetime.substring(0,16);	//设置时间格式
			list +="<li id=\""+results[i].id+"\" data-yearTime="+yearTime+" data-dayTime="+dayTime+"><a href=\"javascript:void(0);\"><p>"+results[i].title+"</p><span style=\"float:left\">"+media+"</span><span style=\"margin-left:70px;\">"+time+"</span></a></li>";
		}
		$(_pageId+" .news_list #market").html(list);
		bigPan = $(_pageId + " #market").height(); //大盘内容高度
		
		//进入详情（大盘动态模块进入详情的事件的绑定）
		appUtils.bindEvent($(_pageId+"  .news_list ul:eq(0) li"),function(e){
			var data_id = $(this).attr("id");
			var data_title = $(this).find("p").text();
			var resource = $(this).find("span:eq(0)").text();
			var updateTime = $(this).attr("data-yearTime")+" "+$(this).attr("data-dayTime");
			updateTime = updateTime.substring(0,16);
			var curPage_Code = $("body #content div.page[data-display=block]").attr("id").replace("_","/");

//			if(gconfig.platform == 1){
//				var sendMsgParams = {
//						"id":data_id,		//资讯的id
//						"title":data_title,
//						"resource":resource,
//						"time":updateTime
//					};
//				var jsonMsg = {"moduleName":"news","childModuleName":"","funcNo":"50013","id":data_id,"title":data_title,"resource":resource,"time":updateTime};
//				external.callMessage(jsonMsg);
//			}else{
			var param_data = {
					"data_title":data_title,
					"resource" : resource,
					"updateTime" : updateTime
			}
			appUtils.pageInit("business/shAndSz","business/informationDetails",{"param_data":param_data,"id":$(this).attr("id"),"curPage_Code":"business/shAndSz"});
			e.stopPropagation();
//			}
		},"click");
	}
	
	/**
	 * 生成个股交易Html
	 */
	function createBusinessHtml(results){
		if(newsCommon.isEmptyObject(results)) return false; 
		var list = "";
		for(var i = 0;i<results.length;i++)
		{
//			var infopubldate = results[i].infopubldate;				//资讯要闻  -- 发布时间
			var updatetime = results[i].updatetime;	
			if(updatetime != ""){
				var yearTime = updatetime.substring(0,10);
				var dayTime = updatetime.substring(11,updatetime.length);
			}//资讯要闻  -- 采集时间
			var media = results[i].media;									//资讯要闻  -- 媒体出处
			updatetime =  updatetime.substring(0,16);											
			list +="<li id=\""+results[i].id+"\" data-yearTime="+yearTime+" data-dayTime="+dayTime+"><a href=\"javascript:void(0);\"><p>"+results[i].title+"</p><span style=\"float:left\">"+media+"</span><span style=\"margin-left:70px;\">"+updatetime+"</span></a></li>";
		}
		$(_pageId+" .news_list #business").html(list);
		perChance = $(_pageId + " #business").height(); //大盘内容高度
		//进入详情
		appUtils.bindEvent($(_pageId+"  .news_list ul:eq(1) li"),function(e){
			var data_id = $(this).attr("id");
			var data_title = $(this).find("p").text();
			var resource = $(this).find("span:eq(0)").text();
			var updateTime = $(this).attr("data-yearTime")+" "+$(this).attr("data-dayTime");
			updateTime = updateTime.substring(0,16);
        			
			var curPage_Code = $("body #content div.page[data-display=block]").attr("id").replace("_","/");
//        			if(gconfig.platform == 1){
        //				var sendMsgParams = {
        //						"id":data_id,		//资讯的id
        //						"title":data_title,
        //						"resource":resource,
        //						"time":updateTime
        //					};
//        				var jsonMsg = {"moduleName":"news","childModuleName":"","funcNo":"50013","id":data_id,"title":data_title,"resource":resource,"time":updateTime};
//        				external.callMessage(jsonMsg);
//        			}else{
        			var param_data = {
        					"data_title":data_title,
        					"resource" : resource,
        					"updateTime" : updateTime
        			}
    				appUtils.pageInit("business/shAndSz","business/informationDetails",{"param_data":param_data,"id":$(this).attr("id"),"curPage_Code":"business/shAndSz"});
    				e.stopPropagation();
//        			}
        		},"click");
		initVIScroll();
	}
	
	function initHIScroll(){
		if(!mySHIscroll){
			var config = {
				//获取两个指定的格式的对象
				wrapper: $(_pageId+" #wrapper_hMainPanel"), //wrapper对象
				container: $(_pageId+" #container_hMainPanel"), //container对象
				//滑动操作后要执行的方法
				onScrollEnd : function(){
					//滑动完成之后的处理，非必传
				}	
			};
			
			mySHIscroll = new shIscroll(config);
			//表示的就是头部导航显示的控制为四个
			$(_pageId+" #container_hMainPanel li").width($(_pageId+" #wrapper_hMainPanel").width()*0.2);
			//将滑动选中的元素li显示（在刚加载页面的时候除开第一个li元素是现实的，其他的li元素是隐藏的）
			$(_pageId+" #container_hMainPanel li").show();
		}
	}
	
	
	function destroy()
	{
//		myShIscroll.destroy();
		myShIscroll = null;
		
		start_y = "";//触摸终止点的y坐标
		curpage = 1;		//当前页数
		totalPage=1;		//后台返回的总页数
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
	}

	var shAndSz = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	module.exports = shAndSz;
});