/**
 * 视频见证注意事项
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	      service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  gconfig = require("gconfig"),
		  //global = gconfig.global,
		  layerUtils = require("layerUtils"),
		  needVideo = "",
		  _pageId = "#account_goVideoNotice";
		steps = ["uploadimg","idconfirm",
	         	 "stkacct","setpwd","tpbank",
	       	     "risksurvey","visitsurvey","witness","success"
	       	     ],
		stepMap = {"uploadimg":"account/uploadPhoto","idconfirm":"account/personInfo",
		           		   "stkacct":"account/signProtocol",
		           		   "setpwd":"account/setPwd","tpbank":"account/thirdDepository",
		          		   "risksurvey":"account/riskAssessment","witness":"account/postConfirmStep1","visitsurvey":"account/openConfirm",
		          		   "witness":"account/videoNotice","success":"account/success"
		},
		
		
		backMap = {"needFront":"account/backUploadPhoto",                	"needBusinessPwd":"account/backThirdDepository",
					"need_video":"account/videoNotice",
					"needThirdDeposit":"account/backThirdDepository",
					"need_account":"account/backSignProtocol",
					"needFundPwd":"account/backSetPwd",
					"needBusinessPwd":"account/backSetPwd",
					"needBusinessPwd":"account/backSetPwd"};
		stepMap1 = {"uploadimg":"上传影像","idconfirm":"填写信息","stkacct":"开立账户","setpwd":"设置密码","witness":"姿势识别",
				"tpbank":"三方存管","risksurvey":"风险评测","visitsurvey":"问卷回访","witness":"视频见证","success":"完成开户"},
		stepMap0 = {"uploadimg":"account/uploadPhotoChange","witness":"account/videoNotice","success":"account/success"};
	/* 私有业务模块的全局变量 end */
		//微信只驳回3)免冠照不符合要求，结果页提示“免冠大头照不符合要求”，请“重新拍照”4)三方绑定失败，结果页提示用户“三方存管绑定失败”，请“重新绑定”5)身份证影像不合格，结果页提示“上传的身份证影像不合格”，请“重新上传”模仿拍照影像不合格，结果页提示“您的模仿拍照的影像不合格，请”重新拍照“
		
	function init()
	{
	    initPage();  // 初始化页面
	}
	/* 初始化页面,获取用户上次开户走到的步骤 */
	function initPage()
	{
		var pageCode = "";
		//从session中取到用户名称
		var custname = appUtils.getSStorageInfo("custname");
		var currentStep = appUtils.getSStorageInfo("current_step");
		console.log(currentStep);
		var opacctkind_flag = appUtils.getSStorageInfo("opacctkind_flag");
		if(backToStep()){
			
		}else{
			if(currentStep && currentStep.length > 0)
			{
				var index = steps.indexOf(currentStep);
				if(index < (steps.length-1))
				{
					currentStep = steps[index + 1];
				}else if(index == (steps.length-1)){
					
				}
				if(opacctkind_flag == "0")
				{
					pageCode = stepMap1[currentStep];
				}
				else
				{
					pageCode = stepMap1[currentStep];
					if(!(pageCode && pageCode.length > 0))
					{
						pageCode = stepMap1[currentStep];
					}
				}
			}
			if(pageCode && pageCode.length > 0)
			{
				if("success"==currentStep){
					$(_pageId+" .user_infobox p").html("您已"+pageCode+"。");
				}else{
					$(_pageId+" .user_infobox p").html("您正在"+pageCode+"中");
				}
			}else{
				
			}
			
			//绑定下一步
			appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
				nextStep();
			});
		}
		
		$(_pageId+" .user_infobox h5").html(custname);
	}
	
	function backToStep(){
		var thirdParam = appUtils.getSStorageInfo("thirdParam");
		thirdParam =  JSON.parse(thirdParam)
		var faceParam = appUtils.getSStorageInfo("faceParam");
		faceParam =  JSON.parse(faceParam);
		var photoParam = appUtils.getSStorageInfo("photoParam");
		photoParam =  JSON.parse(photoParam);
		if(thirdParam.needThirdDeposit=="1"){
			$(_pageId+" .user_infobox p").html("您三方存管绑定失败”，请“重新绑定");
			//绑定下一步
			appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
				appUtils.pageInit("account/goVideoNotice","account/backThirdDepository",{});
			});
			return !0;
		}
		if(photoParam.needFront=="1"){
			$(_pageId+" .user_infobox p").html("上传的身份证影像不合格”，请“重新上传”");
			//绑定下一步
			appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
				appUtils.pageInit("account/goVideoNotice","account/backUploadPhoto",{});
			});
			return !0;
		}
		if(photoParam.needNohat=="1"){
			$(_pageId+" .user_infobox p").html("您的免冠大头照不符合要求”，请“重新拍照”");
			//绑定下一步
			appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
				appUtils.pageInit("account/goVideoNotice","account/backPostConfirmStep1",{});
			});
			return !0;
		}
		if(faceParam.need_action_face=="1"){
			$(_pageId+" .user_infobox p").html("您的模仿拍照的影像不合格，请“重新拍照”");
			//绑定下一步
			appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
				appUtils.pageInit("account/goVideoNotice","account/backPostConfirmStep2",{});
			});
			return !0;
		}
		var pwdParam = appUtils.getSStorageInfo("pwdParam");
		if(pwdParam.needBusinessPwd=="1"){
			$(_pageId+" .user_infobox p").html("密码错误，。");
		}
		var thirdParam = appUtils.getSStorageInfo("thirdParam");
		var accountParam = appUtils.getSStorageInfo("accountParam");
		var faceParam = appUtils.getSStorageInfo("faceParam");
		return !1
	}
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId+" .exit_user"),function(){
			//解绑微信号和手机号
			var param = {
				"user_id":appUtils.getSStorageInfo("user_id")
			};
			service.unbundling(param,function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == 0){
					//清理缓存
					appUtils.clearSStorage();
					try{
						//退出微信浏览器
						WeixinJSBridge.call("closeWindow");
					}catch(e){
						appUtils.clearSStorage();
						appUtils.pageInit("account/goVideoNotice","account/msgVerify",{});
					}
				}else{
					layerUtils.iAlert(error_info,-1);
				}
			});
		});
		
		
	}
	
	/* 下一步入口 */
	function nextStep()
	{
		var need_action_face = appUtils.getSStorageInfo("need_action_face");
		if(need_action_face=="1"){
			appUtils.pageInit("account/goVideoNotice","account/postConfirmStep1",{});
			return !1;
		}
		var pageCode = "";
		var opacctkind_flag = appUtils.getSStorageInfo("opacctkind_flag");
		var currentStep = appUtils.getSStorageInfo("current_step");  //断点：上次走的最后一步
		if(currentStep && currentStep.length > 0)
		{
			var index = steps.indexOf(currentStep);
			if(index < (steps.length-1))
			{
				currentStep = steps[index + 1];
			}
			if(opacctkind_flag == "0")
			{
				pageCode = stepMap[currentStep];
			}
			else
			{
				pageCode = stepMap0[currentStep];
				if(!(pageCode && pageCode.length > 0))
				{
					pageCode = stepMap[currentStep];
				}
			}
		}
		if(pageCode && pageCode.length > 0)
		{
			// 如果是直接跳转到 视频认证 页面，将 QQ 保存到 session 中
			/*if(pageCode == "account/videoNotice")
			{
				appUtils.setSStorageInfo("qq",res.im_code);
			}*/
			appUtils.pageInit("account/goVideoNotice",pageCode,{});
		}
		else
		{
			appUtils.pageInit("account/goVideoNotice","account/uploadPhoto",{});
		}
	}
	
	function destroy()
	{
		service.destroy();
	}
	
	
	
	var goVideoNotice = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = goVideoNotice;
});