/**
 * 微信开户中转页
 */
define(function(require, exports, module) {
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		service = require("serviceImp").getInstance(), //业务层接口，请求数据
		gconfig = require("gconfig"),
		//global = gconfig.global,
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		needVideo = "",
		isCert = "1",
		_pageId = "#account_middlePage";
	/* 私有业务模块的全局变量 end */
	function init() {
		appUtils.clearSStorage(); // 清空所有的session
		clearImage();
		var weixinpk = appUtils.getPageParam("weixinpk");
		var openid = appUtils.getPageParam("openid");
		appUtils.clearSStorage();
		var weixin = Math.random();
		appUtils.setSStorageInfo("weixinpk", weixinpk);
		appUtils.setSStorageInfo("openid", openid);
		appUtils.setSStorageInfo("weixin", weixin);
		appUtils.setSStorageInfo("openChannel", "new");
		appUtils.setSStorageInfo("isCert", 0);
        getReferId();//http://localhost:2223/m/index.html?organization=3&referrer=58744&branch=20&manager=010198&bank=5200&capitalType=c
		return !1; //不用微信登录方式

		if (waiter_id) {
			var param = {
					"weixin": weixin,
					"waiter_id": waiter_id
				}
				//点赞
			service.likeWaiter(param, function(data) {
				var error_no = data.error_no;
				var error_info = data.error_info;
				if (error_no == "0") {
					appUtils.pageInit("account/middlePage", "account/success");
				} else {
					layerUtils.iAlert(error_info, -1, function() {
						//退出微信浏览器
						try {
							WeixinJSBridge.call("closeWindow");
						} catch (e) {
							appUtils.clearSStorage();
							appUtils.pageInit("account/middlePage", "account/msgVerify");
						}
					});
				}
			});
		} else {
			//微信新开户
			var param = {
					"login_type": "0",
					"weixin": weixin,
					"mobile_no": "",
					"mobile_code": "",
					"login_flag": "0",
					"company": ""
				}
				//微信登陆获取个人开户信息
			service.getOpenInfo(param, function(data) {
				console.log(JSON.stringify(data));
				var error_no = data.error_no;
				var error_info = data.error_info;
				var result = data.results;
				if ((error_no == "0" && result[0].login_result == "-1")) {
					console.log("经过middlePage页面>>");
					var weixinpk = appUtils.getSStorageInfo("weixinpk");
					var openid = appUtils.getSStorageInfo("openid");
					var waiter_id = appUtils.getSStorageInfo("waiter_id");
					appUtils.clearSStorage();
					appUtils.setSStorageInfo("weixinpk", weixinpk);
					appUtils.setSStorageInfo("openid", openid);
					appUtils.setSStorageInfo("weixin", weixin);
					appUtils.setSStorageInfo("like_waiter_id", waiter_id);
					appUtils.pageInit("account/middlePage", "account/msgVerify");
				} else if (error_no == "0" && result[0].login_result == "登陆成功") {

					// user_id保存到session
					if (result[0].user_id) {
						appUtils.setSStorageInfo("user_id", result[0].user_id);
					}

					layerUtils.iLoading(false);
					//					utils.layerTwoButton("系统检测到您微信号已绑定过手机号码","继续开户","新开户",function(){
					if (result[0].lastcomplete_step == "") {
						//手机号保存到session
						if (result[0].mobileno) {
							appUtils.setSStorageInfo("mobileNoStr", result[0].mobileno);
						}
						appUtils.pageInit("account/middlePage", "account/msgVerify");
					} else if (result[0].lastcomplete_step != "") {
						// 身份证号保存到session
						if (result[0].idno) {
							appUtils.setSStorageInfo("idCardNo", result[0].idno);
						}
						//手机号保存到session
						if (result[0].mobileno) {
							appUtils.setSStorageInfo("mobileNo", result[0].mobileno);
						}
						// 将客户姓名保存到 session 中
						if (result[0].custname) {
							appUtils.setSStorageInfo("custname", result[0].custname);
						}
						// 签发机关保存到session 
						if (result[0].policeorg) {
							appUtils.setSStorageInfo("policeorg", result[0].policeorg);
						}
						// 证件地址保存到session 
						if (result[0].native) {
							appUtils.setSStorageInfo("native", result[0].native);
						}
						// 联系地址保存到session 
						if (result[0].addr) {
							appUtils.setSStorageInfo("addr", result[0].addr);
						}
						// 起始期限保存到session 
						if (result[0].idbegindate) {
							appUtils.setSStorageInfo("idbegindate", result[0].idbegindate);
						}
						// 结束期限保存到session 
						if (result[0].idenddate) {
							appUtils.setSStorageInfo("idenddate", result[0].idenddate);
						}
						// 邮编保存到session 
						if (result[0].postid) {
							appUtils.setSStorageInfo("postid", result[0].postid);
						}
						// 职业保存到session 
						if (result[0].profession_code) {
							appUtils.setSStorageInfo("profession_code", result[0].profession_code);
						}
						// 学历保存到session 
						if (result[0].edu) {
							appUtils.setSStorageInfo("edu", result[0].edu);
						}
						// 将 clientinfo 保存到 session 中，用于解决壳子上传照片的权限问题
						if (result[0].clientinfo) {
							appUtils.setSStorageInfo("clientinfo", result[0].clientinfo);
						}
						// 将 jsessionid 保存到 session 中，用于解决壳子上传照片的权限问题
						if (result[0].jsessionid) {
							appUtils.setSStorageInfo("jsessionid", result[0].jsessionid);
						}
						// 将佣金id保存到session
						if (result[0].commission) {
							appUtils.setSStorageInfo("commission", result[0].commission);
						}
						// 将佣金值保存到session
						if (result[0].commissionname) {
							appUtils.setSStorageInfo("commissionname", result[0].commissionname);
						}
						// 将营业部Id保存到session
						if (result[0].branchno) {
							appUtils.setSStorageInfo("branchno", result[0].branchno);
						}
						// 将营业部名称保存到session
						if (result[0].branchname) {
							appUtils.setSStorageInfo("branchname", result[0].branchname);
						}
						// 将省份保存到session
						if (result[0].provincename) {
							appUtils.setSStorageInfo("provincename", result[0].provincename);
						}
						// 将城市保存到session
						if (result[0].cityname) {
							appUtils.setSStorageInfo("cityname", result[0].cityname);
						}
						// 将用户开户步骤保存到session
						if (result[0].lastcomplete_step) {
							appUtils.setSStorageInfo("current_step", result[0].lastcomplete_step);
						}
						// 将公安校验保存到session
						if (result[0].police_flag) {
							appUtils.setSStorageInfo("police_flag", result[0].police_flag);
						}
						appUtils.setSStorageInfo("shaselect", result[0].shaselect); // 是否选择沪A
						appUtils.setSStorageInfo("szaselect", result[0].szaselect); // 是否选择深A
						appUtils.setSStorageInfo("hacnselect", result[0].shaselect); // 是否选择沪开放式基金
						appUtils.setSStorageInfo("zacnselect", result[0].szaselect); // 是否选择深开放式基金
						var opacctkind_flag = result[0].opacctkind_flag; // 开户通道的标识，0 新开户，1 转户 , 2 理财户
						// 根据 opacctkind_flag 设置 session 中的 openChannel
						//把开户通道的标示存到session中
						if (result[0].opacctkind_flag) {
							appUtils.setSStorageInfo("opacctkind_flag", result[0].opacctkind_flag);
						}
						if (opacctkind_flag == 0) {
							appUtils.setSStorageInfo("openChannel", "new");
						} else {
							if (opacctkind_flag == 2) {
								appUtils.setSStorageInfo("finance", "finance");
								appUtils.setSStorageInfo("openChannel", "change");
							} else if (opacctkind_flag == 9) {
								appUtils.setSStorageInfo("more", "more");
								appUtils.setSStorageInfo("openChannel", "new");
							}

						}
						if (addition(result[0])) {
							//通过接口取到用户开户信息，然后跳到个人开户信息页面
							appUtils.pageInit("account/middlePage", "account/goVideoNotice", {});
						} else {
							//通过接口取到用户开户信息，然后跳到个人开户信息页面
							appUtils.pageInit("account/middlePage", "account/goVideoNotice", {});
						}

					}
					//					},function(){
					//						//新开则解除微信号和手机号的绑定
					//						var param = {
					//							"user_id":appUtils.getSStorageInfo("user_id")
					//						};
					//						service.unbundling(param,function(data){
					//							var error_no = data.error_no;
					//							var error_info = data.error_info;
					//							if(error_no == 0){
					//								console.log("经过middlePage页面，解绑成功！");
					//								appUtils.pageInit("account/middlePage","account/msgVerify");
					//							}else{
					//								layerUtils.iAlert(error_info,-1);
					//							}
					//						});
					//						
					//					});


				} else {
					layerUtils.iAlert(error_info, -1);
				}
			});
		}
	}

	function addition(res) {
		//驳回情况：身份证正面、反面、大头像、交易密码、资金密码、三方存管、转户驳回到视频见证
		var photoParam = {
			"needFront": res.need_photo_front != undefined ? res.need_photo_front : "0",
			"needBack": res.need_photo_back != undefined ? res.need_photo_back : "0",
			"needNohat": res.need_photo_nohat != undefined ? res.need_photo_nohat : "0"
		};
		var pwdParam = {
			"needBusinessPwd": res.need_business_password != undefined ? res.need_business_password : "0",
			"needFundPwd": res.need_fund_password != undefined ? res.need_fund_password : "0"
		};
		var videoParam = {
			"need_video": res.need_video != undefined ? res.need_video : "0"
		};
		var thirdParam = {
			"needThirdDeposit": res.need_third_deposit != undefined ? res.need_third_deposit : "0"
		};
		var accountParam = {
			"need_account": res.need_account != undefined ? res.need_account : "0"
		};
		var faceParam = {
			"need_action_face": res.need_action_face ? res.need_action_face : "0",
			"need_action_face_reason": res.need_action_face_reason
		};

		appUtils.setSStorageInfo("videoParam", JSON.stringify(videoParam));
		appUtils.setSStorageInfo("photoParam", JSON.stringify(photoParam));
		appUtils.setSStorageInfo("pwdParam", JSON.stringify(pwdParam));
		appUtils.setSStorageInfo("thirdParam", JSON.stringify(thirdParam));
		appUtils.setSStorageInfo("accountParam", JSON.stringify(accountParam));
		appUtils.setSStorageInfo("faceParam", JSON.stringify(faceParam));
		return !0;
	}


	function getSystemConfig() {
		service.getSystemConfig({
			"sys_variable_name": "isNeedCert"
		}, function(data) {
			if (data.error_no == 0) {
				isCert = data.results[0]["cur_value"];
				appUtils.pageInit("account/middlePage", "account/msgVerify");
				appUtils.setSStorageInfo("isCert", isCert);
			} else {
				appUtils.pageInit("account/middlePage", "account/msgVerify");
				appUtils.setSStorageInfo("isCert", isCert);
			}

		});
	}
	//http://localhost:2223/m/index.html?organization=0001&referrer=11&branch=101&manager=58744&bank=5300&capitalType=2#!/account/msgVerify.html
	function getReferId() {
		var pageParam = location.search.slice(1);
		console.log(pageParam);
		var paramArr = pageParam.split("&");
		var paramJson = {};
		$.each(paramArr, function(index, item) {
			var tempArr = item.split("=");
			paramJson[tempArr[0]] = tempArr[1];
		});
		var organization = paramJson.organization;  //推荐机构
		var referrer = paramJson.referrer;  //推荐人
		var branch = paramJson.branch;  //开户分支机构
		var manager = paramJson.manager;  //客户经理
		var bank = paramJson.bank;  //存管银行
		var capitalType = paramJson.capitalType;  //资金账户类别
        appUtils.setSStorageInfo("organization",organization);
        appUtils.setSStorageInfo("referrer",referrer);
        appUtils.setSStorageInfo("branchno",branch);
        appUtils.setSStorageInfo("manager",manager);
        appUtils.setSStorageInfo("bank",bank);
        appUtils.setSStorageInfo("capitalType",capitalType);
        appUtils.pageInit("account/middlePage", "account/msgVerify");
	}

	function bindPageEvent() {

	}
	function clearImage() {
		$("#account_photoConfirmStep1").remove();
		$("#account_photoConfirmStep2").remove();
		$("#account_photoConfirmStep3").remove();
	}

	function destroy() {
		$(_pageId).remove();
		service.destroy();
	}

	var middlePage = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	// 暴露对外的接口
	module.exports = middlePage;
});