/**
 * 信用交易   现金还款
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var validatorUtil = require("validatorUtil");
	var global = gconfig.global;
	var service_hq = require("service_hq");
	var layerUtils = require("layerUtils");
	var service_credit = require("service_credit");
    var _pageId = "#credit_order_cashPayments ";
    var external = require("external");
    var limitedMarketEntrust = "limited";
    var common = require("common");
    var service_common = require("service_common");
    var nativePluginService = require("nativePluginService");
    var commonFunc = require("commonFunc");
    var topage ="";
    //var entrust_bs = "0";
    var credit_userInfo = null;
    var bazaarCode = "";   //市场代码
    var stkType = ""; //证券类型
    var external = require("external");
    var service_stock = require("service_stock");
    var position_timer="";
    var fifthOrder_timer="";
    var debtdate = ""; //合约日期
	var compact_id = "";  //合约编号
	var contractName = ""; //合约名字
	var height_table=""; //表主体的高度
	var timer = null;
    /**
     * 初始化
     */
	function init(){
		// 隐藏下面导航
		common.hideBottomBar();
		// 解禁系统键盘	
		common.systemKeybord();
		$(_pageId).css("overflow-x","hidden");
		$(_pageId).css("overflow-y","block");
		//$(_pageId+".main .repay_table .opt_box").hide();
		credit_userInfo = appUtils.getSStorageInfo("credit_userInfo");
		userInfo = JSON.parse(credit_userInfo);
		//直接从未了结合约  把合约编号取过来查询个股合约
		compact_id = "";
		contractName = "";
		compact_id = appUtils.getPageParam("compact_id");
		contractName = appUtils.getPageParam("compact_name");
		if($(_pageId+" .repay_table .button-group .a1").attr("class") == "a1 current"){//按金额还款
  			$(_pageId+" .opt_box").hide();
  			height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 25;//-$(_pageId+".fund_table thead").height()
  		}
        else{
        	height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 35;//-$(_pageId+".fund_table thead").height()
        }
		if(compact_id){
			showContract(compact_id);
			$(_pageId+".button-group a.a1").removeClass("current");
			$(_pageId+".button-group a.a2").addClass("current");
			height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .table_head").height() - 333;//-$(_pageId+".fund_table thead").height()
		}else{
			$(_pageId+".button-group a.a1").addClass("current");
			$(_pageId+".button-group a.a2").removeClass("current");
			$(_pageId+".main .repay_table .first_select").hide();
			$(_pageId+".main .repay_table .second_select").hide();
			height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 20;//-$(_pageId+".fund_table thead").height()
			queryFundSelectData();//查询负债与负债利息   mid接口为530
		}
	    if(position_timer != null ) {
	        window.clearInterval(position_timer);
	    }
	    window.setTimeout(openInterest(),100);
  		if(global.isTrade){
			position_timer = window.setInterval(openInterest(), 5*60*1000);
		}
  		timer=window.setInterval(function(){
			// 给持仓数据添加高度
			$(_pageId + " .table_body").css({
				"overflow": "auto",
				"height":  $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 20 + "px"
			});
		}, 2000);
  		queryFundStayData();//查询可用金额   mid接口为530+531
		//查询个股合约（传合约编号号）
		$(_pageId+".table_body").height(height_table).css("overflow","auto");   //给持仓数据添加高度
		if(gconfig.platform=="0"){ //方便pc端调试
			$(_pageId+"#stockCode").attr("readonly",false);
		}	
		
    }
	
	/**
	 * 资产负债查询
	 */
	function queryFundSelectData(){	
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;//
		var cust_code = userInfo.cust_code;//关联资产账户标志
		var money_type = "";////货币 ""所有货币，0 人民币，1 港币，2 美元
		var password = userInfo.password;
		var sessionid=userInfo.session_id;
		var param={				
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"sessionid":sessionid,
				"money_type":money_type
		};
		service_credit.remoney_link(param,queryFundSelectCallback);
	}
	/**
	 * 资产负债查询回调方法
	 * @param {Object} data 返回数据
	 */
	function queryFundSelectCallback(data){
		if(data) {
			if(data.error_no == 0){
				var account=data.results;
				var total_contract = account[0].real_interest;
				var total_debit=account[0].real_balance;
				$(_pageId+"#th1_zjp").html("负债金额：");
				$(_pageId+"#th2_zjp").html("负债利息：");
				$(_pageId+"#total_interest").html(Number(total_contract).toFixed(2));  //负债利息
				$(_pageId+"#mayPay").html(Number(total_debit).toFixed(2));  //需还款额
			}else{
				layerUtils.iAlert(data.error_info);
			}
		}
	}
	
	/**
	 * 资产负债传参查询
	 */
	function showContract(compact_id){
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	//分支机构
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid = userInfo.session_id;
		var password = userInfo.password;
		var pay_type = "1";
		var param = {			
			"entrust_way":entrust_way,
			"branch_no":branch_no,
			"fund_account":fund_account,
			"cust_code":cust_code,
			"password":password,
			"sessionid":sessionid,
			"compact_id":compact_id,
			"pay_type":pay_type,//还款方式  0-按金额  1-按笔
			"compact_type":"0",//合约类型  0 融资   1 融券
			"compact_status":"0"   //  0-未了结   1-部分了结
		};
		service_credit.contractmx_query(param,queryFundSelectCallback2);
		//service_credit.remoney_link(param,queryFundSelectCallback2);
	}
	function queryFundSelectCallback2(data){
		if(data) {
			$(_pageId+".main .repay_table .first_select").hide();
			$(_pageId+".main .repay_table .second_select").show();
			if(data.error_no == 0){
				var account=data.results;
				var total_contract = account[0].left_int;
				var total_debit=account[0].left_amt_total;
				$(_pageId+"#th1_zjp").html("需还金额：");
				$(_pageId+"#th2_zjp").html("需还利息：");
				$(_pageId+"#total_interest").html(Number(total_contract).toFixed(2));  //负债利息
				$(_pageId+"#mayPay").html(Number(total_debit).toFixed(2));  //需还款额
				$(_pageId+".main .repay_table #name").html(account[0].stock_name);//证券名字
				$(_pageId+".main .repay_table #compact_id").html(account[0].compact_id);//合约编号
				$(_pageId+".main .repay_table #end_date").html(account[0].ret_end_date);//合约到期日期
			}else{
				layerUtils.iAlert(data.error_info);
			}
		}
	}
	
	/**
	 * 可用资金查询
	 */
	function queryFundStayData(){
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var branch_no = userInfo.branch_no;	
		var fund_account = userInfo.fund_account;//
		var cust_code = userInfo.cust_code;//关联资产账户标志
		var money_type = "";////货币 ""所有货币，0 人民币，1 港币，2 美元
		var password = userInfo.password;
		var sessionid=userInfo.session_id;
		var param={				
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"sessionid":sessionid,
				"money_type":money_type
		};
		service_credit.remoney_link(param,queryFundStayDataCallback,{"isShowWait":false});
	}
	/**
	 * 可用资金查询回调方法
	 * @param {Object} data 返回数据
	 */
	function queryFundStayDataCallback(data){
		if(data) {
			if(data.error_no == 0 && (data.results).length>0){
				var account=data.results;
				var current_balance = account[0].fin_enrepaid_balance;
				$(_pageId+"#enableMoney").html(Number(current_balance).toFixed(2));  //资金可用金额
			}else{
				layerUtils.iAlert(data.error_info);
			}
		}
	}
	
	
	
	/**
	 * 需还款证券查询（未了结合约查询）
	 * */
	function openInterest(){
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置
		var branch_no = userInfo.branch_no;	//分支机构
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid = userInfo.session_id;
		var password = userInfo.password;
		var param = {			
			"entrust_way":entrust_way,
			"branch_no":branch_no,
			"fund_account":fund_account,
			"cust_code":cust_code,
			"password":password,
			"sessionid":sessionid,
			"compact_type":"0",//合约类型  0 融资   1 融券
			"compact_status":"0"   // 0-未了结   1-部分了结
		};
		service_credit.contractmx_query(param,function(data){
			if (data && data != "undefined") {
				if(data.error_no == 0){
					var results = data.results;
					var headTr = "<tr><th scope=\"col\">&nbsp;&nbsp;&nbsp;&nbsp;开仓日期<br/>&nbsp;&nbsp;&nbsp;到期日期</th> <th scope=\"col\">&nbsp;合约编号<br/>&nbsp;类型</th><th scope=\"col\">&nbsp;证券名称<br/>&nbsp;代码</th><th scope=\"col\">&nbsp;待偿金额<br/>&nbsp;待偿利息</th></tr>";
					$(_pageId+".fund_table .ce_table thead").html(headTr);
					var data = "";
					if(results && results.length > 0){
						var float_yk = 0; //浮动盈亏
						for (var i=0;i<results.length;i++){ 
					        data+="<tr id="+results[i].stock_code +">";
					        data+="<td>"+results[i].open_date +"<br/>"+results[i].ret_end_date +"</td>";
					        if(results[i].compact_type==0){
					        	data+="<td>"+results[i].compact_id +"<br/>融资</td>";
					        }else{
					        	data+="<td>"+results[i].compact_id +"<br/>融券</td>";
					        }
					        data+="<td>"+results[i].stock_name +"<br/>"+results[i].stock_code +"</td>";
					        data+="<td>"+Number(results[i].left_amt).toFixed(2)+"<br/>"+Number(results[i].left_int).toFixed(2)+"</td>";
					        data+="</tr>";
						}
						$(_pageId+".fund_table .ce_table tbody").html(data);
						Align(_pageId);
						$(_pageId+".no_data").hide();
					}else{
						$(_pageId+".fund_table .ce_table thead").html(headTr);
						$(_pageId+ ".no_data").show();
					}
				}
				else{
					layerUtils.iAlert(data.error_info);
					$(_pageId+ ".no_data").show();
				}
			}
		}, {"isShowWait":false});
	}
	
	//对齐tbody / thead 的方法
	function Align(_pageId){
		   $(_pageId+".fund_table ").find("th").each(function(){ 
		        var idx = $(this).index();         
		        var td=$(_pageId+".fund_table tbody tr").children('td').eq(idx);
		        if(td.width()>40){
		        	$(this).width(td.width());
		        }else{
		        	 $(this).width() > td.width() ? td.width($(this).width()) : $(this).width(td.width());
		        }
		           
		        }); 
		        
	   }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/order/cashPayments","credit/index",{});
			e.stopPropagation();
		});
		
		//导航菜单绑定事件
		appUtils.bindEvent($(_pageId + ".main .tab_nav ul li a"),function(e){
			topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			var param =  $(this).attr("param"); //获取跳转页面参数
			appUtils.pageInit("credit/order/cashPayments",topage,{"param":param});
			e.stopPropagation();
		});
		
		//按金额还款和按合约还款切换   
		appUtils.bindEvent($(_pageId+".button-group a"), function(e){
			$(this).addClass("current").siblings().removeClass("current");
			if($(this).index() == 0){
				compact_id="";
				contarctName="";
				$(_pageId+".main .repay_table .opt_box").hide();
				$(_pageId+".repay_table .td_all input").val("");
				$(_pageId+"#th1_zjp").html("负债金额：");
				$(_pageId+"#th2_zjp").html("负债利息：");
				$(_pageId+"#total_interest").html("");  //负债利息
				$(_pageId+"#mayPay").html("");  //需还款额
				queryFundSelectData();//查询负债与负债利息   mid接口为530
				height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 21;//-$(_pageId+".fund_table thead").height()
				$(_pageId+".table_body").height(height_table).css("overflow","auto");   //给持仓数据添加高度
			}else{
				if(compact_id){
					$(_pageId+".main .repay_table .second_select").show();
					showContract(compact_id);
				}else{
					$(_pageId+"#th1_zjp").html("需还金额：");
					$(_pageId+"#th2_zjp").html("需还利息：");
					$(_pageId+"#total_interest").html("");  //负债利息
					$(_pageId+"#mayPay").html("");  //需还款额
					$(_pageId+".repay_table .td_all input").val("");
					$(_pageId+".main .repay_table .first_select").show();
				}
				height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 22;//-$(_pageId+".fund_table thead").height()
				$(_pageId+".table_body").height(height_table).css("overflow","auto");   //给持仓数据添加高度
			}
			e.stopPropagation();
		},"click");
		
		//选择合约事件
		appUtils.bindEvent($(_pageId+".main .repay_table .opt_box a"),function(e){
			appUtils.pageInit("credit/order/cashPayments","credit/query/contractSelectQuery",{"param":0,"fromPage":"credit/order/cashPayments","compact_type":0,"compact_id":compact_id});
			e.stopPropagation();
		},"click");

		//负债查询跳转
		appUtils.bindEvent($(_pageId+".search_text"), function(e){
			appUtils.pageInit("credit/order/cashPayments","credit/query/contractInquiryQuery",{"param":0,"compact_type":0});
			e.stopPropagation();
		});
		
		//点击全部按钮
		appUtils.bindEvent($(_pageId+".repay_table .td_all a"),function(e){
			var total_interest=Number($(_pageId+"#total_interest").text());
			var mayPay=Number($(_pageId+"#mayPay").text());
			var total_debit = Number(total_interest + mayPay).toFixed(2);
			var enableMoney=Number($(_pageId+"#enableMoney").text());
			if(enableMoney<total_debit){
				layerUtils.iAlert("可用资金不足！");
			}else if(total_debit==0 || total_debit==""){
				layerUtils.iAlert("不需要还款！");
			}else{
				$(_pageId+".repay_table .td_all input").val(total_debit);
			}
			e.stopPropagation();
		});
		
		//点击标的事件
		appUtils.bindEvent($(_pageId+".search_text"),function(e){
			appUtils.pageInit("credit/order/cashPayments","credit/query/queryCanRZBuyStock",{});
			e.stopPropagation();
		},"click");
		
		//提交委托
		appUtils.bindEvent($(_pageId+".repay_table .ce_btn"), function(e){
			vailSubmitOrder();
			e.stopPropagation();
		});
	}
	
	/**
	 * 下单验证
	 * */
	function vailSubmitOrder(){	
		var total_interest=Number($(_pageId+"#total_interest").text());
		var mayPay=Number($(_pageId+"#mayPay").text());
		var mostBuy = Number(total_interest + mayPay).toFixed(2);
		if(Number(mostBuy) == 0){
			layerUtils.iAlert("已不需要还款");
			return false;
		}
		//还款金额
		var money = $(_pageId+".repay_table .td_all input").val();
		if(money.length == 0){
			layerUtils.iAlert("请输入还款金额");
			return false;
		}	
		//验证股票价格输入是否正确
		if(!validatorUtil.isNumberFloat(money)){
			layerUtils.iAlert("请正确输入还款金额");
			return false;
		}
		if(Number(money) <= 0){
			layerUtils.iAlert("还款金额必须大于0");
			return false;
		}
		var avail = Number($(_pageId+" #enableMoney").text()).toFixed(2);
		if(Number(avail) < Number(money)){
			layerUtils.iAlert("可用金额不足");
			return false;
		}
		//验证需还款额
		/*if(Number(money) > Number(mostBuy)){
			layerUtils.iAlert("还款金额已经大于需还款额");
			return false;
		}*/
		var tipStr ="<div class=\"pop_header\">";
		tipStr+="<h3>确认委托</h3>";
		tipStr+="</div>";
		tipStr+="<div class=\"pop_main\">";
		tipStr+="<ul>";
		//tipStr+="    <li>资产账户:<em>"+userInfo.fund_account+"</em></li>";
		tipStr+="    <li>操作类型:<em>现金还款</em></li>";
		if(compact_id){
			tipStr+="    <li>指定合约:<strong>"+contractName+"</strong></li>";
		}
		tipStr+="    <li>需还款额:<strong>"+(Number($(_pageId+"#mayPay").text())+Number($(_pageId+"#total_interest").text())).toFixed(2)+"</strong></li>";
		tipStr+="    <li>还款金额:<strong>"+money+"</strong></li>";
		tipStr+="</ul>";
		tipStr+="  </div>";
		//common.btnConfirm(tipStr,function success(){
		common.btnConfirmCrit(tipStr,function success(){
			var cust_code = userInfo.cust_code;	//客户代码
			var fund_account = userInfo.fund_account;	//资产账户
			var branch_no  = userInfo.branch_no;	//分支机构
			var sessionid=userInfo.session_id;
			var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
			var password= userInfo.password;
			var money_type= "0";//0是人民币	
			var pay_type = "0";//0-按金额  1-按笔
			if(compact_id){
				pay_type="1";
			}else{
				pay_type = "0";
			}
			var pay_type= 0;
			var occur_balance=$(_pageId+".repay_table .td_all input").val();
			var param = {
					"entrust_way":entrust_way,
					"branch_no":branch_no,
					"fund_account":fund_account,
					"cust_code":cust_code,
					"password":password,
					"sessionid":sessionid,
					"money_type":money_type,
					"pay_type":pay_type,
					"occur_balance":occur_balance,
					"compact_id":compact_id,
					"debtdate":debtdate,//合约日期
					"debtsno":compact_id   //合约编号
				};
			service_credit.repayment(param,getStockBuyCallBack);
		}, {"isShowWait":true});
	}
	
	/**
	 * 委托下单返回
	 * */
	function getStockBuyCallBack(data){
		if(data.error_no == 0){
			var results = data.results;
			if(results ){
				var occur_balance = results[0].occur_balance;
				var tipStr = "<span style='font-weight:bold;font-size: 18px;'>交易提示</span><br>交易委托已提交，实际还款金额 : "+(occur_balance?occur_balance:0);
				layerUtils.iAlert(tipStr);
				var numMax = $(_pageId+" #numMax").attr("value");
				var avail = $(_pageId+" #avail").attr("value");
				if(!occur_balance){
					$(_pageId+" #numMax").attr("value",Number(numMax)-Number(occur_balance));
					$(_pageId+" #avail").attr("value",Number(avail)-Number(occur_balance));
				}
			}
			$(_pageId+".repay_table .td_all input").val("");
			openInterest();
			var flag = $(_pageId+".button-group a.a1").hasClass("current");
			if(flag){
				queryFundSelectData();//查询负债与负债利息   mid接口为530
			}
			if(compact_id){
				compact_id="";
				contractName="";
				$(_pageId+".main .repay_table .first_select").show();
				$(_pageId+".main .repay_table .second_select").hide();
				$(_pageId+"#mayPay").html("");
				$(_pageId+"#total_interest").html("");
				height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 20;//-$(_pageId+".fund_table thead").height()
				$(_pageId+".table_body").height(height_table).css("overflow","auto");   //给持仓数据添加高度
			}
			queryFundStayData();//查询可用资金的
			if(flag){
				height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .table_head").height() - 22;//-$(_pageId+".fund_table thead").height()
			}
			$(_pageId+".table_body").height(height_table).css("overflow","auto");   //给持仓数据添加高度
			
		}else{
			layerUtils.iAlert(data.error_info);
		}
	}

	/**
	 * 重置表单
	 * */
	function resetBuyForm(){
		
		$(_pageId+"#mayPay").html("");
		$(_pageId+"#total_interest").html("");
		$(_pageId+".main .ce_table tbody").html("");
		$(_pageId+".repay_table .td_all input").val("");
		compact_id="";
		window.clearInterval(timer);
	}
	
	
	
	
    
	/**
	 * 销毁
	 */
	function destroy(){
		resetBuyForm();
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});