/**
 * 信用交易-普通卖出(担保品卖出)
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils"),
		common = require("common"),
		_pageId = "#credit_order_ordinaryToSell ",
		// 委托方式
		entrust_type = "0",
    	// 默认委托类别
    	entrust_bs = "1",
    	
    	commonTrade = require("commonTrade");
    
    /**
     * 初始化
     */
	function init(){
		// 隐藏下面导航
		common.hideBottomBar();
		$(_pageId).css("overflow-x","hidden");
//		$(_pageId).css("overflow-y","hidden");
		var height_table = $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() - $(_pageId+".trade_main").height()- $(_pageId+".fund_table thead").height()-20;
		// 给持仓数据添加高度
		$(_pageId + " .sell").css({
			"height": height_table + "px",
        	"overflow-y": "auto",
           	"overflow-x": "hidden"
		});
		setTimeout(function(){
			// 给持仓数据添加高度
			$(_pageId + " .sell").css({
				"overflow": "auto",
				"overflow-x":"hidden",
				"height": $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() - $(_pageId+".trade_main").height()-$(_pageId + " .fund_table thead").height()-20 + "px"
			});
		}, 300);
		// 初始化页面数据
		commonTrade.initPage(_pageId, entrust_bs, entrust_type);
		// 绑定页面事件
		commonTrade.bindEvent(_pageId, entrust_bs, entrust_type);
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 绑定页面事件
//		commonTrade.bindEvent(_pageId, entrust_bs, entrust_type);
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		// 清除页面数据
		commonTrade.dataDestroy(_pageId, entrust_bs);
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});