/**
 *  担保品转入
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
    var _pageId = "#credit_transferred_collateralTransferIn ";
    var	layerUtils = require("layerUtils");
    var common = require("common");
	var	VIscroll = require("vIscroll");
    var	vIscroll = {"scroll":null,"_init":false};	//上下滑动
    var	service_credit = require("service_credit");var service_hq = require("service_hq");
    var userInfo = null;
//    var userInfo_2 = null;
    var stockCodeOut = "";//保存点击转出的股票代码
    
    /**
     * 初始化
     */
	function init(){
		common.hideBottomBar();
		common.systemKeybord(); // 解禁系统键盘
 		$(_pageId).css("overflow-x", "hidden");
		userInfo = JSON.parse(appUtils.getSStorageInfo("credit_userInfo"));//获取登陆后保存的普通账户信息
//		userInfo_2 = JSON.parse(appUtils.getSStorageInfo("credit_userInfo_2"));//获取登陆后保存的普通账户信息
	 	//交易持仓查询（划入）
		queryTradePosition();
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		
		appUtils.bindEvent($(_pageId + ' .bind-click'), function(e){
			var $this = $(this),
				param = $this.attr("data-topage");
			appUtils.pageInit("credit/transferred/collateralTransferIn", param, {});
			e.stopPropagation();
		});
		
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/transferred/collateralTransferIn", "credit/index", {});
			e.stopPropagation();
		});
		//查询按钮
		appUtils.bindEvent($(_pageId+".top_title .search_text"), function(e){
			appUtils.pageInit("credit/transferred/collateralTransferIn","credit/query/collateralQuery",{});
			e.stopPropagation();
		});
		
		//转出全部
		appUtils.bindEvent($(_pageId + ".td_all>a"), function(e){
			var all = $(this).siblings("b").html();
			if (all === "--"){
				all = "0";
			}
			if(all != 0)
			{
				$(_pageId + " #huazhuan_num").val(all);
			}
			else
			{
				layerUtils.iAlert("最大可转数量为0")
			}
//			$(_pageId + " #huazhuan_num").val(all);
			e.stopPropagation();
		});
		
		//确认、取消
		appUtils.bindEvent($(_pageId + " .pop_btn02 a"), function(e){
			var this_class = $(this).attr("class");
			if (this_class === "ok"){
				var num = Number($(_pageId + " #huazhuan_num").val());
				var MaxNum = Number($(_pageId + " .td_all>b").html());
				if (num&&(num !=0 )){
					if(num <= MaxNum)
					{
						stockTransIn(num);
						$(_pageId + " #huazhuan_num").val("");
						$(_pageId + " #huazhuan_name").html("--");
						$(_pageId + " .gdzh>b").html("--");
						$(_pageId + " .td_all>b").html("--");
						$(_pageId + " .huazhuan").hide();
                    }
					else
					{
						layerUtils.iAlert("委托数量不能超过最大可用数量");
					}
				}
				else if(num == 0)
				{
					layerUtils.iAlert("输入委托数量不能为0");
				}
				else 
				{
					layerUtils.iAlert("输入委托数量有误");
				}
			}
			else
			{
				$(_pageId + " #huazhuan_num").val("");
				$(_pageId + " #huazhuan_name").html("--");
				$(_pageId + " .gdzh>b").html("--");
				$(_pageId + " .td_all>b").html("--");
				$(_pageId + " .huazhuan").hide();
			}
			e.stopPropagation();
		});
		
	}
	
	/**
	 * 交易持仓查询
	 */
    function queryTradePosition(){
    	var param = {
				entrust_way: global.entrust_way, // 委托方式  在configuration配置
				branch_no: userInfo.branch_no, // 分支机构
				fund_account: userInfo.fund_account, // 资金账号
				cust_code: userInfo.cust_code, // 客户编号
				password: userInfo.password, // 交易密码
				sessionid: userInfo.session_id, // 会话号
				exchange_type: ""
		   };
		/**
		 * 担保信息查询(划入信息查询)
		 */
		service_credit.queryOrdinaryPosition(param,queryMsgCallBack);
    }
    /**
     * 查询信息回调函数
     */
    function queryMsgCallBack(data){
		if(data.error_no == "0"){
			var data = data.results;
			if(data[0]){
				creatHtml(data);
				 //var height_table = $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() - 17;
			     //$(_pageId+".mar_stock").height(height_table).css("overflow", "auto");   //给持仓数据添加高度
			}else{
				 $(_pageId + ".mar_stock").hide();
				 $(_pageId + ".no_data").show();
			}
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
				initVIScroll();
			}
		}else{
			layerUtils.iAlert(data.error_info);
		}			
    }
    
    /**
	 * 初始化滑动组件
	 */
	function initVIScroll(){
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()+4  ,//显示内容区域的高度，当isPaingType为false时传
					"container": $(_pageId+"#v_container_funds_jj"),	
					"wrapper":$(_pageId+"#v_wrapper_funds_jj"),	
					"downHandle": function() {
						queryTradePosition();
					},
					"upHandle": function() {
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true;
			$(_pageId + ".visc_pullUp").css("display","none");
		} else {
			vIscroll.scroll.refresh();
				$(_pageId + ".visc_pullUp").css("display","none");
		}
	}
	
    /**
     * 生成查询持仓函数
     * @param {Object} data
     */
    function creatHtml(data){
    	var html = "";
    	var sz_arr = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "18", "19", "21", "22", "23", "24", "64"];
    	var hq_str = "";
		for(var i= 0;i<data.length;i++){
			if ($.inArray(data[i].exchange_type, sz_arr) > 0){
				hq_str += "SZ:"+data[i].stock_code + "|";
			} else {
				hq_str += "SH:"+data[i].stock_code + "|";
			}
			var cssClass = "";
//			if(data[i].float_yk_per > 0){
//				cssClass = "ared";
//			}else if(data[i].float_yk_per < 0){
//				cssClass = "agreen";
//			}
			var float_vk = data[i].float_yk;
			if(float_vk > 0){
				float_vk = "+" + float_vk;
			}
			if(float_vk > 0){
				cssClass = "ared";
			}else if(float_vk < 0){
				cssClass = "agreen";
			}
			
			var coll_disc_ratio = data[i].coll_disc_ratio;
			if (!coll_disc_ratio){
				coll_disc_ratio = "--";
			}
			var float_yk_per = "0.00";
			float_yk_per = Number(data[i].float_yk_per).toFixed(2);
			data[i].stock_name = data[i].stock_name.replace(/\s/g,"");//去掉名字中的空格
				html +=	  "<div class='part' data-stockCode="+data[i].stock_code+" data-stockName="+data[i].stock_name+" data-cost="+data[i].cost_price+">";
		        html +=    	"<a href='javascript:void(0);' class='order' data-seat_no='"+data[i].seat_no+"' data-stock_account="+data[i].stock_account+" data-exchange_type="+data[i].exchange_type+" data-enable_amount="+data[i].enable_amount+">转入</a>";
		        html +=    	"<h5 style='white-space:nowrap;'>"+data[i].stock_name+" <small>"+data[i].stock_code+"</small><em>盈亏:</em><span class='pl5 "+cssClass+ "'>"+float_vk+"</span><span class="+cssClass+ " id='fyp_"+data[i].stock_code+"'>"+float_yk_per+"%</span></h5>";
		        html +=    	"<dl class='clearfix'>";
		        html +=        	"<dt style='width:32%;'><strong id='cbj_"+data[i].stock_code+"'>"+Number(data[i].last_price).toFixed(2)+"</strong><p><span id='zd_"+data[i].stock_code+"'>--</span><span id='zdf_"+data[i].stock_code+"'>--</span></p></dt>";
		        html +=            "<dd><p id='cp_"+data[i].stock_code+"'><em>成本</em> "+Number(data[i].cost_price).toFixed(3)+"</p><p><em>持仓</em> "+data[i].cost_amount+"</p></dd>";
		        html +=            "<dd><p><em>折算率</em> "+coll_disc_ratio+"</p><p><em>可用</em> "+data[i].enable_amount+"</p></dd>";
		        html +=    	"</dl>";
		        html +=    "</div>";
		}
		hq_str = hq_str.replace(/\|$/, "");
		$(_pageId + " #append").html(html);
		//查询行情
		queryHqZDF(hq_str);
		//划出按钮
		appUtils.bindEvent($(_pageId+"#append .order"), function(e){
			var stockCode = $(this).parent().attr("data-stockCode");//股票代码
			var stockName = $(this).parent().attr("data-stockName");//name
			var enable_amount = $(this).attr("data-enable_amount");//name
			var exchange_type = $(this).attr("data-exchange_type");//name
			var stock_account = $(this).attr("data-stock_account");
            var stock_account_crdt = "";
			var seat_no = $(this).attr("data-seat_no");
			$(_pageId + " #huazhuan_name").html(stockName + " " + stockCode);
			$(_pageId + " .gdzh>b").html(stock_account);
			$(_pageId + " .td_all>b").html(enable_amount);
			$(_pageId + " #huazhuan_name").data("stockCode", stockCode);
			$(_pageId + " #huazhuan_name").data("exchange_type", exchange_type);
			$(_pageId + " #huazhuan_name").data("stock_account", stock_account);
			$(_pageId + " #huazhuan_name").data("seat_no", seat_no);
	        if(19 == exchange_type)
	        {
//	        	stock_account_crdt = userInfo.stock_account;//证券账号（信用）
//	    		$(_pageId + " #huazhuan_name").data("stock_account_crdt", stock_account_crdt);
//	    		$(_pageId + " #huazhuan_name").data("seat_no_crdt", item.seat_no_crdt);
				$(_pageId + " .huazhuan").show();
	        }
	        else if(15 == exchange_type)
	        {
//	        	stock_account_crdt = userInfo.fundidtype;//证券账号（信用）
//	    		$(_pageId + " #huazhuan_name").data("stock_account_crdt", stock_account_crdt);
//	    		$(_pageId + " #huazhuan_name").data("seat_no_crdt", item.seat_no_crdt);
				$(_pageId + " .huazhuan").show();
	        }
	        else
	        {
	        	layerUtils.iAlert("非A股，不能划转");
	        }
			
//			getStockMsg(exchange_type);
			e.stopPropagation();
		},"click");
		
    }
    
    /**
     * 查询行情涨跌幅
     */
    function queryHqZDF(hq_str){
    	service_hq.getStockNowPrice({"stock_list": hq_str}, function(data){
			var errorNo = data.errorNo;
			if (errorNo == 0){
				var results = data.results,
				re_length = results.length,
			    costprice = "",
			    float_yk_per;
				if (re_length){
					for(var i = 0; i < re_length; i++){
						var item = results[i],
							zd = item[11],
							zdf = item[12] * 100;
						zd = Number(zd).toFixed(2);
						zdf = Number(zdf).toFixed(2);
						var cssClass = "";
						if (zdf > 0){
							cssClass = "ared";
						} else if(zdf < 0){
							cssClass = "agreen";
						}
						if (zd > 0){
							zd = "+" + zd;
						}
						costprice = $(_pageId + " #cp_" + item[1]).html().substring(12,17);
						float_yk_per = Number(((item[2] - costprice)/costprice)*100).toFixed(2);
						$(_pageId + " #zd_" + item[1]).addClass(cssClass).html(zd);
						$(_pageId + " #zdf_" + item[1]).addClass(cssClass).html(zdf + "%");
						$(_pageId + " #cbj_" + item[1]).addClass(cssClass).html(Number(item[2]).toFixed(2));
//						$(_pageId + " #fyp_" + item[1]).html(float_yk_per + "%");
					}
				}
			}
		}, {"isShowWait": false});
    }
     /**
     * 股票联动，获取信息
     */
//    function getStockMsg(exchange_type){
//		var stockCode = $(_pageId + " #huazhuan_name").data("stockCode");
////		var stock_account = $(_pageId + " #huazhuan_name").data("stock_account");
//    	var  param={};
//		param.entrust_way= global.entrust_way; // 委托方式  在configuration配置
//		param.branch_no=userInfo.branch_no;//分支机构
//		param.cust_code=userInfo.cust_code;//客户编号
//		param.password =userInfo.password;//密码
//		param.exchange_type=exchange_type;//交易类别（见数据字典）
//		param.entrust_bs="76";//交易类别（见数据字典）
//		param.stock_code = stockCode;//证券代码
//        if(19 == exchange_type)
//        {
//        	param.stock_account = userInfo.stock_account;//证券账号（信用）
//        }
//        else
//        {
//    		param.stock_account = userInfo_2.stock_account;//证券账号（信用）
//        }
////		param.fund_account_crdt = userInfo.fund_account;//资金账号（信用）
//		param.fund_account = userInfo.fund_account;//资金账号（信用）
//		param.sessionid = userInfo.sessionid;//会话
//		service_credit.dbin_link(param, getStockMsgCallback);
//    }
//    /**
//     * 股票联动回调函数
//     */
//    function getStockMsgCallback(data){
//    	var errorNo = data.error_no,
//		errorInfo = data.error_info;
//	if (errorNo === "0"){
//		var results = data.DataSet2,
//			re_length = results.length;
//		if (re_length > 0){
//			var item = results[0];
////			$(_pageId + " .td_all>b").html(item.enable_amount);
////    		$(_pageId + " #huazhuan_name").data("exchange_type", item.exchange_type);
//    		$(_pageId + " #huazhuan_name").data("stock_account_crdt", item.stock_account_crdt);
//    		$(_pageId + " #huazhuan_name").data("seat_no_crdt", item.seat_no_crdt);
//			$(_pageId + " .huazhuan").show();
//		} else {
//			layerUtils.iAlert("无对应的系统间账号");
//		}
//	}else{
//		layerUtils.iAlert(errorInfo);
//	}
//}
    /**
	 * 划转操作
	 */
	function stockTransIn(num)
	{
		var stockCode = $(_pageId + " #huazhuan_name").data("stockCode");
		var exchange_type = $(_pageId + " #huazhuan_name").data("exchange_type");
		var stock_account = $(_pageId + " #huazhuan_name").data("stock_account");
		var seat_no = $(_pageId + " #huazhuan_name").data("seat_no");
		var stock_account_crdt = $(_pageId + " #huazhuan_name").data("stock_account_crdt");
		var seat_no_crdt = $(_pageId + " #huazhuan_name").data("seat_no_crdt");
		var  param={};
		param.branch_no = userInfo.branch_no;//分支机构
		param.entrust_way = global.entrust_way; // 委托方式  在configuration配置
		param.password = userInfo.password;//密码
		param.sessionid = userInfo.session_id;//会话
		param.cust_code = userInfo.cust_code;//客户编号
		param.stock_account_crdt = stock_account_crdt;//证券账号（信用）
		param.fund_account_crdt = userInfo.fund_account;//资金账号（信用）
		param.seat_no_crdt = seat_no_crdt;//席位编号（信用）
		
		param.exchange_type = exchange_type;//交易类别（见数据字典）
		param.stock_code = stockCode;//证券代码
		param.entrust_bs = "76";//买卖方向（76：买入--普转信，77：卖出--信转普）
		param.entrust_amount = num;//过户数量
		param.stock_account = stock_account;//证券账号（普通）
		param.seat_no=seat_no;//席位编号（普通）
		param.fund_account=userInfo.fund_account;//资金账号（普通）
		service_credit.dbin_sub(param, transCallback);
	}
	/**
	 * 划入回调函数
	 */
	function transCallback(data){
		if(data.error_no == "0"){
			layerUtils.iAlert("委托成功，委托编号为："+data.results[0].entrust_no+"，T+1日到账");
			queryTradePosition();
		}else{
			layerUtils.iAlert(data.error_info);
		}
	}
	
	/**
	 * 查询撤单数据
	 */
	function  queryTransCanCancel(){
		var queryParam = {
				entrust_way: global.entrust_way, // 委托方式  在configuration配置
				branch_no: creditUserInfo.branch_no, // 分支机构
				fund_account: creditUserInfo.fund_account, // 资金账号
				cust_code: creditUserInfo.cust_code, // 客户编号
				password: creditUserInfo.password, // 交易密码
				op_station: "", // 操作站点（见数据字典)	Y	
				sessionid: creditUserInfo.session_id, // 会话号
				exchange_type: "", // 交易市场类别（见数据字典)
				stock_account: "", // 证券账号
				stock_code: "", // 证券代码
				entrust_bs: "76" // 委托标志（见数据字典)
		};
		service_credit.queryTransCanCancel(queryParam, queryCancelCallBack);
	}
	/*
	 * 查询撤单回调
	 */
	function queryCancelCallBack(data){
		if(data.error_no == "0"){
			if(data.results[0]){
				creatCancelHtml(data);
			}else{
				 $(_pageId + ".no_data").show();
			}
			/*if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
			}*/
		}else{
			layerUtils.iAlert(data.error_info);
		}
	}
	/**
     * 生成撤单html
     * @param {Object} data
     */
    function creatCancelHtml(data){
    	var eleHtml = "";
    	var data = data.results;
    	for(var i=0;i<data.length;i++){
    		var price_digit = 2;
//  		require("common").decimalKeep(data[i].stock_code,function(data){  //获取保留的位数
//  	    	if(data){
//  	    		price_digit = data;
//  	    	}
//  		});
    		eleHtml+="<div class=\"part\" data-id="+data[i].entrust_no+">";
	        eleHtml+="<div class=\"title\"><span class=\""+""+"\">"+data[i].entrust_name+"</span><p>"+data[i].stock_name+"</p><small>"+data[i].stock_code+"</small><span class=\"ared\">"+data[i].entrust_type_name+"</span></div>";
	        eleHtml+="<div class=\"value\">";
	        eleHtml+="<a href=\"javascript:void(0)\" id=\"stockIn\" data-id="+data[i].exchange_type+" data-no="+data[i].entrust_no+">撤单</a>";
	        eleHtml+="<span class=\"time\">"+data[i].entrust_time+"</span>";
	        eleHtml+="<ul>";
	        eleHtml+="<li>委托价 <span>"+Number(data[i].entrust_price).toFixed(price_digit)+"</span></li>";
	        eleHtml+="<li>委托数 <span>"+data[i].entrust_amount+"</span></li>";
	        eleHtml+="<li>成交价 <span>"+Number(data[i].business_price).toFixed(price_digit)+"</span></li>";
	        eleHtml+="<li>成交数 <span>"+data[i].business_amount+"</span></li>";
	        eleHtml+="</ul></div></div>";
	        
//	        var css = "";
//  		var transPro = "";
//  		if(data[i].entrust_bs == "76"){
//  			transPro = "担保品转入";
//  			css = "ared";
//  		}else{
//  			transPro = "担保品转出";
//  			css = "agreen";
//  		}
//  		eleHtml += "<div class=\"cancel_list colla_cancel mt10\" id=\"remove\">";
//  		eleHtml += "<dl class=\"part\">";
//          eleHtml +=    "<dt><span class="+css+">"+transPro+"</span><strong>"+data[i].stock_name+"</strong><small>"+data[i].stock_code+"</small></dt>";
//          eleHtml +=    "<dd>";
//          eleHtml +=    	"<a href=\"javascript:void(0);\" id=\"stockIn\" data-no = "+data[i].entrust_no+">撤单</a>";
//          eleHtml +=    	"<p class=\"time\">"+data[i].entrust_time+"</p>";
//          eleHtml +=       "<span>成本价 <em>"+Number(data[i].entrust_price).toFixed(price_digit)+"</em></span><span>委托数  <em>"+data[i].entrust_amount+"</em></span>";
//          eleHtml +=  "</dd>";
//          eleHtml += "</dl>";
//          eleHtml += "</div>";
    	}
		$(_pageId + " #append").html(eleHtml);
		
		//撤单按钮cancelOrder
		appUtils.bindEvent($(_pageId+"#stockIn"), function(e){
			var entrust_no = $(this).attr("data-no");//委托编号
			var cancelParam = {
				"entrust_way": global.entrust_way, // 委托方式  在configuration配置
				"branch_no": creditUserInfo.branch_no, // 分支机构
				"fund_account": creditUserInfo.fund_account, // 资金账号
				"cust_code": creditUserInfo.cust_code, // 客户编号
				"password": creditUserInfo.password, // 交易密码
				"sessionid": creditUserInfo.session_id, // 会话号
				"entrust_no": entrust_no, // 委托编号
				"batch_flag": "0", // 批量撤单标志（0:不是，1：是）
				"exchange_type": "" // 交易市场类别
		};
		
			var dom = $(this).parent().parent();
			var stockCode = dom.find(".title small").text(); // 证券代码
			var stockName = dom.find(".title p").text(); // 证券名称
			var delegateOrien = dom.find(".title span").text(); // 操作类型
			var delegatePrice = dom.find(".value ul li:eq(0) span").text(); // 委托价格
			var delegateQuantity = dom.find(".value ul li:eq(1) span").text(); // 委托数量
			var entrust_no = $(this).attr("data-no");
			var tipStr ="<div class=\"pop_header\">";
			tipStr+="<h3>撤单</h3>";
			tipStr+="</div>";
			tipStr+="<div class=\"pop_main\">";
			tipStr+="<ul>";
			tipStr+="    <li>证券名称 <em>"+stockName+"</em></li>";
			tipStr+="    <li>证券代码 <strong>"+stockCode+"</strong></li>";
			tipStr+="    <li>委托价格 <strong>"+delegatePrice+"</strong></li>";
			tipStr+="    <li>委托数量 <strong>"+delegateQuantity+"</strong></li>";
			tipStr+="    <li>委托编号 <strong>"+entrust_no+"</strong></li>";
			tipStr+="</ul>";
			tipStr+="  </div>";
			common.btnConfirm(tipStr,function success(){
				service_credit.credit_cancel(cancelParam, CancelCallBack);
				},function fail(){
			});
	
			e.stopPropagation();
		},"click");
    }
    /**
     * 撤单提交回调函数
    */
    function CancelCallBack(data){
    	if(data.error_no == "0"){
    		layerUtils.iAlert("撤单成功");
    		//撤单查询
			callsQuery();
    	}else{
    		layerUtils.iAlert(data.error_info);
    		return false;
    	}
    }
    
	/**
	 * 初始化滑动组件
	 */
	/*function initVIScroll(){
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": $(window).height() - $(_pageId+".top_title").height()- $(_pageId+".toggle_nav").height()- 25 ,//显示内容区域的高度，当isPaingType为false时传
					"container": $(_pageId+"#v_container_funds_jj"),	
					"wrapper":$(_pageId+"#v_wrapper_funds_jj"),	
					"downHandle": function() {
						callsQuery();
					},
					"upHandle": function() {	
						//上拉获取下一页数据方法
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true;
		} else {
			vIscroll.scroll.refresh();
		}
		$(_pageId+ ".visc_pullUp").hide();
	}*/
	
	/**
	 * 销毁
	 */
	function destroy(){
		$(_pageId+" #append").html("");//清空数据
		$(_pageId+ ".no_data").hide();
		$(_pageId + " .mar_stock").html("");
		stockCodeOut = "";
		$(_pageId+".toggle_nav ul li:eq(0)").addClass("active").siblings().removeClass("active");
		$(_pageId + " #huazhuan_num").val("");
		$(_pageId + " #huazhuan_name").html("--");
		$(_pageId + " .gdzh>b").html("--");
		$(_pageId + " .td_all>b").html("--");
		$(_pageId + " .huazhuan").hide();
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});