/**
 * 基金交易-查询
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var common = require("common");
    var _pageId = "#fund_fundQuery ";

   
    /**
     * 初始化
     */
	function init(){common.hideBottomBar();
		var height_table = $(window).height() - $(_pageId+".header").height() - $(_pageId+".main .tab_nav").height() - 27;
		$(_pageId+".ct_nav").height(height_table);   //给持仓数据添加高度
		common.bindStockEvent(_pageId); //绑定头部菜单事件
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			appUtils.pageInit("fund/fundQuery","account/index",{});
		});
		//查询页面事件跳转
		appUtils.bindEvent($(_pageId + ".ct_nav  ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			var param =  $(this).attr("param");
			if(!param){
				param = "";
			}
			appUtils.pageInit("fund/fundQuery",topage,{"param":param}); 
		});
	}

	/**
	 * 销毁
	 */
	function destroy(){

	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("fund/fundQuery","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});