/**
 * 新股-中签查询
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var _pageId = "#newshare_more ";
	var common = require("common");
	
    /**
     * 初始化
     */
	function init() {
		common.hideBottomBar();
		common.systemKeybord(); // 解禁系统键盘
		common.bindStockEvent(_pageId);
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("newshare/more","account/index",{});
			e.stopPropagation();
		});
		
		//查询页面事件跳转
		appUtils.bindEvent($(_pageId + ".main .search_nav ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			appUtils.pageInit("newshare/more",topage, {}); 
			e.stopPropagation();
		});
		
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});