define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#editDelegate_tradeOpen";
	var mobileService = require("mobileService");
	var external = require("external");
	var common = require("common");

	function init() {
		common.hideTabBar();
	}
	
	function bindPageEvent() {
		//绑定搜索框输入事件
		appUtils.bindEvent($(_pageId + " .search_box input"), function(){
			var filter = $(this).val();
			if(filter) {
				var matches = $(_pageId+" .deal_list ul").find('a:Contains(' + filter + ')').parent();
				$('li', $(_pageId+" .deal_list ul")).not(matches).slideUp();
				matches.slideDown();
			} else {
//			    $(_pageId+" .deal_list ul").find("li").slideDown();
				$(_pageId+" .deal_list .channelOpen").slideDown();
				$(_pageId+" .deal_list .cybChange").slideDown();
			}
		},"input");
		
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			var param = {
				"funcNo":"50101",
				"moduleName":"index"
			};
			external.callMessage(param);
		});
		
		// 绑定操作渠道
		appUtils.bindEvent($(_pageId+" .channelOpen"), function(){
			appUtils.pageInit("editDelegate/tradeOpen","editDelegate/editDelegate");
		});
		
		// 绑定创业板转签
		appUtils.bindEvent($(_pageId+" .cybChange"), function(){
			var param = {
				"funcNo":"50101",
				"moduleName":"cyb"
			};
			external.callMessage(param);
		});
	}
	
	function destroy(){

	}
	
	var tradeOpen = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = tradeOpen;
});
