/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#fund_showFundProtocol";
	var mobileService = require("mobileService");
	var external = require("external");
	var protocol_id = null;
	var common = require("common");
	
	function init(){
		 //固定头部标题栏
		var hg = $(window).height() - 44;			
		$(_pageId + " .main").css("height", hg + "px");
		$(_pageId + " .main").css("overflow-y", "auto");
		common.hideTabBar();
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if("fund/signFundProtocol" == _prePageCode){
			protocol_id = appUtils.getPageParam("protocol_id");
		}
		else{
			protocol_id = appUtils.getSStorageInfo("protocol_id");
		}
		var param = {
			"agree_no" : protocol_id,
			"version":""
		}
		//查询协议内容
		mobileService.getProtocolInfo(param,function(data){
			if(data.error_no == "0")
			{
				$(_pageId+" .title").text(data.results[0].agree_name);
				$(_pageId+" .xy_cont p").html(data.results[0].content);
			}
			else
			{
//				layerUtils.iAlert(data.error_info);
				layerUtils.iMsg(-1, error_info);
			}
		},{isShowWait:false});
	}
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			appUtils.pageInit("fund/showFundProtocol","fund/signFundProtocol",{});
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
				"funcNo":"50101",
				"moduleName":"main"
			};
			external.callMessage(param);
		});
	}
	function destroy(){
		// 将协议内容置空
		$(_pageId+" .title").text("");
		$(_pageId+" .title p").text("");
		mobileService.destroy();
	}
	
	var showFundProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showFundProtocol;
});