define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var layerUtils = require("layerUtils");
	var _pageId ="#myAccount_privateLetter";
	var mobileService = require("mobileService");
	var common = require("common");
	var external = require("external");
	var nativePluginService = require("nativePluginService");
	 //进行登陆检测
	var resultVo;
	var login_state = "";
	var index_model=""; //start 2016-03-29
	 
	function init() {
		var msgh = $(window).height() - 44; //页面高度减去需要固定部分的高度
		$(_pageId + " .main").css("height", msgh + "px");
		$(_pageId + " .main").css("overflow-y", "auto");
		// 获取壳子里的全局登陆状态，1:已经登陆； 0:代表退出 add 2016-03-29
		var stockVo = nativePluginService.function50041({"key":"COMMON_LOGIN_STATE"});					//1、已登录
		var login_state = stockVo.results[0].value;
		var indexVo = nativePluginService.function50041({"key":"index_model"});					
		index_model = indexVo.results[0].value;
/*		resultVo = nativePluginService.function50041({"key":"app_login_state"});
		login_state = resultVo.results[0].value;*/
		if (login_state == "1") {
			queryPrivateLetterList();
		} else {
			layerUtils.iMsg(-1, "您还未登录");
			appUtils.pageInit("myAccount/privateLetter","myAccount/message");
		}
	}

	// 获取所有私信
	function queryPrivateLetterList(){
		$(_pageId+" #li_PrivateLetter").addClass("active").siblings().removeClass("active");
		$(_pageId+" #privateLetter_info").show();
		$(_pageId+" #inform_info").hide();
		$(_pageId+" #notice_info").hide();
		
		/*start by 2016-03-28*/
		var userid="";//查询邮件，客户编号
    	var stockVo = nativePluginService.function50041({"key":"COMMON_LOGIN_STATE"});					//1、已登录
		var creditVo = nativePluginService.function50041({"key":"CREDIT_LOGIN_STATE"});     		    //1、已登录
		var stock_account = stockVo.results[0].value;
		var credit_account = creditVo.results[0].value;
		var common_user_id =nativePluginService.function50041({"key":"common_user_id"}).results[0].value; //普通资金账号用户user_id
		var credit_user_id =nativePluginService.function50041({"key":"credit_user_id"}).results[0].value; //信用资金账号用户user_id
        
		if("1"==stock_account){ //普通资金账号登陆查看邮件
			userid=common_user_id;
		}
		else if("1"==credit_account){     //信用资金账号登陆查看邮件
			userid=credit_user_id;
		}
		else if("1" == stock_account && "1" == credit_account){ //普通资金、信用资金账号都登陆，就跟进页面的进行处理
			userid=common_user_id;
		}
		/*end by 2016-03-28*/
		var param = {
			"user_id" : userid,
		};
		mobileService.showPrivateLetter(param,function(data)
		{
			var error_no = data.error_no;
            var error_info = data.error_info;
			if(error_no == 0){
				var results = data.results;
				var elements = "";
				if("undefined" != results && null !=results && "" != results){
					//截取创建时间的年月日，存到到arr1
					var arr1 = [];
					var list_obj = {};
					for(var i=0 ;i<results.length;i++){
					    var create_date = results[i].create_date;
						var final_date = create_date.split(" ")[0];	//创建日期
						if(list_obj[final_date]){
							list_obj[final_date].push(results[i]);
						}else{
							var arr =[];
							arr.push(results[i]);
							list_obj[final_date] = arr;
						}
					}
					for(var j in list_obj){
					 	var final_date = j ;
					 	//得到星期
						var arys1 = new Array();      
						arys1 = final_date.split('-');     //日期为输入日期，格式为 2013-3-10
						var ssdate=new Date(arys1[0],parseInt(arys1[1]-1),arys1[2]);   
						var weekDay = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
						var week = weekDay[ssdate.getDay()];
					 	elements += "<p class=\"msg_day\"><span>"+final_date+"";
					 	elements += "<span style=\"margin-left:6px\"></span>";
					 	elements += ""+week+"</span></p>";
					 	var results = list_obj[j];
					 	for(var i=0 ;i<results.length;i++){
					 		var id = results[i].id;						//标题id
							var create_date = results[i].create_date;	//创建时间
							var title = results[i].title;				//标题
							var final_date = create_date.split(" ")[0];	//创建日期
							var final_time = (create_date.split(" ")[1]).substr(0,5);	//创建日期
//					 		elements+="<div class=\"msg_cont\"><div class=\"pic\"><img src=\"images/cs_img.jpg\"></div><div title_id="+id+" id=\"title0"+i+"\" class=\"info\"><p class=\"time\">"+final_time+"</p><p>"+title+"</p></div></div>";
							elements+="<div class=\"msg_cont\"><div class=\"pic\"><img src=\"images/cs_img.jpg\"></div><div title_id="+id+" id=\"title0"+i+"\" class=\"info\"><p><span>"+title+"</span><span style=\"display:inline-block;min-width:40px;width:40px;\"><b class=\"time\">"+final_time+"</b></span></p></div></div>";
	//						// 预绑定查看消息内容的事件
							appUtils.preBindEvent($(_pageId+" #privateLetter_info"),"#title0"+i,function(e){
								appUtils.setSStorageInfo("title_id",$(this).attr("title_id"));
								appUtils.setSStorageInfo("messageSign","priLetter");
								appUtils.pageInit("myAccount/privateLetter","myAccount/messageDetail",{"title_id" : $(this).attr("title_id"),"messageSign" : "priLetter"});
								e.stopPropagation();
							});
					 	}
					}
				}
				$(_pageId+" #privateLetter_info").html(elements);
			}
			else{
//			   layerUtils.iAlert(error_info);
				layerUtils.iMsg(-1, error_info);
			   return false;
			}
		},{isShowWait:false});
	}
	
	function bindPageEvent() {
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			if (login_state == "1") {
				//跳转到我的账户首页
                appUtils.pageInit("myAccount/privateLetter", "myAccount/index", {});
			} else {
				if("me"==index_model){ //我的，消息标识
					//跳转到我的账户首页
	                appUtils.pageInit("myAccount/privateLetter", "myAccount/index", {});
				}else{
					external.callMessage({"funcNo": "50040", "key": "index_model", "value": ""});
					var param = {
							"funcNo":"50101",
							"moduleName":"home"
						};
					external.callMessage(param);
				}

			}
		});
		
		//绑定刷新
		appUtils.bindEvent($(_pageId+" .icon_refresh"), function(){
			queryPrivateLetterList();
		});
		
		//绑定公告切换
		appUtils.bindEvent($(_pageId+" #li_notice"), function(){
			 appUtils.pageInit("myAccount/privateLetter","myAccount/message");
		});
		
		//绑定通知切换
		appUtils.bindEvent($(_pageId+" #li_inform"), function(){
			appUtils.pageInit("myAccount/privateLetter","myAccount/inform");
		});
		
		//绑定私信切换
		appUtils.bindEvent($(_pageId+" #li_PrivateLetter"), function(){
			init();
		});
	}
	
	function destroy() {
		external.callMessage({"funcNo": "50040", "key": "index_model", "value": ""});
		mobileService.destroy();
	}
	
	var privateLetter = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = privateLetter;
});
