/**
 * 资讯-沪深详情
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils"), 
		layerUtils = require("layerUtils"),
		newsCommon = require("newsCommon"),
		gconfig = require("gconfig"),
		VIscroll = require("vIscroll"),
		global = gconfig.global,
		external = require("external"),
		serviceNews = require("serviceNews"),
		title = "",
		flag = "0",
		_pageId = "#business_hsMarketDynamic ";
	
	var vIscroll = {"scroll":null,"_init":false};		//上下滑动
	var curpage = 1;		//当前页数
	var totalPage=1;		//后台返回的总页数
	var rowofpage = 20;		//每页显示数据的条数
	var flag = "";//判断查询大盘还是交易
	var firstLoad = true;
	var isShowWait = true;
	var start_y = "";//触摸终止点的y坐标
	
	function init(){
		window.backPage = function(){
			//返回上一页
			appUtils.pageBack();
		};
//		$("#news_header").hide();
		//设施高度，添加滚动条
//		var contHeight = $(window).height() - $(_pageId + ".new_tab").height() -1;
//		$(_pageId + " .main").css({"height": contHeight, "overflow-x": "hidden", "overflow-y": "scroll"});
//		$("#news_huShen").parent().addClass("active").siblings().removeClass("active");
		
		title = appUtils.getPageParam("title");
		
		$(_pageId + ".top_title :header").text(title);
		
		newsCommon.initHeader(title,true,"4");
			if(title=="大盘动态"){
				flag = "0";
			}else{
				flag = "1";
			}
			queryMarketDynamic();
	}
	
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId + " .icon_back"),function(){
			appUtils.pageBack();
		});
		/**
		 * 获取用户点击页面的移动坐标
		 */
		appUtils.bindEvent($(_pageId),function(e){
			var touch = event.targetTouches[0];
			var y = Number(touch.pageY); //页面触点Y坐标
			var yHeight = Number($(" #content").height());
			if(gconfig.platform == "2"){
				if(y >= (yHeight-1)){
					if($(_pageId + " .visc_flip").css("display") == "block"){
						if(vIscroll._init){
							vIscroll.scroll.refresh();
						}	        	
					}
				}
				if(y < 10){
					if($(_pageId + " .visc_flip").css("display") == "block"){
						if(vIscroll._init){
							vIscroll.scroll.refresh();
						}	        	
					}
				}
			}
		},"touchmove");
	}
	
	
	/**
	 * 查询大盘动态数据
	 */
	function queryMarketDynamic(){
//		var param={				
//			"flag":"0",
//			"curpage":curpage,
//			"rowofpage":rowofpage
//		};
		var param = {
				"catalogid" : "5",
			    "query_flag":"0", //0大盘动态+个股详情 ， 1：大盘动态 ， 2：个股详情
			    "curpage": curpage
		}
		$(_pageId+ " .no_data").hide();
		serviceNews.queryNews(param,queryMarketDynamicCallback,true,isShowWait,true,function(){
			var liNum = $.trim($(_pageId+" .news_list ul").html());
			if(typeof liNum == "undefined" || liNum == "" || liNum == null){
				initVIScroll(0);
				isShowWait = false;
				$(_pageId+ " .no_data").show();
			}
			if(vIscroll._init){
				vIscroll.scroll.refresh();
			}
		});
	}
	/**
	 * 查询大盘动态数据回调
	 */
	function queryMarketDynamicCallback(data){
		if (typeof data != "undefined" && data != null && data != "") {
			if(data.error_no == 0)
			{
				isShowWait = false;
				//$(_pageId+" .news_list ul").html("");
				if(flag == 0){
					var results = data.tape;//大盘
				}else{
					var results =  data.DataSet;//个股详情
				}
				totalPage=results[0].totalPages;	//数据的总页数
//				curpage=results[0].currentPage;	//数据的当前页数
//				results = results.data;
				if(results && results.length > 0){
					var list = "";
					var num = results.length;
					for(var i = 0;i<results.length;i++)
					{
						var updatetime = results[i].updatetime;  	//资讯要闻  -- 发布时间
						var media = results[i].media;	
						if(updatetime != ""){
							var yearTime = updatetime.substring(0,10);
							var dayTime = updatetime.substring(11,updatetime.length);
						}
						var time = updatetime.substring(0,16);	//设置时间格式
						list +="<li id=\""+results[i].id+"\" data-yearTime="+yearTime+" data-dayTime="+dayTime+"><a href=\"javascript:void(0);\"><p>"+results[i].title+"</p><span style=\"float:left\">"+media+"</span><span style=\"margin-left:70px;\">"+time+"</span></a></li>";
					}
					if(curpage == 1){
						$(_pageId+" .news_list ul").html(list);
					}else{
						$(_pageId+" .news_list ul").append(list);
					}
					$(_pageId + ".visc_pullDown").css("display","block");
					$(_pageId + ".visc_pullUp").css("display","block");
					initVIScroll(num);
					appUtils.bindEvent($(_pageId+"  .news_list ul:eq(0) li"),function(e){
						vIscroll.scroll.refresh();
						var data_id = $(this).attr("id");
						var data_title = $(this).find("p").text();
						var resource = $(this).find("span:eq(0)").text();
						var updateTime = $(this).attr("data-yearTime")+" "+$(this).attr("data-dayTime");
						updateTime = updateTime.substring(0,16);
//						if(gconfig.platform == 1){
//							var sendMsgParams = {
//									"id":data_id,		//资讯的id
//									"title":data_title,
//									"resource":resource,
//									"time":updateTime
//								};
//							var jsonMsg = {"moduleName":"news","childModuleName":"","funcNo":"50013","id":data_id,"title":data_title,"resource":resource,"time":updateTime};
//							external.callMessage(jsonMsg);
//						}else{
						var param_data = {
								"data_title":data_title,
								"resource" : resource,
								"updateTime" : updateTime
						}
							appUtils.pageInit("business/hsMarketDynamic","business/informationDetails",{"param_data":param_data,"id":$(this).attr("id"),"curPage_Code":"business/hsMarketDynamic"});
//						}
					},"click");
				}else{
					var liNum = $.trim($(_pageId+" .news_list ul").html());
					if(typeof liNum == "undefined" || liNum == "" || liNum == null){
						initVIScroll(0);
						$(_pageId+ " .no_data").show();
					}
					//$(_pageId+" .news_list ul").html("<h5 colspan=\"4\" style=\"font-size: 14px; text-align:center;\">暂无数据</h5>");
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info);
			}
		}
		else
		{
			  layerUtils.iAlert("查询失败");
		}
	}
	
	/**
	 * 初始化上下滑动组件
	 */
	function initVIScroll(num){
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": $(window).height() - $(_pageId + " .top_title").height(),		//显示内容区域的高度，当isPaingType为false时传
					"container": $(_pageId+" #v_container_funds_jj"),	
					"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
					"downHandle": function() {				//下拉获取上一页数据方法
						curpage = 1;						//上拉将当前页数设置为1
						queryMarketDynamic();	//调用查询资讯要闻数据方法
					},
					"upHandle": function() {				//上拉获取下一页数据方法
						if(curpage < totalPage)				//判断当前页数是不是小于总页数
						{
							curpage++;
							queryMarketDynamic();
						}
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true; 						//尽量只初始化一次，保持性能
			if(num < 20 ){
				$(_pageId + ".visc_pullUp").css("display","none");
			}
		} else {
			vIscroll.scroll.refresh();
		}
	}
	

	function destroy(){
		start_y = "";//触摸终止点的y坐标
//		 $(_pageId ).remove();
		window.backPage = null;
		isShowWait = true;
		$(_pageId+" .news_list ul").html("");
		$(_pageId + ".visc_pullUp").css("display","none");
		$(_pageId + ".visc_pullDown").css("display","none");
		$(_pageId+ " .no_data").hide();
		curpage = 1;		//当前页数
		totalPage=1;		//后台返回的总页数
		rowofpage = 20;		//每页显示数据的条数
		flag = "";//判断查询大盘还是交易
	}

	var hsMarketDynamic = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	module.exports = hsMarketDynamic;
});

