/**
 * 资讯-要闻
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils"), 
		layerUtils = require("layerUtils"),
		gconfig = require("gconfig"),
		newsCommon = require("newsCommon"),
		VIscroll = require("vIscroll"),
		global = gconfig.global,
		external = require("external"),
		serviceNews = require("serviceNews"),
		headFun = require("headFun"),
		_pageId = "#business_importantNews ";
		var vIscroll = {"scroll":null,"_init":false};		//上下滑动
		var curpage = 1;		//当前页数
		var totalPage = 1 ;		//后台返回的总页数
		var rowofpage = 20;		//每页显示数据的条数
		var isFirstLoad = true;//第一次加载本页面
		var num = 0;
		var shIscroll = require("shIscroll");
		var mySHIscroll = null;
		
		var _currentCheckIndex = 0; 
	
	
	function init() {
		$(_pageId + "#news_importantNews").parent().attr("class","active");
		
		initHIScroll();//初始化左右滑动组件函数的调用
		
		window.onRefresh = function(){
			//查询资讯要闻数据
			queryInformation_importantNews();
		};
		
		newsCommon.initHeader("要闻",true,"1","2");
		
		if(isFirstLoad){
			//模拟从安卓原生中取数据
			var results_a = newsCommon.readMsgFromFile("importNews");
			if(typeof results_a != "undefined" && results_a != null && results_a.results != "" &&typeof  results_a.results  != "undefined"){
			    if(typeof results_a.results[0].data != "undefined" && results_a.results[0].data != "" && results_a.results[0].data != null){
				var results = results_a.results[0].data;
				showInformation_importantNews(results);
			    }
			}
			//初始化头部,调用刷新方法,此处为实现.
			headFun.initNav();
			//查询资讯要闻数据
			queryInformation_importantNews();
		}else{
			//初始化头部,调用刷新方法,此处为实现.
			headFun.initNav();
			initVIScroll(num);
		}
		
		//点击过程中的左右滑动是选中的栏目居中
		_currentCheckIndex = $(_pageId + ".header .new_tab ul li[class=active]").index();
		mySHIscroll ? mySHIscroll.scrollToElement($(_pageId + ".new_tab li").eq(_currentCheckIndex ? (_currentCheckIndex - 1) : 0), 500) : "";
	}
	
	
	/**
	 * 查询资讯要闻数据
	 */
	function queryInformation_importantNews(){
		newsCommon.refreshStyle(true);
		var param = {
			"catalogid":"1",
			"areacode":"142",
			"curpage":curpage,			//当前页
			"rowofpage":rowofpage		//每页显示数据的条数
		};
		$(_pageId+ " .no_data").hide();
		serviceNews.queryNews(param,function(data){
			if(data){
				if(data.error_no == 0){
					isFirstLoad = false;
					if( typeof data.results != "undefined" && data.results != null && data.results != ""){
						var results = data.results;
						if(typeof results != "undefined" && results != null && results != ""){
							totalPage=data.results[0].totalPages;	//数据的总页数
							if(curpage == 1){
								//模拟将数据传入安卓原生中
								newsCommon.writeMsgToFile("importNews",data);
							}
							//展示资讯要闻数据
							showInformation_importantNews(results);
							$(_pageId+ " .no_data").hide();
							
						}else{
							initVIScroll(0);
							var liNum = $.trim($(_pageId + " .pro_main ul").html());
							if(typeof liNum == "undefined" || liNum == "" || liNum == null){
								$(_pageId+ " .no_data").show();
							}
							$(_pageId+ " .visc_pullUp").hide();
							newsCommon.refreshStyle(false);
						}
					}else{
						initVIScroll(0);
						var liNum = $.trim($(_pageId + " .pro_main ul").html());
						if(typeof liNum == "undefined" || liNum == "" || liNum == null){
							$(_pageId+ " .no_data").show();
						}
						$(_pageId+ " .visc_pullUp").hide();
						newsCommon.refreshStyle(false);
					}
				}else{
					layerUtils.iAlert("查询失败");
					newsCommon.refreshStyle(false);
				}
			}
		},true,false,false,function(){
			var liNum = $.trim($(_pageId + " .pro_main ul").html());
			if(typeof liNum == "undefined" || liNum == "" || liNum == null){
				initVIScroll(0)
				$(_pageId+ " .no_data").show();
			}
			if(vIscroll._init){
				vIscroll.scroll.refresh();
			}
			newsCommon.refreshStyle(false);
		});
	}
	
	/**
	 * 展示资讯要闻数据
	 */
	function showInformation_importantNews(results){
		var strHtmls = "";
		for(var i=0 ; i<results.length ; i++){
			var item = results[i];
			var id = item.id;	//资讯要闻  -- 编号
			var media = item.media;					//资讯要闻  -- 媒体出处
			var infotitle = item.title;			//文章标题
			//资讯要闻  -- 文章标题
			var updatetime = item.updatetime;				//资讯要闻  -- 采集时间
			
			var yearTime = "";
			var dayTime = "";
			if(updatetime != ""){
				yearTime = updatetime.substring(0,10);
				dayTime = updatetime.substring(11,item.updatetime.length);
			}
			var time = updatetime.substring(10,16);	//设置时间格式
			strHtmls += "<li data-id="+id+" data-yearTime="+yearTime+" data-dayTime="+dayTime+"><a href=\"javascript:void(0);\"><p>"+infotitle+"</p><span style=\"float:left\">"+media+"</span><span style=\"margin-left:70px;\">"+time+"</span></a></li>";
		}
		if(curpage == 1){
			//如果加载页码为1，要清空原有数据，加载第一页数据
			$(_pageId + " .pro_main ul").html(strHtmls);
		}else{
			$(_pageId + " .pro_main ul").append(strHtmls);
		}
		num = results.length;
		//初始化上下滑动组件
		initVIScroll(num);
		
		/**
		 * 为每条资讯要闻 数据 绑定 详情信息
		 */
		appUtils.bindEvent($(_pageId + ".nli li"), function() {
			//获取当前你要点击的资讯要闻数据的id
			var data_id = $(this).attr("data-id");
			var data_title = $(this).find("p").text();
			var resource = $(this).find("span:eq(0)").text();
			var updateTime = $(this).attr("data-yearTime")+" "+$(this).attr("data-dayTime");
			updateTime = updateTime.substring(0,16);
			//获取当前页面的pageCode
			var curPage_Code = $("body #content div.page[data-display=block]").attr("id").replace("_","/");
			var param_data = {
					"data_title":data_title,
					"resource" : resource,
					"updateTime" : updateTime
			}
			appUtils.pageInit(curPage_Code,"business/informationDetails",{"param_data":param_data,"id":data_id,"curPage_Code":curPage_Code});
		},"click");
		
		newsCommon.refreshStyle(false);
	}
	
	/**
	 * 初始化上下滑动组件
	 */
	function initVIScroll(num){
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": $(window).height() - $(_pageId+" .top_title").height() - $(_pageId+" .new_tab").height() - 10,// 10为margin
					"container": $(_pageId+" #v_container_funds_jj"),	
					"wrapper":$(_pageId+" #v_wrapper_funds_jj"),	
					"downHandle": function() {				//下拉获取上一页数据方法
						curpage = 1;						//上拉将当前页数设置为1
						queryInformation_importantNews();	//调用查询资讯要闻数据方法
					},
					"upHandle": function() {				//上拉获取下一页数据方法
						if(curpage < totalPage)				//判断当前页数是不是小于总页数
						{
							curpage++;
							queryInformation_importantNews();
						}
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true; 						//尽量只初始化一次，保持性能
			if(num < 20 ){
				$(_pageId + ".visc_pullUp").css("display","none");
			}
		} else {
			vIscroll.scroll.refresh();
		}
	}
	
	function bindPageEvent() {
		//首页返回键回到主页面
		appUtils.bindEvent($(_pageId + ".top_title a"), function() {
			external.callMessage({"moduleName":"home","funcNo": "50101"});
			e.stopPropagation();
		});
		
		/**
		 * 获取用户点击页面的移动坐标
		 */
		appUtils.bindEvent($(_pageId),function(e){
			var touch = event.targetTouches[0];
			var y = Number(touch.pageY); //页面触点Y坐标
			var yHeight = Number($(" #content").height());
			if(gconfig.platform == "2"){
				if(y >= (yHeight-1)){
					if($(_pageId + " .visc_flip").css("display") == "block"){
						if(vIscroll._init){
							vIscroll.scroll.refresh();
						}	        	
					}
				}
				if(y < 10){
					if($(_pageId + " .visc_flip").css("display") == "block"){
						if(vIscroll._init){
							vIscroll.scroll.refresh();
						}	        	
					}
				}
			}
		},"touchmove");
		
	}
	
	
	function initHIScroll(){
		if(!mySHIscroll){
			var config = {
				//获取两个指定的格式的对象
				wrapper: $(_pageId+" #wrapper_hMainPanel"), //wrapper对象
				container: $(_pageId+" #container_hMainPanel"), //container对象
				//滑动操作后要执行的方法
				onScrollEnd : function(){
					//滑动完成之后的处理，非必传
				}	
			};
			
			mySHIscroll = new shIscroll(config);
			//表示的就是头部导航显示的控制为四个
			$(_pageId+" #container_hMainPanel li").width($(_pageId+" #wrapper_hMainPanel").width()*0.2);
			//将滑动选中的元素li显示（在刚加载页面的时候除开第一个li元素是现实的，其他的li元素是隐藏的）
			$(_pageId+" #container_hMainPanel li").show();
		}
	}
	

	function destroy()
	{
		if(vIscroll._init){
			vIscroll.scroll.refresh();
		}
		
//		myShIscroll.destroy();
		myShIscroll = null;
		curpage = 1;		//当前页数
		totalPage = 1 ;		//后台返回的总页数
		rowofpage = 20;		//每页显示数据的条数
		num = 0;
	}

	var importantNews = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	module.exports = importantNews;
});