/**
 * 资讯-详情
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils"), 
		layerUtils = require("layerUtils"),
		newsCommon = require("newsCommon"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		orderInfo = null,
		external = require("external"),
		SVIscroll = require("svIscroll"),
//		serviceImp = require("serviceImp").getInstance(),
		serviceNews = require("serviceNews"),
		_pageId = "#business_informationDetails ";
		var svIscroll = null;
		var id = ""; //文章id
		var param_data; //上个页面带过来数据
	
	
	
	function init(){
//		var url = window.location.search;
//		alert(url);
		window.backPage = function(){
			//返回上一页
			appUtils.pageBack();
//			if(gconfig.platform == 2){//待修改
//				var sendMsgParams = {
//                        "id":"",
//						"titleName":"",
//						"isShowShare":"0"
//				};
//				external.sendMessage("news","","50001",sendMsgParams);
//			}
		};
//		$("#news_header").hide();
		
		//获取从上一个页面传过来的数据
		param_data = appUtils.getPageParam("param_data");
		
		window.changeWordFont = function(index){
			if(index==0){
				$(_pageId+" .news_post .entry p").css("font-size","18px");
			}else{
				$(_pageId+" .news_post .entry p").css("font-size","14px");
			}
			if(svIscroll){
				svIscroll.destroy();
				svIscroll = null;
				var config = {
						wrapper: $(_pageId+" #wrapper_detail"), //wrapper对象
						container: $(_pageId+" #thedivst"), //container对象
						containerHeight: $(window).height() - $("#news_header").height()
				};
				svIscroll = new SVIscroll(config);
			}
		};
		
		newsCommon.initHeader("财经资讯","1","4","5");
		orderInfo = appUtils.getPageParam();
		id = orderInfo.id;
		queryData(id);
	}
	
	/**
	 * 查询数据
	 */
	function queryData(id){
		if(id){
			var param={				
				"id":id
			};
			serviceNews.queryInformationContent(param,queryDataCallback,true,true,false,function(){
				if(vIscroll._init){
					vIscroll.scroll.refresh();
				}
			});
		}
	}
	/**
	 * 查询数据回调(得到资讯相关的信息)
	 */
	function queryDataCallback(data){
		if (typeof data != "undefined" && data != null) {
			if(data.error_no == 0){
				var results = data.results;
				var content = (results[0].content).replaceAll("\r\n","</br>");
				if(typeof data.results != "undefined" && data.results != "" ){	
					$(_pageId+" .news_post h1").html(param_data.data_title);
					$(_pageId+" .news_post .meta span:eq(0)").html("来源："+param_data.resource);
					$(_pageId+" .news_post .meta span:eq(1)").html(param_data.updateTime);
//					$(_pageId+" .news_post .entry p").html(results[0].content);
					var addHtml  = "";
//					var updatetime = results[0].updatetime;
//					updatetime = newsCommon.changeNewsDetailTime(updatetime);
					addHtml += "<h1 class=\"post_title\">"+param_data.data_title+"</h1>";
					addHtml += "<p class=\"meta\"><span>"+"来源："+param_data.resource+"</span><span style=\"padding-left: 10px;\">"+param_data.updateTime+"</span></p>";
					addHtml += "<div class=\"entry\" style=\"padding: 10px;margin-top: 0px;\"><p>"+content+"</p></div>";
					
					$(_pageId + ".news_post").html(addHtml);
					/**
					 * 添加滑动组件
					 */
					if(!svIscroll){
						var config = {
								wrapper: $(_pageId+" #wrapper_detail"), //wrapper对象
								container: $(_pageId+" #thedivst"), //container对象
								containerHeight: $(window).height()- $(_pageId + " .top_title").height()
						};
						svIscroll = new SVIscroll(config);
					}
//					var titleName = results[0].infotitle;
//					titleName = titleName.replace(/\(/g,"（");
//					titleName = titleName.replace(/\)/g,"）");
//	    			titleName = titleName.replace(/\!/g,"！");
//	    			titleName = titleName.replace(/\'/g,"’");
//	    			titleName = titleName.replace(/\#/g,"＃");
//	    			titleName = titleName.replace(/\*/g,"＊");
//	    			titleName = titleName.replace(/\./g,"．");
//	    			titleName = titleName.replace(/\~/g,"～");
//	    			titleName = titleName.replace(/\_/g,"-");
//					if(gconfig.platform == 2){//待修改
//						var sendMsgParams = {
//								"id":id,
//								"titleName":titleName,
//								"isShowShare":"1"
//						};
//						external.sendMessage("news","","50001",sendMsgParams);
//						
//					}
				}else{
					
				}
			}else{
				layerUtils.iAlert(data.error_info);
			}
		}else{
			  layerUtils.iAlert("查询失败");
		}
	}
	
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId + " .icon_back"),function(e){
			appUtils.pageBack();
			e.stopPropagation();
		});
		/**
		 * 字体大小
		 */
		appUtils.bindEvent($(_pageId + ".top_title span em"), function(e){
			$(this).addClass("active").siblings().removeClass("active");
			var index=$(this).index();
			if(index==0){
				$(_pageId+" .news_post .entry p").css("font-size","18px");
			}
			else{
				$(_pageId+" .news_post .entry p").css("font-size","14px");
			}
			if(svIscroll){
				svIscroll.destroy();
				svIscroll = null;
				var config = {
						wrapper: $(_pageId+" #wrapper_detail"), //wrapper对象
						container: $(_pageId+" #thedivst"), //container对象
						containerHeight: $(window).height()- $(_pageId + " .top_title").height()
				};
				svIscroll = new SVIscroll(config);
			}
			e.stopPropagation();
		});
		/**
		 * 获取用户点击页面的移动坐标
		 */
		appUtils.bindEvent($(_pageId),function(e){
			var touch = event.targetTouches[0];
			var y = Number(touch.pageY); //页面触点Y坐标
			var yHeight = Number($(" #wrapper_detail").height());
			if(gconfig.platform == "2"){
				if(y >= (yHeight-1)|| y < 10){
					if(svIscroll){
						svIscroll.destroy();
						svIscroll = null;
						var config = {
							wrapper: $(_pageId+" #wrapper_detail"), //wrapper对象
							container: $(_pageId+" #thedivst"), //container对象
							containerHeight: $(window).height()- $(_pageId + " .top_title").height()
						};
						svIscroll = new SVIscroll(config);
					}
				}
//				if(y < 10){
//					if(svIscroll){
//						svIscroll.destroy();
//						svIscroll = null;
//						var config = {
//							wrapper: $(_pageId+" #wrapper_detail"), //wrapper对象
//							container: $(_pageId+" #thedivst"), //container对象
//							containerHeight: $(window).height() - $("#news_header").height()
//						};
//						svIscroll = new SVIscroll(config);
//					}
//				}
			}
		},"touchmove");
	}

	function destroy()
	{
		id  = "";
		$(_pageId + ".top_title span em:eq(1)").addClass("active").siblings().removeClass("active");
		$(_pageId+" .news_post .entry p").css("font-size","14px");
		
		$(_pageId+" .news_post").html("");
//		$(_pageId+" .news_post .meta span:eq(0)").html("");
//		$(_pageId+" .news_post .meta span:eq(1)").html("");
//		$(_pageId+" .news_post .entry p").html("");
		
		if(svIscroll){
			svIscroll.destroy();
			svIscroll = null;
		}
		window.backPage = null;
	}

	var informationDetails = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	module.exports = informationDetails;
});