/**
 * 头部导航栏
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var _currentCheckIndex = 0;
	
	//头部初始化
	function initNav() {
		bindNavEvent();
		return this;
	}
	
	//头部绑定事件
	function bindNavEvent(){
		/**
		 * 页面跳转
		 */
		appUtils.bindEvent($("#container_hMainPanel li a"), function(e){
			var toPage = $(this).attr("to-page").replace("_","/");
			var toParam = $(this).attr("to_param");
			var curPageCode = $("body #content div.page[data-display=block]").attr("id").replace("_","/");
			if
			(	toPage == "business/directPlay" || 
				toPage == "business/plate" || 
				toPage == "business/individual" || 
				toPage == "business/economics" || 
				toPage == "business/international" || 
				toPage == "business/macroscopic" || 
				toPage == "business/newShares" || 
				toPage == "business/fund" 
			){
				appUtils.setSStorageInfo("toParam",toParam);   //保存获取的栏目ID
				appUtils.pageInit(curPageCode, "business/moduleIncrease");
			}else{
				if(curPageCode != toPage){
					appUtils.pageInit(curPageCode, toPage);
				}
			}
			e.stopPropagation();
		},"click");
		/**
		 * 拉动头部
		 */
		appUtils.bindEvent($(".top_title"), function(e){
			return false;
		},"touchmove");
	}
	
	
	var headFun = {
		"initNav": initNav,
	};
	
	module.exports = headFun;
});