/**
 * 更多页面
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var _pageId = "#account_developing ";
	var external = require("external");
	var common = require("common");
	
    /**
     * 初始化
     */
	function init() {
		common.hideBottomBar();
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//返回按钮
		appUtils.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			appUtils.pageInit("account/developing","account/index",{});
		});

	}

	function destroy(){
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("account/developing","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});