/**
 * 交易模块公用js
 */
define(function(require, exports, module) {
    var appUtils = require("appUtils");
    var layerUtils = require("layerUtils");
    var validatorUtil = require("validatorUtil");
    var gconfig = require("gconfig"); 
    var global = gconfig.global;
    var external = require("external");
    var validata = require("validatorUtil");
    var	service_credit = require("service_credit");
    var service_common = require("service_common");
    var service_hq = require("service_hq");
    var common = require("common");
    var commonFunc = require("commonFunc");
	var logoutTimer = null; //登录超时定时检测定时器
	var getHqStateTimer = null;//获取行情服务状态定时器
	var bazaarCode = "";//市场类型
	var toTrade = "";
	var first_entrust_bs = "";//记录刚开始时的委托标志
	var refresh_s = null;
	var yesterdayPrice = "";//前一天的收盘价
	var buyOnePrice = "";
	var cursor_timer = null;
	var cursor_num = 0;
	var cursor_timer_id = null;
	
	
	userInfo = null;
	var stkType = "",
		exchange_type = "",
		stock_account = "",
		// 持仓定时器
		position_timer = null,
		// 五档行情定时器
		fifthOrder_timer = "",
		// 委托类别，
		limitedMarketEntrust = "limited",
		//合约编号，
		compact_id = "",
		//合约市场
		exchangeTypeHy = "",
		//合约开仓日期
		init_date = "",
		//定义委托类别
		entrust_bs = "",
		//判断股票为融资还是融券  0-融资   1-融券
		type = "",
		//合约名字，
		contractName = "";
	
	/**
	 * 初始化委托页面
	 */
	function initPage(_pageId, entrust_bs, entrust_type, pageFlag){
		// 解禁系统键盘	
		common.systemKeybord();
		//从缪一个页面跳转到当前页面携带的股票代码
		var stockCode = appUtils.getPageParam("stockCode");
		if(!stockCode){
			if(appUtils.getLStorageInfo("toHqDetails") || appUtils.getLStorageInfo("toHqDetails") == "toHqDetails"){
				appUtils.setLStorageInfo("toHqDetails","");
				return;
			}
		}
		first_entrust_bs = entrust_bs;
		entrust_bs = entrust_bs;
		clearBuyMsg(_pageId, entrust_bs);
		userInfo = JSON.parse(appUtils.getSStorageInfo("credit_userInfo"));
        toTrade = appUtils.getPageParam("toTrade");
		// 查询个股行情
		if (stockCode){
			$(_pageId + " #stockCode").val(stockCode);
			getStockList(_pageId, stockCode, entrust_bs, entrust_type);
		} else {
			$(_pageId+".fund_table").scrollTop(0);
		}
		if (position_timer) {
	        window.clearInterval(position_timer);
	    }
		//compact_id = appUtils.getPageParam("compact_id");
		//contractName = appUtils.getPageParam("contractName");
		//exchangeTypeHy = appUtils.getPageParam("exchangeTypeHy");
		var tempDate = appUtils.getPageParam("init_date");
		if(tempDate){
			var time_year=tempDate.substring(0,4);
			var time_month=tempDate.substring(4,6);
			var time_day=tempDate.substring(6,8);
			tempDate = time_year+"-"+time_month+"-"+time_day;
			init_date = new Date(tempDate);
			init_date = init_date.format("yyyy-MM-dd");
		}
		isHold = appUtils.getPageParam("isHold");
		if(isHold){
			$(_pageId+".fund_table .button-group .a1").removeClass("current");
			$(_pageId+".fund_table .button-group .a2").addClass("current");
		}else{
			$(_pageId+".no_data").hide();
			var headTr = "<tr><th scope=\"col\">证券</br>代码</th> <th scope=\"col\">担保可卖</br>可卖</th><th scope=\"col\">市值</br>持仓</th><th scope=\"col\">盈亏</br>比例</th><th scope=\"col\">成本</br>现价</th></tr>";
			$(_pageId+".fund_table .ce_table thead").html(headTr);
			$(_pageId+".fund_table .ce_table").show();
			$(_pageId+".fund_table .button-group .a1").addClass("current");
			$(_pageId+".fund_table .button-group .a2").removeClass("current");
			queryHolding(_pageId, pageFlag);
		} 
  		
  		// 方便pc端调试
		if (gconfig.platform === "0"){
			$(_pageId + " #stockCode").attr("readonly", false);
			$(_pageId + " #stockNum").attr("readonly", false);
		}	
	}
	
	/**
	 * 绑定页面事件
	 */
	function bindEvent(_pageId, entrust_bs, entrust_type){
		first_entrust_bs = entrust_bs;
		entrust_bs = entrust_bs;
		if(_pageId == "#credit_order_financingToBuy "){
			type = "0";
		}else if(_pageId == "#credit_order_financingToSell "){
			type = "1";
		}else{
			type = "";
		}
		var pageId = _pageId.replace(/[# ]/g, "").replaceAll("_", "/");
		// 返回按钮
		appUtils.bindEvent($(_pageId + " .icon_back"), function(e){
			$(_pageId+"#stockCode").val("");
			/*if (!toTrade){
				appUtils.pageInit(pageId, "credit/index", {});
				dataDestroy(_pageId, entrust_bs);
			} else {
				external.callMessage({"moduleName": toTrade, "funcNo": "50101"});
			}*/
			appUtils.pageInit(pageId, "credit/index", {});
			dataDestroy(_pageId, entrust_bs);
			e.stopPropagation();
		});
		
		// 导航菜单绑定事件
		appUtils.bindEvent($(_pageId + ".main .tab_nav ul a"),function(e){
			var $this = $(this),
				// 获取跳转的页面
				topage = $this.attr("to-page").replaceAll("_","/"),
				// 获取跳转页面参数
				param =  $this.attr("param");
			
			appUtils.pageInit(pageId, topage, {"param": param});
			e.stopPropagation();
		});
		
		//点击标的事件
//		appUtils.bindEvent($(_pageId + " .search_text"),function(e){
//			appUtils.pageInit(pageId, "credit/query/queryCanRZBuyStock",{});
//			e.stopPropagation();
//		},"click");
//changed by huangjianfeng
        if(pageId == "credit/order/buyTicketsRepay"||pageId == "credit/order/sellTicketsRepayment")
        {	
			appUtils.bindEvent($(_pageId + " .search_text"),function(e){
				appUtils.pageInit(pageId, "credit/query/contractInquiryQuery",{});
				e.stopPropagation();
			},"click");
        }else if(pageId == "credit/order/ordinaryToBuy"|| pageId == "credit/order/ordinaryToSell"){
			appUtils.bindEvent($(_pageId + " .search_text"),function(e){
				appUtils.pageInit(pageId, "credit/query/collateralQuery",{});
				e.stopPropagation();
			},"click");
        }
        else
        {
//changed by huangjianfeng
        	appUtils.bindEvent($(_pageId + " .search_text"),function(e){
			if(pageId == "credit/order/financingToSell")
			{
	    		appUtils.pageInit(pageId, "credit/query/queryCanRZBuyStock",{"type":1});

			}
			else
			{
	    		appUtils.pageInit(pageId, "credit/query/queryCanRZBuyStock",{});
			}
			e.stopPropagation();
		    },"click");
        	
        }
		// 点击小点跳转到行情页面
		appUtils.bindEvent($(_pageId + " .value02 b"),function(e){
			tradeToHq(_pageId, $.trim($(_pageId+"#stockCode").val().substring(0,6)));
			appUtils.setLStorageInfo("toHqDetails","");
			e.stopPropagation();
		});
		
		//股票代码输入
		appUtils.bindEvent($(_pageId + " #stockCode"), function(e){
			var stockCode = $(this).val(),
				vail = /^[A-Za-z]+$/,
				st_length = stockCode.length;
			clearBuyMsg(_pageId, entrust_bs);
			$(_pageId + " #stockName").html("");
			if (st_length > 1 && vail.test(stockCode)){
				getStockList(_pageId, stockCode, entrust_bs, entrust_type);
				if (st_length < 2){
					$(_pageId + " #stock_list").html("");
				}
			} else if (st_length > 3){
				$(_pageId+"#stockName").text("");
				getStockList(_pageId, stockCode, entrust_bs, entrust_type);
				if (st_length < 4){
					$(_pageId+"#stock_list").html("");
				}
			}
			e.stopPropagation();
		},"input");
		
		// 股票代码输入框调用原生键盘
		appUtils.bindEvent($(_pageId + ".trade_form .input_code .cursor_div"), function(e){ // 该监听方法是为了适配原生
			$(_pageId+"#stockCode").val("");
			clearBuyMsg(_pageId,entrust_bs);
			cursor_timer_id = $(this).find(" .cursor em").attr("id");
			cursorTimer(_pageId);
			$(_pageId + "#stockCode").focus();
			var code = $.trim($(_pageId + "#stockCode").val().substring(0,6));
			$(_pageId + "#stockCode").val(code);
			if(gconfig.platform != "0"){ // 同步原生的自选股
				var data = external.callMessage({"moduleName":"self-stock","funcNo": "60100", "searchKey":"","targetModule":"self-stock"});
				var source = "1"; // 渠道来源 0表示搜索码表 1 表示同步的自选股列表
				showStockList(data, source, _pageId, entrust_bs, entrust_type);
			}
			window.customKeyboardEvent = {
				keyBoardFinishFunction: function(){},
				keyBoardInputFunction: function(){
					var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
					clearBuyMsg(_pageId,entrust_bs);
					cursorTimer(_pageId);
					var vail=/^[A-Za-z]+$/;
					if (stockCode.length > 1 && vail.test(stockCode)){
						getStockList(_pageId, stockCode, entrust_bs, entrust_type);
						if (stockCode.length < 2){
							$(_pageId+"#stock_list").html("");
						}
					} else if (stockCode.length > 3){
						getStockList(_pageId,stockCode,entrust_bs, entrust_type);
						if (stockCode.length < 4){
							$(_pageId+"#stock_list").html("");
						}
					}else{
						clearBuyMsg(_pageId,entrust_bs);
						cursorTimer(_pageId);
					}
					$(_pageId + "#stockCode").prev(".cursor_div").find(".cursor div").text(stockCode);
				}
			};
			external.callMessage({"moduleName":"trade","funcNo": "50210", "pageId": _pageId.replace(/[# ]/g, ""), "eleId":"stockCode", "doneLable":"done", "keyboardType":"2"});
			e.stopPropagation();
		}, "click");
		
		// 委托数量输入框调用原生键盘
		appUtils.bindEvent($(_pageId+" .input_num .cursor_div"), function(e){
			cursor_timer_id = $(this).find(" .cursor em").attr("id");
			cursorTimer(_pageId);
			window.customKeyboardEvent = {
				keyBoardFinishFunction: function(){},
				keyBoardInputFunction: function(keyCode){
					var mostBuy = $(_pageId + " #buyLimit").html().substring(5);//最大买入量
					var temp_num = $(_pageId+" #stockNum").val();
					if(temp_num && temp_num>1000000){
						layerUtils.iAlert("委托数量不能超过100万股/份！");
					}
					if(temp_num && temp_num>=100000000){
						$(_pageId+" #stockNum").val($(_pageId+" #stockNum").val().substring(0,8));
						$(_pageId + "#stockNum").prev(".cursor_div").find(".cursor div").text($(_pageId+" #stockNum").val());
						return false;
					}
					if(validatorUtil.isNumeric(mostBuy)){// 1 ，买入  2，卖出  3，融资买入 4，融券卖出  5，普通买入 6，普通卖出 7，买券还券 8，卖券还款
						if(keyCode == "-14" && (entrust_bs%2 === 0)){ // 买入全仓
							$(_pageId+"#stockNum").val((mostBuy/lotsOf).toFixed(0)*lotsOf);
						}else if(keyCode == "-14" && (entrust_bs%2 > 0)){ // 卖出全仓
							$(_pageId+"#stockNum").val(mostBuy);
						}else if(keyCode == "-12"){ // 3分之一仓
							$(_pageId+"#stockNum").val((mostBuy/(3*lotsOf)).toFixed(0)*lotsOf);
						}else if(keyCode == "-13"){ // 2分之一仓
							$(_pageId+"#stockNum").val((mostBuy/(2*lotsOf)).toFixed(0)*lotsOf);
						}else if(keyCode == "-11"){ // 4分之一仓
							$(_pageId+"#stockNum").val((mostBuy/(4*lotsOf)).toFixed(0)*lotsOf);
						}
					}else{
						if(keyCode == "-11"||keyCode == "-12"||keyCode == "-13"||keyCode == "-14"){
							$(_pageId+"#stockNum").val(0);
						}
					}
					var cur_num = $(_pageId+" #stockNum").val();
					if(Number(cur_num.substring(0,1)) == 0){
						$(_pageId+" #stockNum").val("");
					}
					$(_pageId + "#stockNum").prev(".cursor_div").find(".cursor div").text($(_pageId+" #stockNum").val());
					totalValue(_pageId);
				}
			};
			external.callMessage({"moduleName":"trade","funcNo": "50210", "pageId": _pageId.replace(/[# ]/g, ""), "eleId":"stockNum", "doneLable":"done", "keyboardType":"6"});
			e.stopPropagation();
		},"click");
		
		//失去焦点关闭原生键盘
		appUtils.bindEvent($(_pageId+"#stockNum"),function(e){
			external.callMessage({"moduleName":"trade","funcNo": "50211"});
			e.stopPropagation();
		},"blur");

		
		//失去焦点关闭原生键盘
		appUtils.bindEvent($(_pageId + " #stockCode"),function(e){
			external.callMessage({"moduleName":"trade","funcNo": "50211"});
			var stockCode = $.trim($(_pageId+"#stockCode").val());
			if(stockCode.length==6){
				getStockList(_pageId,stockCode,entrust_bs, entrust_type);
				$(_pageId+"#stockCode").val(stockCode);
			}
			e.stopPropagation();
		},"blur");
		
		//五档买卖盘联动
		appUtils.bindEvent($(_pageId + " .five_box ul li"),function(e){
			var curPrice=$(this).find("span").text();
//changed by huangjianfeng 认为entrust_bs只有等于0和1两个值是可以使用五档买卖盘联动
//			if(curPrice && curPrice!="--"){
			if(curPrice && curPrice!="--" &&( entrust_bs==0 || entrust_bs==1 )){
				$(this).siblings().removeClass("active");
				$(this).parent().siblings().find("li").removeClass("active");
				$(this).addClass("active");
				curPrice = isNaN(Number(curPrice)) ? 0 : curPrice;
				$(_pageId+"#stockPrice").val(curPrice);
				totalValue(_pageId);
		      	var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
			    queryMaxAmount(_pageId, stockCode, entrust_bs, entrust_type);
			}
			e.stopPropagation();
		});
		
		//现价委托和市价委托切换   
		appUtils.bindEvent($(_pageId + " .button-group a"), function(e){
			$(this).addClass("current").siblings().removeClass("current");
			var stock_code=$(_pageId + "#stockCode").val();
			if($(this).index() == 0){
				limitedMarketEntrust = "limited";
				entrust_bs = first_entrust_bs;
				$(_pageId+"#buyLimit").css("background-color","#999");
				if((entrust_bs & 1) == 0){
					$(_pageId+"#buyLimit").text("最大可买:--");
				}else{
					$(_pageId+"#buyLimit").text("最大可卖:--");
				}
				$(_pageId+".input_select .select_box p").html("--");
				$(_pageId+".input_select .select_box p").attr("id", "");
				$(_pageId+".input_box.in").show();
				$(_pageId+".input_select.mt10").hide();
				if(stock_code==null || stock_code==""){
//					limitedMarketEntrust = "limited";
//					$(_pageId+".input_box.in").show();
//					$(_pageId+".input_select.mt10").hide();
				}else{
//					limitedMarketEntrust = "limited";
//					$(_pageId+".input_box.in").show();
					$(_pageId+"#buyLimit").show();
					totalValue(_pageId);
					var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
					queryMaxAmount(_pageId,stockCode,entrust_bs, entrust_type);
//					$(_pageId+".input_select.mt10").hide();
				}
			}else{
				limitedMarketEntrust = "market";
				$(_pageId+".input_box.in").hide();
				$(_pageId+"#buyLimit").css("background-color","#EAEAEA");
				$(_pageId+"#buyLimit").html("");
				$(_pageId+".input_select.mt10").show();
				$(_pageId + ".ce_btn small").text("");
				entrust_bs = $(_pageId+".input_select .select_box p").attr("id");
				if (entrust_bs){
					var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
					queryMaxAmount(_pageId,stockCode,entrust_bs, entrust_type);
				}
			}
			e.stopPropagation();
		},"click");
		//价格输入框
		appUtils.bindEvent($(_pageId+"#stockPrice"), function(e){
			var curPrice = $(this).val();
			if(Number(curPrice) == 0){
				$(this).val("");
			}
			stock_price = $(this).val();
			if(_pageId=="#credit_order_financingToSell "){
				if(buyOnePrice){
					if(curPrice<buyOnePrice){
						layerUtils.iAlert("委托价格应不低于现价！ ");
					}
				}else{
					if(curPrice <yesterdayPrice){
						layerUtils.iAlert("委托价格应不低于昨收价！ ");
					}
				}
			}
			var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
			queryMaxAmount(_pageId,stockCode,entrust_bs, entrust_type);
			totalValue(_pageId);
			e.stopPropagation();
		},"blur");
		
		//增加价格
		appUtils.bindEvent($(_pageId+".trade_main .input_box .add"),function(e){
			addPrice(_pageId,stockCode,entrust_bs, entrust_type);
			e.stopPropagation();
		},"touchstart");
		//减少价格
		appUtils.bindEvent($(_pageId+".trade_main .input_box .less"),function(e){
			reducePrice(_pageId,stockCode,entrust_bs, entrust_type);
			e.stopPropagation();
		},"touchstart");
		
		//股票数量输入框  
		appUtils.bindEvent($(_pageId+"#stockNum"), function(e){
			totalValue(_pageId);
			e.stopPropagation();
		},"input");
		
		//市价委托展开与隐藏
		appUtils.bindEvent($(_pageId+".input_select .select_box"), function(e){
			marketShowOrHide(_pageId);
			e.stopPropagation();
		},"click");
		
		//市价委托选择
		appUtils.bindEvent($(_pageId+".input_select .select_box ul li"), function(e){
			entrust_bs = $(this).attr("id");
			$(_pageId+".input_select .select_box p").html($(this).find("a").text()).attr("id", entrust_bs);
			var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
			queryMaxAmount(_pageId, stockCode, entrust_bs, entrust_type);
			e.stopPropagation();
		});
		
		//我的持仓和指定合约切换   
		appUtils.bindEvent($(_pageId+".fund_table .button-group a"), function(e){
			$(_pageId+".input_select .select_box ul").hide();
			$(_pageId+".fund_table .ce_table tbody").html("");
			$(this).addClass("current").siblings().removeClass("current");
			var stock_code=$(_pageId + "#stockCode").val().substring(0,6);
			if($(this).index() == 0){
				isHold=false;
				compact_id="";
				contractName="";
				$(_pageId+".no_data").hide();
				$(_pageId+".fund_table .ce_table").show();
				var headTr = "<tr><th scope=\"col\">证券</br>代码</th> <th scope=\"col\">担保可卖</br>可卖</th><th scope=\"col\">市值</br>持仓</th><th scope=\"col\">盈亏</br>比例</th><th scope=\"col\">成本</br>现价</th></tr>";
				$(_pageId+".fund_table .ce_table thead").html(headTr);
				queryHolding(_pageId, 3);
			}else{
				isHold=true;
				$(_pageId+".no_data").hide();
				$(_pageId+".fund_table .ce_table").show();
				var headTr = "<tr><th scope=\"col\" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th><th>开仓日期</br>到期日期</th> <th scope=\"col\">合约编号</br>类型</th><th scope=\"col\">证券名称</br>代码</th><th scope=\"col\">待偿金额</br>待偿利息</th></tr>";
				$(_pageId+".fund_table .ce_table thead").html(headTr);
				if (refresh_s){
					window.clearInterval(refresh_s);
					refresh_s = null;
				}
				if (position_timer){
					window.clearInterval(position_timer);
					position_timer = null;
				}
				//指定合约还未了结合约
				//window.setTimeout(commonFunc.queryHoldingNotDo(_pageId,3,stock_code),10);
				window.setTimeout(queryHoldingNotDo(_pageId,3),10);
			}
			e.stopPropagation();
		},"click");
		
		//下单
		appUtils.bindEvent($(_pageId+"#submitOrder"),function(e){
			if(compact_id){
				vailSubmitOrderSelect(_pageId, entrust_bs, entrust_type, compact_id);
			}else{
				vailSubmitOrder(_pageId, entrust_bs, entrust_type);
			}
			e.stopPropagation();
		});
		
		//点击其他位置去掉五档点击效果
		appUtils.bindEvent($(_pageId),function(e){
			$(_pageId + " .five_box ul li").removeClass("active");
			$(_pageId + " #sz").hide();
			$(_pageId + " #sh").hide();
			if (cursor_timer != null ) {
		        window.clearInterval(cursor_timer);
		    }
			$(_pageId + ".trade_form .input_text .cursor_div .cursor em").css("opacity",0);
			external.callMessage({"moduleName":"trade","funcNo": "50211"});
			e.stopPropagation();
		});

		
	}

	/**
	 * 获取股票列表（根据股票代码获取股票列表）(自选股)
	 * stockStr：股票代码
	 */
	function getStockList(_pageId, stockStr, entrust_bs, entrust_type){
		if (stockStr){
			// 表示的就是从壳子里面获取数据
			if (gconfig.platform !== "0"){
				//查询股票码表
				var data = external.callMessage({"moduleName": "self-stock", "funcNo": "60101", "num": 10, "searchKey": stockStr, "targetModule": "self-stock"});
				if (data.results > 0){
					showStockList(data, "0", _pageId, entrust_bs, entrust_type);
				} else {
					showInterfaceStockList(_pageId, entrust_bs, entrust_type);
				}
	        //平台表示就是浏览器
			}else{
				showInterfaceStockList(_pageId, entrust_bs, entrust_type);
			}
		}
	}
	
	/**
	 * 获取股票列表（接口）
	 */
	function showInterfaceStockList(_pageId, entrust_bs, entrust_type){
		var stockStr = $.trim($(_pageId + " #stockCode").val().substring(0,6));
		if (stockStr){
			var stockStrParam = {
				"q": stockStr
			};
			service_hq.getStockList(stockStrParam, function(data){
				if (data.errorNo == 0){
					data.error_no = 0;
					showStockList(data, "", _pageId, entrust_bs, entrust_type, "isbus");
				} else {
					layerUtils.iAlert("获取股票列表失败");
				}
			}, {"isShowWait": false});
		}
	}
	
	/**
	 * 显示股票列表
	 */
	function showStockList(data, source, _pageId, entrust_bs, entrust_type, isBus){
		if (data.error_no == 0){
			var results = data.results,
				re_length = results.length;
			if (re_length > 0){
				$(_pageId + " #stock_list").html("");
				var market = "",
					code = "",
					name = "";
				if (source != "1" && re_length === 1 && $(_pageId + " #stockCode").val().length === 6){
					if (isBus){
						market = results[0][9];
						code = results[0][1];
					} else {
						market = results[0].market;
						code = results[0].code;
					}
					//type代表股票可融类型  0代表融资   1代表融券
					if(type=="0"){
						var entrust_way = global.entrust_way; // 委托方式  在configuration配置
						var branch_no = userInfo.branch_no;	//分支机构
						var fund_account = userInfo.fund_account;	//资产账户
						var cust_code = userInfo.cust_code;	//客户代码
						var sessionid = userInfo.session_id;
						var password = userInfo.password;
						var stock_code = code;
						var exchange_type = "";
						var param = {			
							"entrust_way":entrust_way,
							"branch_no":branch_no,
							"fund_account":fund_account,
							"cust_code":cust_code,
							"password":password,
							"sessionid":sessionid,
							"stock_code":stock_code,
							"exchange_type":exchange_type,
							"type":type,
							//"poststr":poststr,
							//"pageNum":500
						};
						service_credit.qualificationInquiry(param,function queryCallBack(data){
							if (data) {
								if(data.error_no == 0)
								{
									var results = data.results;	
									if(results && results.length > 0)
									{
										getStockInfo(_pageId, market, code, entrust_bs, entrust_type);
									}
									else{
										layerUtils.iAlert("非可融资标的！");
										$(_pageId + " #stockCode").val("");
									}
								}
								else
								{
									layerUtils.iAlert(data.error_info);
									$(_pageId + " #stockCode").val("");
								}
							}
						},{
							"isLastReq":true,
							"isShowWait":false,
						});
					}else if(type == "1"){
						var entrust_way = global.entrust_way; // 委托方式  在configuration配置
						var branch_no = userInfo.branch_no;	//分支机构
						var fund_account = userInfo.fund_account;	//资产账户
						var cust_code = userInfo.cust_code;	//客户代码
						var sessionid = userInfo.session_id;
						var password = userInfo.password;
						var exchange_type = "";
						var param = {			
							"entrust_way":entrust_way,
							"branch_no":branch_no,
							"fund_account":fund_account,
							"cust_code":cust_code,
							"password":password,
							"sessionid":sessionid,
							"stock_code":code,
							"exchange_type":exchange_type
						};
						service_credit.queryCanBeMargin(param,function queryCallBack(data){
							if (data) {
								if(data.error_no == 0)
								{
									var results = data.results;	
									if(results && results.length > 0)
									{
										getStockInfo(_pageId, market, code, entrust_bs, entrust_type);
									}
									else
									{
										layerUtils.iAlert("非可融券标的！");
										$(_pageId + " #stockCode").val("");
									}
								}
								else
								{
									layerUtils.iAlert(data.error_info);
									$(_pageId + " #stockCode").val("");
								}
							}
						},{"isShowWait":false});
					}else{
						getStockInfo(_pageId, market, code, entrust_bs, entrust_type);
					}
					
				} else {
					if (re_length >= 6){
						var selectHeight = 6 * 0.44;
					} else {
						selectHeight = 0.44 * re_length;
					}
					var listHtml = "<ul style=\"display:block;overflow-y:auto;height:"+selectHeight+"rem\">";
					for(var i = 0; i < re_length; i++) {
						var item = null;
						if (isBus){
							item = results[i];
							market = item[9];
							code = item[1];
							name = item[0];
						} else {
							item = results[i];
							market = item.market;
							code = item.code;
							name = item.name;
						}
						listHtml += "<li data-market='"+market+"' style='text-align:center;'><a href=\"javascript:void(0);\"><strong style=\"font-size:0.18rem\">"+code+"</strong>"+name+"</a></li>";
					};
					listHtml+="</ul>";
					$(_pageId + " #stock_list").append(listHtml);
					appUtils.bindEvent($(_pageId + " #stock_list li"),function(){
						var $this = $(this),
							market = $this.attr("data-market"),
							stockCode = $this.find("strong").html();
						$(_pageId + "#stockCode").val(stockCode);
						$(_pageId+"#stock_list").html("");
						//type代表股票可融类型  0代表融资   1代表融券
						if(type=="0"){
							var entrust_way = global.entrust_way; // 委托方式  在configuration配置
							var branch_no = userInfo.branch_no;	//分支机构
							var fund_account = userInfo.fund_account;	//资产账户
							var cust_code = userInfo.cust_code;	//客户代码
							var sessionid = userInfo.session_id;
							var password = userInfo.password;
							var stock_code = stockCode;
							var exchange_type = "";
							var param = {			
								"entrust_way":entrust_way,
								"branch_no":branch_no,
								"fund_account":fund_account,
								"cust_code":cust_code,
								"password":password,
								"sessionid":sessionid,
								"stock_code":stock_code,
								"exchange_type":exchange_type,
								"type":type,
								//"poststr":poststr,
								//"pageNum":500
							};
							service_credit.qualificationInquiry(param,function queryCallBack(data){
								if (data) {
									if(data.error_no == 0)
									{
										var results = data.results;	
										queryMsg = data.results;//将返回的结果集保存
										if(results && results.length > 0)
										{
											getStockInfo(_pageId, market, stockCode, entrust_bs, entrust_type);
										}
										else{
											layerUtils.iAlert("非可融资标的！");
											$(_pageId + " #stockCode").val("");
										}
									}
									else
									{
										layerUtils.iAlert(data.error_info);
										$(_pageId + " #stockCode").val("");
									}
								}
							},{
								"isLastReq":true,
								"isShowWait":false,
							});
						}else if(type == "1"){
							var entrust_way = global.entrust_way; // 委托方式  在configuration配置
							var branch_no = userInfo.branch_no;	//分支机构
							var fund_account = userInfo.fund_account;	//资产账户
							var cust_code = userInfo.cust_code;	//客户代码
							var sessionid = userInfo.session_id;
							var password = userInfo.password;
							var exchange_type = "";
							var param = {			
								"entrust_way":entrust_way,
								"branch_no":branch_no,
								"fund_account":fund_account,
								"cust_code":cust_code,
								"password":password,
								"sessionid":sessionid,
								"stock_code":stockCode,
								"exchange_type":exchange_type
							};
							service_credit.queryCanBeMargin(param,function queryCallBack(data){
								if (data) {
									if(data.error_no == 0)
									{
										var results = data.results;	
										if(results && results.length > 0)
										{
											getStockInfo(_pageId, market, stockCode, entrust_bs, entrust_type);
										}
										else
										{
											layerUtils.iAlert("非可融券标的！");
											$(_pageId + " #stockCode").val("");
										}
									}
									else
									{
										layerUtils.iAlert(data.error_info);
										$(_pageId + " #stockCode").val("");
									}
								}
							},{"isShowWait":false});
						}else{
							getStockInfo(_pageId, market, stockCode, entrust_bs, entrust_type);
						}
					}, "click");
				}
			} else {
				// 从接口中直接获取股票列表
				if (!isBus){
					showInterfaceStockList(_pageId, entrust_bs, entrust_type);
				}else{
					layerUtils.iAlert("股票信息不存在！");
					$(_pageId + " #stockCode").val("");
				}
			}
		}
	}
	
	/**
	 * 获取股票个股行情
	 */
	function getStockInfo(_pageId, market, stockCode, entrust_bs, entrust_type){
		if (stockCode && market){
			if (fifthOrder_timer) {
		        window.clearInterval(fifthOrder_timer);
		        fifthOrder_timer = null;
		    }
			//传递的参数是市场和股票代码的拼接
			var stockStrParam = {
				"stock_list" : market + ":" + stockCode
			};
			//查询个股行情（获取股票现价）
			service_hq.getStockNowPrice(stockStrParam, function(data){
			    // price_digit：要保留的小数点的位数，is_bond：证券类型
		    	if (data.errorNo == 0){
					var results = data.results,
						re_length = results.length;
					if (re_length > 0){
						yesterdayPrice = results[0][6];
						var code_name_exch_mark = results[0][1]+","+results[0][0]+","+results[0][10]+","+results[0][9];
						$(_pageId+"#stockCode").data("code_name_exch_mark", code_name_exch_mark);
						bazaarCode = results[0][9];
                        $(_pageId+"#stock_list").html("");
						//$(_pageId+".mod_stock_item #stock_list").hide();
						$(_pageId+"#stockCode").val(""); // 每次修改股票代码，那么将初始值置为0
						if(results[0][15] == "1"){
							layerUtils.iAlert("该股票已停牌");
                            $(_pageId+"#stockName").text("股票名称");
							return false;
						}
						//results[0][2]表示的是现价，results[0][6]表示的是昨收（得到今日当前的价格）
						var price = results[0][2] ? results[0][2]:results[0][6];
						stkType = results[0][10];    //行情类别（exchange_type）
						/*--------- 0 ，获取证券应该保留的小数位数----------------*/
						var stockInfo = common.decimalKeep(stkType);
                        price_digit = stockInfo["keepNum"];
						is_bond = stockInfo["is_bond"];
						/*--------- 1 ，设置证券类型 ----------------*/
						var typeName = common.getStockType(stkType);
						$(_pageId + ".trade_form .select_box label").text(typeName);
						/*--------- 2 ，设置证券价格加减步长 ------------*/
						var price_step_const = [10,12,13,4,6,19,20,3,11,16];  //最小变动单位为0.001的
						var step_flag = $.inArray(stkType, price_step_const);
		                if(step_flag == -1){ //变动价格为0.01
							price_step = 0.01;
						}else{  // 变动价格为0.001
							price_step = 0.001;
						}
						var stockVal = results[0][1]; //股票代码
						if(stockVal.substring(0,3) == "204"){ // 上海国债逆回购
							price_step = 0.005;
						}
		                /*--------- 3 ，设置证券单位及数量步长 -----------*/
						if(is_bond == "1"){  //上海债券
							$(_pageId + ".limit span").text("手");
							$(_pageId + ".input_num em").text("手");
							lotsOf = 10;
						}else if(is_bond == "2"){  //深圳债券
							$(_pageId + ".limit span").text("张");
							$(_pageId + ".input_num em").text("张");
							lotsOf = 10;
						}else{  //其他股票
							up_stop = Number(results[0][13]).toFixed(price_digit);
							down_stop = Number(results[0][14]).toFixed(price_digit);
							$(_pageId + "#up_stop").html(up_stop).attr("class","ared");
							$(_pageId + "#down_stop").html(down_stop).attr("class","agreen");
							$(_pageId + ".limit span").text("股");
							$(_pageId + ".input_num em").text("股");
							lotsOf = 100;
						}

						//证券代码显示  
						$(_pageId + "#stockCode").val(results[0][1]+" "+results[0][0]);
						$(_pageId + "#stockCode").blur();
						var temp_stock = results[0][1]+" "+results[0][0];
						$(_pageId + "#stockCode").prev(".cursor_div").find(".cursor div").text(temp_stock);
						//证券名称显示
						$(_pageId + "#stockName").html(results[0][0]);
						stock_price = price.toFixed(price_digit);
						//$(_pageId + "#stockPrice").val(price);
						//保存此股票的市场类型
						//$(_pageId+ " .mod_stock_buy .fl").find("p").attr("id",results[0][9]);
						
						//保存此股票的信息
						var market = results[0][9];
						var stockCode = results[0][1];
						if(typeof market != "undefined" && market != "" && market != null && stockCode.length == "6"){
							var stockMsg = market+":"+stockCode;
							appUtils.setLStorageInfo("stockMsg",stockMsg);
						}
						//股票联动,查询股票信息，最大可买
						if((entrust_bs == 0 )||( entrust_bs == 1)){
							queryMaxAmount(_pageId, $.trim($(_pageId+"#stockCode").val().substring(0,6)), entrust_bs, entrust_type);
						}
						
						//调用五档行情
						var stock_list = results[0][9] + ":" + results[0][1];
						
						isChangePrice = true;
						window.setTimeout(function(){setFifthOrder(_pageId, stock_list,entrust_bs);},100);
						if(global.isTrade){
							fifthOrder_timer =  window.setInterval(function(){setFifthOrder(_pageId, stock_list,entrust_bs);}, 3000);//定时刷新 改为3秒 原来10秒
						}
					}else{
						$(_pageId+" #stock_list").hide();
//						clearBuyMsg();
						layerUtils.iAlert("该股票不存在");
					}
				}else{
					clearBuyMsg(_pageId,entrust_bs);
					layerUtils.iAlert(data.error_info);
				}
			}, {"isShowWait": false});
		}
	}
	
	/**
	 * 查询可用资金最大可买数量
	 * */
	function queryMaxAmount(_pageId, stockCode, entrust_bs, entrust_type){
		var user = userInfo;
		if (!stockCode){
			return false;
		}
		var entrust_price = $(_pageId+("#stockPrice")).val() || stock_price;
		if ($(_pageId+".button-group a:eq(1)").hasClass("current")){
			entrust_price = "";
		}
		var account = JSON.parse(appUtils.getSStorageInfo("credit_stockAccount"));
		var stk = "19";
		if ((stkType == "9")||(stkType == "11")||(stkType == "12")||(stkType == "13")||(stkType == "14")||(stkType == "15")||(stkType == "16")||(stkType == "20")||(stkType == "25")||(stkType == "26")||(stkType == "27")||(stkType == "30")||(stkType == "65")||(stkType == "66")){
			stk = "15";
		} else if (stkType == "10"){
			stk = "10";
		} else if (stkType == "17"){
			stk = "17";
		}
		var param = {
				"entrust_way": global.entrust_way,
				"branch_no": user.branch_no,
				"fund_account": user.fund_account,
				"cust_code": user.cust_code,
				"password": user.password,
				"sessionid": user.session_id,
				"entrust_bs": entrust_bs,
				"stock_code": stockCode,
				"entrust_price": entrust_price,
				"entrust_type": entrust_type,
				"exchange_type": stkType,
				"stock_account": account[stk]
			};
		service_credit.stock_link(param, function queryMaxAmountCallBack(data){
			var errorNo = data.error_no,
				errorInfo = data.error_info;
				if (errorNo === "0"){
					var results = data.results,
						re_length = results.length;
					if (re_length > 0){
						var max_num = Number(results[0].stock_max_amount);
						$(_pageId + "#buyLimit").show();
						if(limitedMarketEntrust == "market"){
						}else{
							if (entrust_bs%2 === 0){
								var sel_code=$(_pageId + "#stockCode").val();
								if(sel_code == null || sel_code == ""){
									$(_pageId + " #buyLimit").html("最大可买:--" );
								}else{
									$(_pageId + " #buyLimit").html("最大可买:" + max_num);
								}
							} else {
								var sel_code=$(_pageId + "#stockCode").val();
								if(sel_code == null || sel_code == ""){
									$(_pageId + " #buyLimit").html("最大可卖:--" );
								}else{
									$(_pageId + " #buyLimit").html("最大可卖:" + max_num);
								}
							}
						}
						enable_balance = Number(results[0].enable_balance);
						exchange_type = results[0].exchange_type;
						stock_account = results[0].stock_account;
					}
				}else{
					layerUtils.iAlert(errorInfo);
				}
			}, {"isShowWait": false});
	}
	
	/**
	 * 跳转行情
	 */
	function tradeToHq(_pageId, emValue){
		if (!emValue){
			return;
		}
		appUtils.setLStorageInfo("toHqDetails", "toHqDetails");
		var code_name_exch_mark = $(_pageId+"#stockCode").data("code_name_exch_mark");
		var cnemArr = code_name_exch_mark.split(",");
		external.callMessage({"funcNo": "50101","moduleName":"tradeToHq","params":{"stock_code":cnemArr[0],"stock_name":cnemArr[1],"exchange_type":cnemArr[2],"market":cnemArr[3]}});
	}
	
	//五档买卖盘
	function setFifthOrder(_pageId, stock_list, entrust_bs){
		 if (stock_list){
			var fifthOrder = {
				"stock_list": stock_list,
			};
			service_hq.getStockFiveStep(fifthOrder, function callbackFifthOrder(data){
				if(data.errorNo == 0){
					var results = data.results;
					if(results && results.length>0){
						//现价
//changed by huangjianfeng	$(_pageId + "#currentPrice").html("&nbsp;"+results[0][30].toFixed(2));
						$(_pageId + "#currentPrice").html("&nbsp;"+results[0][30].toFixed(price_digit));
						stockType = results[0][2];
						//涨幅
						var gains = Number(results[0][36]);
						
						var css = "";
						if(gains == 0){
							css = "";
							gains = "0.00%";
						}else{
							if(gains > 0){
								css = "ared";
								gains = gains+"";
								gains = Number(gains.substring(gains.indexOf(".")+1,gains.indexOf(".")+3))+"."+gains.substring(gains.indexOf(".")+3,gains.indexOf(".")+5)+"%";
							}else{
								css = "agreen";
								gains = gains+"";
								gains = "-"+Number(gains.substring(gains.indexOf(".")+1,gains.indexOf(".")+3))+"."+gains.substring(gains.indexOf(".")+3,gains.indexOf(".")+5)+"%";
							}
						}
						$(_pageId + "#gains").html("&nbsp;"+gains).attr("class",css);
						$(_pageId + "#currentPrice").attr("class",css);
						$(_pageId + "#dd").show().css("color","#0389d2");
						
						$(_pageId+"#stock_list").html("");
						var stock_gear = $(_pageId+" .five_box ul li");
						//昨收
						var yesProfit = Number(results[0][26]).toFixed(price_digit);
						if(isChangePrice){
							//股票现价
							var nowPrice = Number(results[0][30]).toFixed(price_digit);
//							var sell_one = Number(results[0][15]);//卖一的数量
//							if(nowPrice == up_stop || sell_one == 0){   //如果现价和涨停价相等，取现价
//								$(_pageId + "#stockPrice").val(nowPrice);
//							}else{   //如果现价和涨停价不相等，取卖一的价格
//								$(_pageId + "#stockPrice").val(Number(results[0][10]).toFixed(price_digit));   //results[0][10]).toFixed(price_digit)表示的是卖价1
//							}
//changed by huangjianfeng
							if(entrust_bs==0){
								var sell_one = Number(results[0][15]);//卖一的数量
								/*if(nowPrice == up_stop || sell_one == 0){   //如果现价和涨停价相等，取现价
									$(_pageId + "#stockPrice").val(nowPrice);
								}else{   //如果现价和涨停价不相等，取卖一的价格
									$(_pageId + "#stockPrice").val(Number(results[0][10]).toFixed(price_digit));   //results[0][10]).toFixed(price_digit)表示的是卖价1
								}*/
								$(_pageId + "#stockPrice").val(nowPrice);
							}
							else
							{
								var buy_one = Number(results[0][21]);//买一的数量
								if(nowPrice == down_stop || buy_one == 0){   //如果现价和涨停价相等，取现价
									$(_pageId + "#stockPrice").val(nowPrice);
									buyOnePrice = nowPrice;
								}else{   //如果现价和涨停价不相等，取现价
									$(_pageId + "#stockPrice").val(nowPrice);
//									$(_pageId + "#stockPrice").val(Number(results[0][16]).toFixed(price_digit));   //results[0][16]).toFixed(price_digit)表示的是买价1
									buyOnePrice =  Number(results[0][16]).toFixed(price_digit);
								}
      						}
							isChangePrice = false;
						}
						buyOnePrice = Number(results[0][30]).toFixed(price_digit);
						/**
						 * 此处逻辑:买卖五档盘也是根据昨收作比较,将受到的五档盘颜色信息保存在集合中,在给五档盘价格赋值和样式
						 */
						//卖五档盘颜色集合
						var soldFiveOrder = [];
						for(var i = 0 ; i < 5 ; i ++){   //卖价5,4,3,2,1
							var fivePirce = results[0][(i+6)];
							if(yesProfit < fivePirce){
								soldFiveOrder[i] = "ared";
							}else if(yesProfit >fivePirce){
								soldFiveOrder[i] = "agreen";
							}else{
								soldFiveOrder[i] = "";
							}
						}
						//买五档盘颜色集合
						var buyFiveOrder = [];
						for(var i = 0 ; i < 5 ; i ++){   //买价1,2,3,4,5
							var fivePirce = results[0][(i+16)];
							if(yesProfit < fivePirce){
								buyFiveOrder[i] = "ared";
							}else if(yesProfit >fivePirce){
								buyFiveOrder[i] = "agreen";
							}else{
								buyFiveOrder[i] = "";
							}
						}
						//卖
						stock_gear.eq(0).find("span").text(Number(results[0][6]).toFixed(price_digit)).attr("class",soldFiveOrder[0]);
						stock_gear.eq(0).find("em").text(overAMillion(results[0][11]));
						stock_gear.eq(1).find("span").text(Number(results[0][7]).toFixed(price_digit)).attr("class",soldFiveOrder[1]);
						stock_gear.eq(1).find("em").text(overAMillion(results[0][12]));
						stock_gear.eq(2).find("span").text(Number(results[0][8]).toFixed(price_digit)).attr("class",soldFiveOrder[2]);
						stock_gear.eq(2).find("em").text(overAMillion(results[0][13]));
						stock_gear.eq(3).find("span").text(Number(results[0][9]).toFixed(price_digit)).attr("class",soldFiveOrder[3]);
						stock_gear.eq(3).find("em").text(overAMillion(results[0][14]));
						stock_gear.eq(4).find("span").text(Number(results[0][10]).toFixed(price_digit)).attr("class",soldFiveOrder[4]);
						stock_gear.eq(4).find("em").text(overAMillion(results[0][15]));
						//买
						stock_gear.eq(5).find("span").text(Number(results[0][16]).toFixed(price_digit)).attr("class",buyFiveOrder[0]);
						stock_gear.eq(5).find("em").text(overAMillion(results[0][21]));
						stock_gear.eq(6).find("span").text(Number(results[0][17]).toFixed(price_digit)).attr("class",buyFiveOrder[1]);
						stock_gear.eq(6).find("em").text(overAMillion(results[0][22]));
						stock_gear.eq(7).find("span").text(Number(results[0][18]).toFixed(price_digit)).attr("class",buyFiveOrder[2]);
						stock_gear.eq(7).find("em").text(overAMillion(results[0][23]));
						stock_gear.eq(8).find("span").text(Number(results[0][19]).toFixed(price_digit)).attr("class",buyFiveOrder[3]);
						stock_gear.eq(8).find("em").text(overAMillion(results[0][24]));
						stock_gear.eq(9).find("span").text(Number(results[0][20]).toFixed(price_digit)).attr("class",buyFiveOrder[4]);
						stock_gear.eq(9).find("em").text(overAMillion(results[0][25]));
					}
				}else{
					if (fifthOrder_timer) {
				        window.clearInterval(fifthOrder_timer);
				        fifthOrder_timer = null;
				    }
					layerUtils.iAlert(data.error_info);
				}
			},{"isShowWait":false});
		 } 
	}
	
	/**
	 * 市价委托展开与隐藏
	 */
	function marketShowOrHide(_pageId){
		var buy_stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
		if(buy_stockCode.length == 0){
			layerUtils.iMsg(-1,"请输入股票代码");
			return;
		}	
		if(buy_stockCode.length < 5){
			layerUtils.iMsg(-1,"股票代码输入错误");
			return;
		}
		if($(_pageId+"#sz").css("display") == "block" || $(_pageId+"#sh").css("display") == "block"){
			$(_pageId+"#sz").css("display","none");
			$(_pageId+"#sh").css("display","none");
		}else{
			if(bazaarCode !== "" && bazaarCode == "SZ"){
				$(_pageId+"#sz").css("display","block");
				$(_pageId+"#sh").css("display","none");
			}else if(bazaarCode !== "" && bazaarCode == "SH"){
				$(_pageId+"#sz").css("display","none");
				$(_pageId+"#sh").css("display","block");
			}
		}
	}
	
	/**
	 * 点击减号减少价格
	 */
	function reducePrice(_pageId,stockCode,entrust_bs, entrust_type){
		var stockCode = $(_pageId + "#stockCode").val();
		if(stockCode && stockCode.length>0){
			var curPrice = $(_pageId+"#stockPrice").val();
			if(curPrice == "" || !validatorUtil.isNumberFloat(curPrice)){
				$(_pageId+"#stockPrice").val("");
				return false;;
			}
			curPrice = Number(curPrice);   
			if(curPrice-price_step >= 0){
				curPrice=(parseFloat(curPrice)-parseFloat(price_step)).toFixed(price_digit);
				$(_pageId+"#stockPrice").val(curPrice);
			}
			if(_pageId=="#credit_order_financingToSell "){
				if(buyOnePrice){
					if(curPrice<buyOnePrice){
						layerUtils.iAlert("委托价格应不低于现价！ ");
					}
				}else{
					if(curPrice <yesterdayPrice){
						layerUtils.iAlert("委托价格应不低于昨收价！ ");
					}
				}
			}
		}else{
			layerUtils.iAlert("请先输入合法的股票代码");
		}
		totalValue(_pageId);
		var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
		queryMaxAmount(_pageId, stockCode, entrust_bs, entrust_type);
	}
	
	/**
	 * 点击加号增加价格
	 */
	function addPrice(_pageId,stockCode,entrust_bs, entrust_type){
		var stockCode = $(_pageId + "#stockCode").val();
		if(stockCode && stockCode.length>0){
			var curPrice = $(_pageId+"#stockPrice").val();
			if(curPrice == "" || !validatorUtil.isNumberFloat(curPrice)){
				$(_pageId+"#stockPrice").val("");
				return false;;
			}
			curPrice = Number(curPrice);  
			if(curPrice >= 0&&curPrice<999999999){
				curPrice = (parseFloat(curPrice)+parseFloat(price_step)).toFixed(price_digit);
				$(_pageId+"#stockPrice").val(curPrice);
			}
			if(_pageId=="#credit_order_financingToSell "){
				if(buyOnePrice){
					if(curPrice<buyOnePrice){
						layerUtils.iAlert("委托价格应不低于现价！ ");
					}
				}else{
					if(curPrice <yesterdayPrice){
						layerUtils.iAlert("委托价格应不低于昨收价！ ");
					}
				}
			}
		}else{
			layerUtils.iAlert("请先输入合法的股票代码");
		}
		totalValue(_pageId);
		var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
		queryMaxAmount(_pageId, stockCode, entrust_bs, entrust_type);
	}
	
	//计算当前总值
	function totalValue(_pageId){
		if($(_pageId+".button-group a:eq(0)").attr("class") == "a1 current" ){
			var stockNum = $(_pageId+"#stockNum").val();
			var stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
			var stockPrice = $(_pageId+"#stockPrice").val();
			if(stockCode && validatorUtil.isNumberFloat(stockPrice) && validatorUtil.isNumeric(stockNum)){
			$(_pageId+".ce_btn #total").show();
				$(_pageId+".ce_btn #total").text("(¥"+common.numToMoneyType(""+(stockPrice*stockNum).toFixed(2))+")");
			}else{
				$(_pageId+".ce_btn #total").hide();
			}
		}
	}
	
	//数量过万改以万为单位
	function overAMillion(num){
		num = Number(num);
		if(num >= 10000){
			num = (num/10000).toFixed(2) + "万";
		}
		return num;
	}
	
	
	
	
	/**
	 * 信用交易证券持仓查询
	 */
	function queryHolding(_pageId, whichPage){
		var user = JSON.parse(appUtils.getSStorageInfo("credit_userInfo")),
			param={
				"entrust_way": global.entrust_way,
				"branch_no": user.branch_no,
				"fund_account": user.fund_account,
				"cust_code": user.cust_code,
				"sessionid": user.session_id
			};
		
		service_credit.cc_query(param, function(data){
			var errorNo = data.error_no,
				errorInfo = data.error_info;
			if (errorNo === "0"){
				$(_pageId + ".no_data").hide();
				var results = data.results,
					re_length = results.length;
				if (re_length > 0){
					$(_pageId + " .ce_table tbody").show();
					var css = "",
						float_yk = 0,
						tMarket = "",
						float_yk_per = "",
						str = "",
						marketJson = {"0": "SZ:", "1": "SZ:", "19": "SZ:", "9": "SH:", "10": "SH:", "15": "SH:", "17": "SH:"};
					for (var i = 0; i < re_length; i++){
						var item = results[i];
						// 浮动盈亏
						float_yk = Number(item.float_yk);
						// 浮动盈亏%
						float_yk_per = item.float_yk_per;
						if (float_yk > 0 ){
							float_yk = "+" + float_yk.toFixed(2);
							css = "ared";
						} else if (float_yk < 0){
							css = "agreen";
							float_yk = float_yk.toFixed(2);
						}
						var stock_code = item.stock_code;
				        str += "<tr id="+item.stock_code +" data-mkt_qty="+item.cost_amount+" data-cost_balance="+item.cost_balance+">";
				        str += "<td><strong>"+item.stock_name +"</strong><small>"+stock_code +"</small></td>";
				        str += "<td>"+Number(item.ownshare_avl)+"<br/>"+Number(item.enable_amount)+"</td>";
//				        str += "<td id='shiz_"+stock_code+"'>"+Number(item.market_value).toFixed(2)+"<br/>"+item.cost_amount+"</td>";
				        str += "<td><span id='shiz_"+stock_code+"'>"+item.market_value+"</span><span>"+item.cost_amount+ "</span></td>";
				        str += "<td><span id='yingk_"+stock_code+"' class=\""+css+"\">"+float_yk+"</span><span id='bil_"+stock_code+"' class=\""+css+"\">"+float_yk_per+ "</span></td>";
//				        str += "<td>"+Number(item.cost_price).toFixed(3)+"<br/>"+Number(item.last_price).toFixed(2)+"</td>";
				        str += "<td><span>"+item.cost_price+"</span><span id='xianj_"+stock_code+"'>"+item.last_price+ "</span></td>";
				        str += "</tr>";
				        var exchange = marketJson[item.exchange_type];
				        tMarket += re_length - 1 === i ? exchange + "" + stock_code : exchange + "" + stock_code + "|";
					}
					$(_pageId + " .ce_table tbody").html(str);
					Align(_pageId);
					console.log(tMarket);
					// 刷新持仓市值
					if (position_timer){
						clearInterval(position_timer);
						position_timer = null;
					}
					position_timer = setInterval(function(){
						refreshNow(tMarket, _pageId);
					}, 3000);
//					if(global.isTrade){
//						position_timer = window.setInterval(function(){
//							queryHolding(_pageId,pageFlag);
//						}, 10000);
//					}
					// 卖出事件
					appUtils.bindEvent($(_pageId + " .ce_table tbody tr"), function(e){
						var stock_code = $(this).attr("id");
						$(_pageId+("#stockPrice")).val("");
						$(_pageId + " #stockCode").val(stock_code).trigger("input");
						if(limitedMarketEntrust == "market"){
							$(_pageId+".input_select .select_box p").html("--");
							$(_pageId+".input_select .select_box p").attr("id", "");
						}
						e.stopPropagation();
					});
				} else { 
					$(_pageId + " .ce_table tbody").hide();
					$(_pageId + " .no_data").show();
				}
			} else {
				layerUtils.iAlert(errorInfo);
			}
		}, {"isShowWait": true});
		// 5 分钟刷新持仓
		if (refresh_s){
			clearInterval(refresh_s);
			refresh_s = null;
		}
		refresh_s = setInterval(function(){
			queryHolding(_pageId, whichPage);
		}, 5 * 60 * 1000);
	}
	
	/**
	 * 定时刷新持仓
	 */
	function refreshNow(tMarket, _pageId){
		// 调用行情接口，获取行情现价 
		commonFunc.getNowPriceForTrade(function(now_price_json,code_type_json){
			for (var i in now_price_json){
				// 现价
				var now_price = now_price_json[i],
				    code_type = code_type_json[i],
					$target = $(_pageId + " #" + i),
					// 当前持有数量
					cost_amount = $target.attr("data-mkt_qty"),
					// 当前成本
					cost_balance = $target.attr("data-cost_balance");
				//判断是否是股票
				var code_step_const = [0,1,2,9,10,18];  //股票类型
				var step_flag = $.inArray(Number(code_type), code_step_const);
                if(step_flag == -1){ //是股票类型
					continue;
				}
				// 现价
				$(_pageId + " #xianj_" + i).html(now_price);
				// 市值 = 现价 * 数量
				$(_pageId + " #shiz_" + i).html(Number(now_price * cost_amount).toFixed(2));
				// 盈亏 = 行情现价 * 数量 - 当前成本
				var yink = Number(now_price * cost_amount - cost_balance).toFixed(2),
				// 比例 = （行情现价*数量-当前成本）/当前成本
					bil = Number((now_price * cost_amount - cost_balance)/cost_balance * 100).toFixed(2),
					css_yb = "";
				if (yink > 0){
					css_yb = "ared";
				} else if (yink < 0){
					css_yb = "agreen";
				}
				$(_pageId + " #yingk_" + i).html(yink > 0 ? "+" + yink : yink).attr("class", css_yb);
				$(_pageId + " #bil_" + i).html(bil + "%").attr("class", css_yb);
			}
		}, tMarket);
	}
	
	/**
	 * 融资融券未了结合约查询并展示        ------------------------张金平添加
	 */
	function queryHoldingNotDo(pageId,whichPage){
		 return function() {//为了解决定时器不能传参数的问题	 
				var userInfo = JSON.parse(appUtils.getSStorageInfo("credit_userInfo"));
				var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
				var branch_no  = userInfo.branch_no;	//分支机构
				var fund_account = userInfo.fund_account;	//资产账户
				var cust_code = userInfo.cust_code;	//客户代码
				var op_station = "";//这个不知道在那取得的       尚未解决    
				var sessionid= userInfo.session_id;
				var stock_account ="";
				var stock_code = "";
				var exchange_type = "";
				var compact_type = pageId=="#credit_order_buyTicketsRepay "?1:0;//0是融资 1是融券
				var query_type = "0";//0是未了结  1是当日已了结
				var param={
						"entrust_way":entrust_way,
						"branch_no":branch_no,
						"fund_account":fund_account,
						"cust_code":cust_code,
						"op_station":op_station,
						"sessionid":sessionid,
						"stock_account":stock_account,
						"stock_code":stock_code,
						"exchange_type":exchange_type,
						"compact_type":compact_type,
						"query_type":query_type
				};
				//service_credit.openInterest_Query(param,function(data){
				service_credit.contractmx_query(param,function(data){
					if (data && data != "undefined") {
						if(data.error_no == 0){
							$(pageId+".no_data").hide();
							var results = data.results;
							if(pageId != "#credit_order_buyTicketsRepay ")
							{
								var headTr = "<tr><th scope=\"col\" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th><th>开仓日期</br>到期日期</th> <th scope=\"col\">合约编号</br>类型</th><th scope=\"col\">证券名称</br>代码</th><th scope=\"col\">待偿金额</br>待偿利息</th></tr>";
								$(pageId+".fund_table .ce_table thead").html(headTr);
							
								var data = "";
								if(results && results.length>0){
									$(pageId+".fund_table .ce_table tbody").show();
									var float_yk = 0; //浮动盈亏
									for (var i=0;i<results.length;i++){ 
										data+="<tr id="+results[i].stock_code +">";
										data+="<td class='input_check' data_select_info="+results[i].compact_id+" init_date="+results[i].open_date+" exchange_type_hy="+results[i].exchange_type+" contractName="+results[i].stock_name+"></td><td>"+results[i].open_date +"<br/>"+results[i].ret_end_date +"</td>";
										if(results[i].compact_type==0){
											data+="<td>"+results[i].compact_id +"<br/>融资</td>";
										}else{
											data+="<td>"+results[i].compact_id +"<br/>融券</td>";
										}
										data+="<td>"+results[i].stock_name +"<br/>"+results[i].stock_code +"</td>";
										data+="<td>"+Number(results[i].left_amt).toFixed(2)+"<br/>"+Number(results[i].left_int).toFixed(2)+"</td>";
										data+="</tr>";
									}
									$(pageId+".fund_table .ce_table tbody").html(data);
									Align(pageId);
									//卖出事件
									appUtils.bindEvent($(pageId+".fund_table .ce_table tr:gt(0)"), function(e){
									var stock_code = $(this).attr("id");
									var topage = "";
									topage = "credit/order/sellTicketsRepayment"; //卖券还款
									var $this = $(this),
									$check = $this.find(".input_check"),
									is_click = $check.hasClass("checked");
									//var compact_id="";//合约编号
									//var contractName="";//合约名字
									//var exchangeTypeHy="";//合约市场
									if (is_click){
										compact_id="";
										contractName="";
										exchangeTypeHy="";
										$check.removeClass("checked");
										$this.css("background-color", "#ffffff");
									} else {
										$check.addClass("checked");
										$this.css("background-color", "#eff7ff");
										$this.siblings().css("background-color", "#ffffff");
										$this.siblings().find(".input_check").removeClass("checked");
										compact_id=$check.attr("data_select_info");
//										contractName=$check.attr("contractName");
										init_date = $check.attr("init_date");
										exchangeTypeHy = $check.attr("exchange_type_hy");
									}
									//appUtils.pageInit("",topage,{"isHold":true,"compact_id":compact_id,"contractName":contractName,"exchangeTypeHy":exchangeTypeHy,"init_date":init_date,"stockCode":stockCode});
									//$(_pageId + " #stockCode").val($this.attr("id")).trigger("input");
									e.stopPropagation();
								},"click");
							}
							else{ 
								$(pageId+".fund_table .ce_table thead").html(headTr);
								$(pageId+".fund_table .ce_table tbody").hide();
								$(pageId+".no_data").show();
							}
						}
						else
						{
							if(results && results.length>0){
//								var data = "<tr><th scope=\"col\" class='input_check'></th><th>开仓日期</br>到期日期</th> <th scope=\"col\">合约编号</br>类型</th><th scope=\"col\">证券名称</br>代码</th><th scope=\"col\">待偿数量</br>代偿利息</th></tr>";
//								$(_pageId+".fund_table #mytable .ce_table").html(data);
								for (var i=0;i<results.length;i++){ 
							        if(i == 0){data="<tr id="+results[i].stock_code +">";}
							        else{
							        	data+="<tr id="+results[i].stock_code +">";
							        	}
							        data+="<td class='input_check' data_select_info="+results[i].compact_id+" init_date="+results[i].open_date+" exchange_type_hy="+results[i].exchange_type+"></td><td>"+results[i].open_date +"<br/>"+results[i].ret_end_date +"</td>";
							        if(results[i].compact_type==0){
							        	data+="<td>"+results[i].compact_id +"<br/>融资</td>";
							        }else{
							        	data+="<td>"+results[i].compact_id +"<br/>融券</td>";
							        }
							        data+="<td>"+results[i].stock_name +"<br/>"+results[i].stock_code +"</td>";
							        data+="<td>"+Number(results[i].left_qty).toFixed(2)+"<br/>"+Number(results[i].left_int).toFixed(2) +"</td>";
							        data+="</tr>";
								}
								$(pageId+".fund_table .ce_table #container").html(data);
								Align2(pageId);
								//绑定选择事件
								appUtils.bindEvent($(pageId+".fund_table #table tr"), function(e){
//									appUtils.bindEvent($(pageId+".fund_table .ce_table tr:gt(0)"), function(e){
									var $this = $(this),
									$check = $this.find(".input_check"),
									is_click = $check.hasClass("checked");
									if (is_click){
										compact_id="";
										$check.removeClass("checked");
										$this.css("background-color", "#ffffff");
										clearBuyMsg(pageId,"0");
										 $(pageId+"#stockCode").val("");
									} else {
										$check.addClass("checked");
										$this.css("background-color", "#eff7ff");
										$this.siblings().css("background-color", "#ffffff");
										$this.siblings().find(".input_check").removeClass("checked");
										compact_id=$check.attr("data_select_info");
										init_date = $check.attr("init_date");
//										contractName=$check.attr("contractName");
										exchange_type_hy = $check.attr("exchange_type_hy");
										$(pageId + " #stockCode").val($this.attr("id")).trigger("input");
										$(pageId+".input_select .select_box p").html("--");
										$(pageId+".input_select .select_box p").attr("id", "");
									}
									e.stopPropagation();
								},"click");
							}
							else
							{
								$(pageId+".no_data").show();
							}
						}
					}
					else{
//						$(pageId+".fund_table .ce_table tbody").html("");
						layerUtils.iAlert(data.error_info);
					}
				}
				else{
					  layerUtils.iAlert("查询失败");
				}
			},{"isLastReq":true,"isShowWait":true,"isShowOverLay":false});
		 };
	}
	
	/**
	 * 下单验证
	 * */
	function vailSubmitOrder(_pageId, entrust_bs, entrust_type){
		//验证股票代码输入是否正确
		var buy_stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
		if(buy_stockCode.length == 0){
			layerUtils.iMsg(-1,"请输入股票代码");
			return false;
		}	
		if(buy_stockCode.length <5){
			layerUtils.iMsg(-1,"股票代码输入错误");
			return false;
		}	
		//验证股票价格输入是否正确
		var up_stop = $(_pageId+"#up_stop").text();
		var down_stop = $(_pageId+"#down_stop").text();
		var now_price = $(_pageId+"#stockPrice").val();
		var mostBuy = $(_pageId+"#buyLimit").html().substring(5);//最大买入量
		if(limitedMarketEntrust == "market"){
			if(entrust_bs == null || entrust_bs == ""){
				layerUtils.iMsg(-1,"委托标志不能为空");
				return false;
			}
		}
		if(limitedMarketEntrust == "limited"){
			if($.trim(now_price).length<=0||parseFloat(now_price)<=0){
				layerUtils.iMsg(-1,entrust_bs==0?"请输入买入价格":"请输入卖出价格");
				return false;
			}else if(!validatorUtil.isNumberFloat(now_price)){
				layerUtils.iMsg(-1,"请正确输入价格");
				return false;
			}
//			else if(parseFloat(up_stop)<parseFloat(now_price)){
//				layerUtils.iMsg(-1,"委托价格不能超过涨停价");
//				return false;
//			}else if(parseFloat(down_stop)>parseFloat(now_price)){
//				layerUtils.iMsg(-1,"委托价格不能低于跌停价");
//				return false;
//			}
			//验证最大可买
			/*if($.trim(mostBuy).length<=0||parseFloat(mostBuy)<=0){
				layerUtils.iMsg(-1,entrust_bs==0?"最大可买为0":"最大可卖为0");
//				return false;
			}else if(!Number(mostBuy)){
				layerUtils.iMsg(-1,entrust_bs==0?"可买数量不足":"可卖数量不足");
//				return false;
			}*/
		}
		
		//验证买入卖出数量
		var mountBuy = $(_pageId+"#stockNum").val();
		if(!validatorUtil.isNumeric(mountBuy)){
			layerUtils.iMsg(-1,entrust_bs==0?"请输入买入数量":"请输入卖出数量");
			return false;
		}else if(mountBuy==0){
			layerUtils.iMsg(-1,"数量必须大于0");
			return false;
		}
//		else if(mountBuy%Number(lotsOf)!=0){
//			layerUtils.iMsg(-1,entrust_bs==0?"买入数量应为"+lotsOf+"的倍数":"卖出数量应为"+lotsOf+"的倍数");
//			return false;
//		}
//		else if(parseFloat(mostBuy)<parseFloat(mountBuy)){
//			layerUtils.iMsg(-1,entrust_bs==0?"最大可买数量不足":"最大可卖数量不足");
//			return false;
//		}
		/*else if(mountBuy>=1000000){
			layerUtils.iMsg(-1,entrust_bs==0?"买入数量必须小于100万股":"卖出数量必须小于100万股");
			return false;
		}*/
		var tipStr ="<div class=\"pop_header\">";
		tipStr+="<h3>确认委托<a href='javascript:void(0);' class='close'></a></h3>";
		tipStr+="</div>";
		tipStr+="<div class=\"pop_main\">";
		tipStr+="<p>您是否确认本笔委托？</p>";
		tipStr+="<ul>";
		tipStr+="    <li>"+$(_pageId+"#stockName").text()+": <em>"+buy_stockCode+"</em></li>";
		tipStr+="    <li>委托类型: "+entrustName(entrust_bs, entrust_type)+"</li>";
		if (limitedMarketEntrust == "limited"){
			tipStr+="    <li>委托价格: "+now_price+"</li>";
		} else {
			tipStr+="    <li>市价委托: "+$(_pageId + ".select_box p").text()+"</li>";
		}
		tipStr+="    <li>委托数量: "+mountBuy+"</li>";
		tipStr+="</ul>";
		tipStr+="  </div>";
		common.btnConfirmCrit(tipStr,function success(){
			var cust_code = userInfo.cust_code;	//客户代码
			var fund_account = userInfo.fund_account;	//资产账户
			var branch_no  = userInfo.branch_no;	//分支机构
			var sessionid=userInfo.session_id;
			var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
			var password= userInfo.password;
			//entrust_bs="0";		
//			var entrust_type = "6";
			//var entrust_type = stkType;
			var stock_code=buy_stockCode;
			var entrust_price=now_price;
			var entrust_amount=mountBuy;
			var param = {
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"sessionid":sessionid,
				"entrust_bs":entrust_bs,
				"entrust_type":entrust_type,
				"exchange_type":exchange_type,
				"stock_account":stock_account,
				"stock_code":stock_code,
				"entrust_price":entrust_price,
				"entrust_amount":entrust_amount
			};
			service_credit.entrust_trade(param, function(data){
				if(data.error_no == 0){
					var results = data.results;
					if(results && results.length>0){
						
						var tipStr = "<span style='font-weight:bold;font-size: 18px;'>交易提示</span><br>交易委托已提交，委托编号："+results[0].entrust_no;
//added by huangjianfeng
						if(_pageId == "#credit_order_financingToSell ")
						{	
							appUtils.pageInit("", "credit/order/financingToSell",{});
						}
						layerUtils.iAlert(tipStr);
						if(limitedMarketEntrust == "market"){
							$(_pageId + " .select_box p").html("--");
						}
						clearBuyMsg(_pageId, entrust_bs);
						$(_pageId + " #stockCode").val("");
					}
				}else{
					layerUtils.iAlert(data.error_info);
					clearBuyMsg(_pageId, entrust_bs);
					$(_pageId + " #stockCode").val("");
				}
			});
		});
	}
	//指定合约的操作	
	function vailSubmitOrderSelect(_pageId, entrust_bs, entrust_type, compact_id){
		
		//验证股票代码输入是否正确
		var buy_stockCode = $.trim($(_pageId+"#stockCode").val().substring(0,6));
		if(buy_stockCode.length == 0){
			layerUtils.iMsg(-1,"请输入股票代码");
			return false;
		}	
		if(buy_stockCode.length <5){
			layerUtils.iMsg(-1,"股票代码输入错误");
			return false;
		}	
		//验证股票价格输入是否正确
		var up_stop = $(_pageId+"#up_stop").text();
		var down_stop = $(_pageId+"#down_stop").text();
		var now_price = $(_pageId+"#stockPrice").val();
		var mostBuy = $(_pageId+"#buyLimit").text().substring(5);//最大卖出量
		if(limitedMarketEntrust == "market"){
			if(entrust_bs == null || entrust_bs == ""){
				layerUtils.iMsg(-1,"委托标志不能为空");
				return false;
			}
		}
		if(limitedMarketEntrust == "limited"){
			if($.trim(now_price).length<=0||parseFloat(now_price)<=0){
				layerUtils.iMsg(-1,entrust_bs==0?"请输入买入价格":"请输入卖出价格");
				return false;
			}else if(!validatorUtil.isNumberFloat(now_price)){
				layerUtils.iMsg(-1,"请正确输入价格");
				return false;
			}
//			else if(parseFloat(up_stop)<parseFloat(now_price)){
//				layerUtils.iMsg(-1,"委托价格不能超过涨停价");
//				return false;
//			}else if(parseFloat(down_stop)>parseFloat(now_price)){
//				layerUtils.iMsg(-1,"委托价格不能低于跌停价");
//				return false;
//			}
			//验证最大可买
			/*if($.trim(mostBuy).length<=0||parseFloat(mostBuy)<=0){
				layerUtils.iMsg(-1,entrust_bs==0?"最大可买为0":"最大可卖为0");
				return false;
			}else if(!Number(mostBuy)){
				layerUtils.iMsg(-1,entrust_bs==0?"可买数量不足":"可卖数量不足");
				return false;
			}*/
		}
		
		//验证卖出数量
		var mountBuy = $(_pageId+"#stockNum").val();
		if(!validatorUtil.isNumeric(mountBuy)){
			layerUtils.iMsg(-1,entrust_bs==0?"请输入买入数量":"请输入卖出数量");
			return false;
		}else if(mountBuy==0){
			layerUtils.iMsg(-1,"数量必须大于0");
			return false;
		}/*else if(mountBuy%Number(lotsOf)!=0){
			layerUtils.iMsg(-1,"买入数量应为"+lotsOf+"的倍数");
			return false;
		}else if(parseFloat(mostBuy)<parseFloat(mountBuy)){
			layerUtils.iMsg(-1,entrust_bs==0?"最大可买数量不足":"最大可卖数量不足");
			return false;
		}else if(mountBuy>=1000000){
			layerUtils.iMsg(-1,entrust_bs==0?"买入数量必须小于100万股":"卖出数量必须小于100万股");
			return false;
		}*/
		var secu_acc=null;//股东账户--------一般委托用

		_stockAccount = $(_pageId+"#stockCode").data("_stockAccount");
		//var exchange_type=$(_pageId+"#stockCode").data("_market");
		var tipStr ="<div class=\"pop_header\">";
		tipStr+="<h3>确认委托<a href='javascript:void(0);' class='close'></a></h3>";
		tipStr+="</div>";
		tipStr+="<div class=\"pop_main\">";
		tipStr+="<p>您是否确认本笔委托？</p>";
		tipStr+="<ul>";
		tipStr+="    <li>"+$(_pageId+"#stockName").text()+": <em>"+buy_stockCode+"</em></li>";
/*----------------------------------------------------------------*/
//		tipStr+="    <li>委托类型: 卖券还款</li>";
//        if(entrust_bs == 0)
        if(_pageId == "#credit_order_buyTicketsRepay ")
        {
        	tipStr+="    <li>委托类型: 买券还券</li>";
        }
        else
        {
        	tipStr+="    <li>委托类型: 卖券还款</li>";
        }
/*----------------------------------------------------------------*/
		if (limitedMarketEntrust == "limited"){
			tipStr+="    <li>委托价格: "+now_price+"</li>";
		} else {
			tipStr+="    <li>市价委托: "+$(_pageId + ".select_box p").text()+"</li>";
		}
		tipStr+="    <li>指定合约: "+compact_id+"</li>";
		tipStr+="    <li>委托数量: "+mountBuy+"</li>";
		tipStr+="</ul>";
		tipStr+="  </div>";
		common.btnConfirmCrit(tipStr,function success(){
			var cust_code = userInfo.cust_code;	//客户代码
			var fund_account = userInfo.fund_account;	//资产账户
			var branch_no  = userInfo.branch_no;	//分支机构
			var sessionid=userInfo.session_id;
			var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
			var password= userInfo.password;
			//entrust_bs="0";		
			//var entrust_type = "6";
			//var entrust_type = stkType;
			var stock_code=buy_stockCode;
			var entrust_price=now_price;
			var entrust_amount=mountBuy;
			var param = {
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"sessionid":sessionid,
				"entrust_bs":entrust_bs,
				"entrust_type":entrust_type,
				"exchange_type":exchange_type,
				"exchange_type_hy":exchangeTypeHy,
				"stock_account":stock_account,
				"stock_code":stock_code,
				"entrust_price":entrust_price,
				"entrust_amount":entrust_amount,
				// 合约类型   0-融资 1-融券
				"compact_type":(entrust_bs & 1) == 0?"1":"0",
				"serial_no":compact_id,
				"init_date":init_date,
			};
		service_credit.entrust_trade_select(param,function(data){
			if(data.error_no == 0){
				//compact_id="";
				var results = data.results;
				if(results && results.length>0){
					var tipStr = "<span style='font-weight:bold;font-size: 18px;'>交易提示</span><br>交易委托已提交，委托编号："+results[0].entrust_no;
					layerUtils.iAlert(tipStr);
					clearBuyMsg(_pageId,entrust_bs,stock_code);
					if(limitedMarketEntrust == "market"){
						$(_pageId + " .select_box p").html("--");
					}
					if (refresh_s){
						window.clearInterval(refresh_s);
						refresh_s = null;
					}
					if (position_timer){
						window.clearInterval(position_timer);
						position_timer = null;
					}
					queryHoldingNotDo(_pageId,3);
					$(_pageId + " #stockCode").val("");
			 	}
			}else{
				$(_pageId+".input_select .select_box p").html("--");
				$(_pageId+".input_select .select_box p").attr("id", "");
				layerUtils.iAlert(data.error_info);
				clearBuyMsg(_pageId,entrust_bs,stock_code);
				$(_pageId + " #stockCode").val("");
			}
		});
			
		},function fail(){
		});
	
	}
	
	
	/**
	 * 委托种类名称
	 */
	function entrustName(entrust_bs, entrust_type){
		// 买/卖
		var r = entrust_bs%2,
			name = "";
		// 买卖
		if (entrust_type === "0"){
			if (r === 0){
				name = "担保品买入";
			} else {
				name = "担保品卖出";
			}
//		} else if (entrust_type === "6") {// 融资
//			if (r === 0){
//				name = "融资买入";
//			} else {
//				name = "融券卖出";
//			}
//		} else if (entrust_type === "7"){// 融券
//			if (r === 0){
//				name = "卖券还款";
//			} else {
//				name = "买券还券";
//			}
//		}
//changed by huangjianfeng		
		} else if (entrust_type === "6") {// 融资
			if (r === 0){
				name = "融资买入";
			} else {
				name = "卖券还款";
			}
		} else if (entrust_type === "7"){// 融券
			if (r === 0){
				name = "买券还券";
			} else {
				name = "融券卖出";
			}
		}
		return name;
	}
	
	/**
	 * 重置页面信息
	 */
	function clearBuyMsg(_pageId, entrust_bs){
		if (fifthOrder_timer){
			window.clearInterval(fifthOrder_timer);
			fifthOrder_timer = null;
		}
		stkType = "";
		exchange_type = "";
		stock_account = "";
		yesterdayPrice = "";
		buyOnePrice = "";
		$(_pageId+"#stock_list").html("");
		$(_pageId+"#stockName").html("");
		$(_pageId+"#stockPrice").val("");
		$(_pageId+"#stockNum").val("");
		if (cursor_timer != null ) {
	        window.clearInterval(cursor_timer);
	        $(_pageId + ".trade_form .input_text .cursor_div .cursor em").css("opacity",0);
	    }
		cursor_num = 0;
		$(_pageId + "#stockCode").prev(".cursor_div").find(".cursor div").text("");
		$(_pageId + "#stockNum").prev(".cursor_div").find(".cursor div").text("");
//changed by huangjianfeng
		//		if(entrust_bs == 0){
		if(limitedMarketEntrust == "market"){
		}else{
			if((entrust_bs & 1) == 0){
				$(_pageId+"#buyLimit").text("最大可买:--");
			}else{
				$(_pageId+"#buyLimit").text("最大可卖:--");
			}
		}
		$(_pageId+"#up_stop").text("--");
		$(_pageId+"#down_stop").text("--");
		$(_pageId+".five_box ul li em").text("--");
		$(_pageId+".five_box ul li span").removeClass("agreen").removeClass("ared").text("--");
		$(_pageId+".five_box ul li").removeClass("active");
		$(_pageId + "#currentPrice").html("--");
		$(_pageId + "#gains").html("--");
		$(_pageId + "#stockCode").html("");
    	$(_pageId + ".trade_form .input_code02 label").text("股票");
		isChangePrice = true;
		$(_pageId+" #total").hide();
	}
	
	function Cleartimer(){
		if (refresh_s){
			window.clearInterval(refresh_s);
			refresh_s = null;
		}
		if (position_timer){
			window.clearInterval(position_timer);
			position_timer = null;
		}
	}
	
	/**
	 * 光标显示定时器
	 */
	function cursorTimer(_pageId){
		cursor_timer =  window.setInterval(function(){
			if(cursor_num < 1){
				cursor_num = 1;
				if(cursor_timer_id == "stock_em"){
					$(_pageId + ".trade_form .input_text .cursor_div .cursor #stock_em").css("opacity",1);
				}else{
					$(_pageId + ".trade_form .input_text .cursor_div .cursor #num_em").text("");
					$(_pageId + ".trade_form .input_text .cursor_div .cursor #num_em").css("opacity",1);
				}
			}else{
				cursor_num = 0;
				if(cursor_timer_id == "stock_em"){
					$(_pageId + ".trade_form .input_text .cursor_div .cursor #stock_em").css("opacity",0);
				}else{
					$(_pageId + ".trade_form .input_text .cursor_div .cursor #num_em").text("");
					$(_pageId + ".trade_form .input_text .cursor_div .cursor #num_em").css("opacity",0);
				}
			}
		}, 600);//定时刷新
	}

	
	//对齐tbody / thead 的方法
	function Align(_pageId){
		   $(_pageId+".fund_table ").find("th").each(function(){ 
		        var idx = $(this).index();         
		        var td=$(_pageId+".fund_table tbody tr").children('td').eq(idx);
		        if(td.width()>40){
		        	$(this).width(td.width());
		        }else{
		        	 $(this).width() > td.width() ? td.width($(this).width()) : $(this).width(td.width());
		        }
		           
		        }); 
		        
	   }
	//对齐tbody / thead 的方法
	function Align2(_pageId){
		   $(_pageId+".fund_table ").find("th").each(function(){ 
		        var idx = $(this).index();         
		        var td=$(_pageId+".fund_table tbody tr").children('td').eq(idx);
		        if(idx==0){
		        	$(this).width(td.width()+10);
		        }else{
		        	$(this).width(td.width());
		        }
		   }); 
	   }
	
	/**
	 * 销毁
	 */
	function dataDestroy(_pageId, entrust_bs){
		 if (position_timer) {
	         window.clearInterval(position_timer);
	         position_timer = null;
	     }
		 if (refresh_s){
				clearInterval(refresh_s);
				refresh_s = null;
			}
		 clearBuyMsg(_pageId, entrust_bs);
		 $(_pageId + ".trade_form .input_text .cursor_div .cursor em").css("opacity",0);
	     userInfo = null;  //账号信息
		 price_step = 0.01; //步长
		 price_digit = 2; //小数点位数
		 lotsOf = 100; //每手数量
		 toTrade = "";
		 compact_id = "";
		 isHold = false; //判断显示持仓还是未还合约  true为显示合约的
         stock_price = "";
		 $(_pageId+"#stockCode").val("");
		 external.callMessage({"moduleName":"trade","funcNo": "50211"});
		 $(_pageId+".no_data").hide();
		 if((_pageId == "#credit_order_financingToSell ") || (_pageId == "#credit_order_buyTicketsRepay "))
		 {
			 $(_pageId + " .ce_table #container tbody").html("");
		 }
		 else
		 {	
			 $(_pageId + " .ce_table tbody").html("");
         }
		 $(_pageId+"#stockCode").attr("placeholder","证券代码/名称");
		 
         if(limitedMarketEntrust == "market")
         {
        	 $(_pageId+".input_box.in").show();
    		 $(_pageId+".input_select.mt10").hide();
    		 limitedMarketEntrust = "limited";
         }
		 $(_pageId + " .button-group a.a1").addClass("current").siblings().removeClass("current");
		 $(_pageId+"#buyLimit").css("background-color","#999");
		 $(_pageId + " .select_box p").html("--");
		 first_entrust_bs = "";
		 $(_pageId + " .input_select").hide();
		 $(_pageId + " .price_input").show();
	}
	
    var base = {
    	"initPage": initPage,
    	"bindEvent": bindEvent,
    	"dataDestroy": dataDestroy,
    	"queryMaxAmount":queryMaxAmount,
    	"setFifthOrder":setFifthOrder,
    	"clearBuyMsg":clearBuyMsg,
    	"totalValue":totalValue,
    	"getStockList":getStockList,
    	"marketShowOrHide":marketShowOrHide,
    	"reducePrice":reducePrice,
    	"addPrice":addPrice,
    	"queryHoldingNotDo":queryHoldingNotDo,
    	"queryHolding":queryHolding,
    	"Cleartimer":Cleartimer
    };

    module.exports = base;
});