/**
 * 信用交易-现券还券
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var validatorUtil = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	var commontrade = require("commonTrade");
	var service_credit = require("service_credit");
	var _pageId = "#credit_order_bondAlsoCoupons ";
	var tocontractpage = false;
	var external = require("external");
	var stockAccount=null;
	var exchangeType = null;//交易市场类别（见数据字典)
	var userInfo =null;
	var position_timer = "";
	var stockCode_globle="";//证券代码
	var stockName_globle="";//证券名称
	var compact_id="";//选定的合约编号
	var compact_date="";//合约日期position_timer
	var results1=[];//持仓证券
	var results2=[];//合约持仓
	var compact_initDate="";//合约开始日期
	
    /**
     * 初始化
     */
	function init(){
		
		common.hideBottomBar();
		common.systemKeybord(); // 解禁系统键盘
		$(_pageId).css("overflow-x","hidden");
//		$(_pageId).css("over-flow-x","hidden");
//		$(_pageId).css("over-flow-y","block");  //"block"
		
		$(_pageId+"main .repay_table .opt_box").hide();
		userInfo = JSON.parse(appUtils.getSStorageInfo("credit_userInfo"));	
		
		compact_id="";
		compact_date="";
		stockCode_globle = "";
  		stockName_globle = "";
  		results1=[];//持仓证券
  		results2=[];
	    tocontractpage = false;	
  		resetBuyForm();
  		compact_id = appUtils.getPageParam("compact_id");// //直接从未了结合约  把合约编号取过来查询个股合约
  		compact_date = appUtils.getPageParam("compact_date");
  		compact_initDate = appUtils.getPageParam("compact_initDate");
  		stockCode_globle = appUtils.getPageParam("stock_code");
  		stockName_globle = appUtils.getPageParam("stock_name");
  		if(stockCode_globle==""||stockCode_globle==undefined||stockCode_globle==null){
  			$(_pageId+".mt10 .select_box p .code").html("");
  	  		$(_pageId+".mt10 .select_box p .name").html("");
  	  	    
  		}
  		else{
  			$(_pageId+".mt10 .select_box p .code").html(stockCode_globle);
  	  		$(_pageId+".mt10 .select_box p .name").html(stockName_globle);
  		}
  		
  		$(_pageId+" .table_head").show();
		$(_pageId+" .table_body").show();
		$(_pageId+" .group_box").show();
  		getPayStock();
  		var height_table="";
  		
  		if($(_pageId+" .repay_table .button-group .a1").attr("class") == "a1 current"){//直接还券
  			$(_pageId+" .opt_box").hide();
  			height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28;//-$(_pageId+".fund_table thead").height()
  			
  			
  			$(_pageId+" .table_body").height(height_table).css({"overflow":"auto","overflow-x": "hidden"});
  			if(stockCode_globle!=null || stockCode_globle!="" || stockCode_globle!=undefined){
  				queryMaxAmount();
  			}
  			
  			
  		}
        else{
        	height_table=InitContractSelect();
        	//height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height();//-$(_pageId+".fund_table thead").height()
  			//$(_pageId+" .table_body").height(height_table).css("overflow","auto");
        	var canMax= stockCode_globle!="" && stockCode_globle!=undefined && stockCode_globle!=null && 
        	compact_id!="" && compact_id!=undefined && compact_id!=null;
        	if(canMax){
        		queryMaxAmount();//查询可用金额
        	}
        } 
        
  		$(_pageId+" .table_body .ce_table tbody").show();
  		$(_pageId+".no_data").hide();
  		if(position_timer != null ) {
	        window.clearInterval(position_timer);
	    }
	    window.setTimeout(refreshHoldingTable(),100);
  		if(global.isTrade){
			position_timer = window.setInterval(refreshHoldingTable(), 5*60*1000);
		}
        isShowTable(height_table);
  		/*if($(_pageId+" .group_box .button-group .a1").attr("class")=="a1 current"){//持仓合约
  			queryHoldingContract();
  			//$(_pageId+"  #holdingContract").show();
  			//$(_pageId+"#myHolding").hide();
  		}
  		else{
  			queryMyHolding();
  			//$(_pageId+"  #holdingContract").hide();
  			//$(_pageId+"#myHolding").show();
  		}*/

    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/order/bondAlsoCoupons","credit/index",{});
			e.stopPropagation();
		});
		//负债查询跳转
		appUtils.bindEvent($(_pageId+".search_text"), function(e){
			appUtils.pageInit("credit/order/bondAlsoCoupons","credit/query/contractInquiryQuery",{});
			e.stopPropagation();
		});
		//导航菜单绑定事件
		appUtils.bindEvent($(_pageId+".main .tab_nav ul li a"),function(e){
			topage = $(this).attr("to-page").replaceAll("_","/");//获取跳转的页面
			var param = $(this).attr("param");
			appUtils.pageInit("credit/order/bondAlsoCoupons",topage,{"param":param});
			e.stopPropagation();
			
		});
		//直接还款和按合约还款切换
		appUtils.bindEvent($(_pageId+".repay_table .button-group a"),function(e){
			$(this).addClass("current").siblings().removeClass("current");
			resetBuyForm();
			payStockList();
            $(_pageId+" .group_box").show();
			//$(_pageId+" .input_select .select_box p").text("请选择证券");
            var height_table="";
			if($(this).index()==0){
				$(_pageId+" .opt_box").hide();
	  			height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28;//-$(_pageId+".fund_table thead").height()
	  			$(_pageId+" .table_body").height(height_table).css({"overflow":"auto","overflow-x":"hidden"});
	  			
	  			
				/*if(stockCode_globle!=null || stockCode_globle!="" || stockCode_globle!=undefined){
	  				queryMaxAmount();
	  			}*/
								
			}else{
				height_table=InitContractSelect();
				//$(_pageId+" .repay_table .first_select").show();
	  			//$(_pageId+" .repay_table .second_select").hide();
	  			
				/*InitContractSelect();
				var canMax= stockCode_globle!="" && stockCode_globle!=undefined && stockCode_globle!=null && 
	        	compact_id!="" && compact_id!=undefined && compact_id!=null;
	        	if(canMax){
	        		queryMaxAmount();//查询可用金额
	        	}*/
			}
            var isshow=isShowTable(height_table);
            if(isshow==1){
                refreshHoldingTable();
            }
			
		});
		
		//选择合约事件
		appUtils.bindEvent($(_pageId+".main .repay_table .opt_box a"),function(e){
			if(stockCode_globle=="" || stockCode_globle=="undefined" || stockCode_globle==null){
				return;
			}
			tocontractpage = true;
			appUtils.pageInit("credit/order/bondAlsoCoupons","credit/query/contractSelectQuery",{"param":0,"compact_type":1,"stock_code":stockCode_globle,"stock_name":stockName_globle,"compact_id":compact_id,"compact_date":compact_date,"compact_initDate":compact_initDate,"fromPage":"credit/order/bondAlsoCoupons"});
			e.stopPropagation();
		},"click");
		//点击全部按钮
		appUtils.bindEvent($(_pageId+".mt10 .td_all a"),function(e){
			var mayPay = Number($(_pageId+"#mayPay").text());//需还数量
			var enableNum=Number($(_pageId+"#enableNum b").text());//最大可还
			/*if(enableNum<mayPay){
				layerUtils.iAlert("可用证券不足！");
			}else*/ if(mayPay==0 || mayPay==""){
				layerUtils.iAlert("不需要还券！");
			}else{
				var num =mayPay<enableNum? mayPay:enableNum ;
				$(_pageId+".mt10 .td_all input").val(num);
			}
			e.stopPropagation();
		});
		//滚动联动
		/*appUtils.bindEvent($(_pageId+".input_slider .r1"), function(e){
			var canPay = $(_pageId+"#canPay").val();
			var turn = $(this).val();
			$(_pageId+"#stockNum").val((canPay*turn/100).toFixed(0));
			e.stopPropagation();
		},"input");*/
		//提交委托
		appUtils.bindEvent($(_pageId+".repay_table .ce_btn"), function(e){
			vailSubmitOrder();
			e.stopPropagation();
		});
		//可滑动下拉框
		appUtils.bindEvent($(_pageId + ".select_box"), function(e){
			var $this = $(this);
			
			$(_pageId+".select_box ul").slideToggle("fast");
			e.stopPropagation();// 阻止冒泡
		});
		//点击其他地方隐藏下拉框
		appUtils.bindEvent($(_pageId),function(e){
			if($(_pageId +".select_box ul").is(':visible')){
				$(_pageId +".select_box ul").slideToggle("fast");
			}	
			e.stopPropagation();	// 阻止冒泡
		});
		//点击数量输入框时
		appUtils.bindEvent($(_pageId+"#stockNum"),function(e){
			var cur_num = $(_pageId+" #stockNum").val();
			if(Number(cur_num.substring(0,1)) == 0){
				$(_pageId+" #stockNum").val("");
			}
		},"input");
		//增加数量
		appUtils.bindEvent($(_pageId+".add"),function(e){
			var num = $(_pageId+"#stockNum").val();
			
			if(!num||num==""){
				return false;
			}
			num = Number(num);
			if(num >=0){
				num = num+1;
			}	
			$(_pageId+"#stockNum").val(num.toFixed(0));
			e.stopPropagation();
		},"touchstart");
		//减少数量
		appUtils.bindEvent($(_pageId+".less"),function(e){
			var num = $(_pageId+"#stockNum").val();  //stockNum
			if(!num||num==""){
				return false;
			}
			num = Number(num);
			if(num > 0){
				num = num-1;
			}
			$(_pageId+"#stockNum").val(num.toFixed(0));
			e.stopPropagation();
		},"touchstart");
		
		//我的持仓和持仓合约切换
		appUtils.bindEvent($(_pageId+".group_box .button-group a"),function(e){
			$(_pageId+".table_body .ce_table tbody").html("");
			$(_pageId+".no_data").hide();
			$(this).addClass("current").siblings().removeClass("current");
			var stock_code=$(_pageId+"#stockCode").val();
			if($(this).index()==0){//持仓合约
				commontrade.Cleartimer();
				$(_pageId+".no_data").hide();
				$(_pageId+".fund_table .ce_table tbody").show();
				var headTr = "<tr><th>开仓日期</br>到期日期</th> <th scope=\"col\">合约编号</br>类型</th><th scope=\"col\">证券名称</br>代码</th><th scope=\"col\">待偿金额</br>待偿利息</th></tr>";
				$(_pageId+".fund_table .ce_table thead").html(headTr);
				queryHoldingContract();
			}else{//我的合约
		    	$(_pageId + " #holding_com").hide();
				$(_pageId + " #my_holding").show();
				$(_pageId+".no_data").hide();
				$(_pageId+".fund_table .ce_table tbody").show();
				var headTr = "<tr><th scope=\"col\">证券</br>代码</th> <th scope=\"col\">担保可卖</br>可卖</th><th scope=\"col\">市值</br>持仓</th><th scope=\"col\">盈亏</br>比例</th><th scope=\"col\">成本</br>现价</th></tr>";
				$(_pageId+".fund_table .ce_table thead").html(headTr);
				commontrade.queryHolding(_pageId,0);
//				queryMyHolding();
			}
			e.stopPropagation();
		},"click");
		
	}
		
	function InitContractSelect(){
		//选择合约
		
		var height_table="";
		if(compact_id == "" || compact_id==null || compact_id==undefined){
  			
  			$(_pageId+" .repay_table .first_select").show();
  			$(_pageId+" .repay_table .second_select").hide();
  			height_table=$(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+".main .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28;
  			
  		}else{
  			$(_pageId+" .repay_table .first_select").hide();
  			$(_pageId+" .repay_table .second_select").show();
  			$(_pageId+" .repay_table .second_select #name").html(stockName_globle);
  			$(_pageId+" .repay_table .second_select #compact_id").html(compact_id);
  			$(_pageId+" .repay_table .second_select #end_date").html(compact_date);
  			
  			height_table=$(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+".main .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28;//-$(_pageId+".fund_table thead").height();
	            
  		}
		
		$(_pageId+" .table_body").height(height_table).css({"overflow":"auto","overflow-x":"hidden"});
       //isShowTable(height_table);
       return height_table;
	}
    
	//查询可还证券
	function getPayStock(){
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid= userInfo.session_id;
		var stock_account ="";
		var stock_code = "";
		var exchange_type = "";
		var param={
				"entrust_way":entrust_way,
				"branch_no":userInfo.branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"stock_account":stock_account,
				"stock_code":stock_code,//stockCode_globle,
				"exchange_type":exchange_type
				
		};
		service_credit.cc_query(param,queryStockCallback,{"isShowWait":false});//持仓查询  303003

	}
	
    function queryStockCallback(data){
    	var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid= userInfo.session_id;
		var stock_account ="";
		var stock_code = "";
		var exchange_type = "";
    	if (data && data != "undefined") {
			if(data.error_no == 0){
				var results = data.results;
				var length=results.length;
				for(var i=0;i<length;i++){
					results1.push(results[i]);
				}
				
				var param2={				
						"entrust_way":entrust_way,
						"branch_no":userInfo.branch_no,
						"fund_account":fund_account,
						"cust_code":cust_code,
						"sessionid":sessionid,
						"stock_account":stock_account,
						"stock_code":stock_code, //stockCode_globle
						"exchange_type":exchange_type,
						"compact_type":"1",
						"compact_status":"0"
				};
				
				service_credit.contractmx_query(param2,queryStockCallback2,{"isShowWait":false});//客户融资融券合约查询 303021
				
				}else{
					layerUtils.iAlert(data.error_info);
					}
				}
				
    }
 
    function queryStockCallback2(data){
    	if (data && data != "undefined") {
			if(data.error_no == 0){
				var results = data.results;
				var length=results.length;
				var newresults=[];
				for(var i=0;i<length;i++){
					var k=0;
					for(var j=0;j<newresults.length;j++){
						if(newresults[j].stock_code==results[i].stock_code){
							break;
						}
						k++;	
					}
					if(k<newresults.length) continue;
					else 	newresults.push(results[i]);				
				}
				results2=newresults;
				payStockList();
				}else{
					layerUtils.iAlert(data.error_info);
					}
				}
				
    }
    function payStockList(){
    	var stockResults = [];
		for(var i=0;i<results1.length;i++){
			
			for(var j=0;j<results2.length;j++){
				
				if(results2[j].stock_code==results1[i].stock_code){
					stockResults.push(results1[i]);
					break;
				}
			}
			
		}
		
		if(stockResults && stockResults.length>0){
			if(stockCode_globle==""||stockCode_globle==undefined||stockCode_globle==null){
				$(_pageId+".select_box p .code").text("请选择证券");
			}
			
			if(stockResults.length >= 6){
				var selectHeight = 6 * 0.44;
			}else{
				selectHeight = 0.44*stockResults.length;
			}
			var listHtml = "<ul class='ul-border' style=\"display:none;border:none;overflow-y:auto;overflow-x:hidden;height:"+selectHeight+"rem\">";
			for(var i = 0;i < stockResults.length; i++) {
				listHtml += "<li><a href=\"javascript:void(0);\"><strong>"+stockResults[i].stock_code+"</strong>"+"<span>"+"&nbsp"+stockResults[i].stock_name+"</span></a></li>";
			};
			listHtml+="</ul>";
			$(_pageId+"#stock_list").html(listHtml);
			appUtils.bindEvent($(_pageId+".select_box ul li"),function(){
				var stockCode = $(this).find("strong").html();
				stockCode_globle=stockCode;
				stockName_globle= $(this).find("span").html();
				//var stock = $(this).find("a").html();
				//$(_pageId+".select_box p").html(stock);
				$(_pageId+".select_box p .code").html(stockCode_globle);
				$(_pageId+".select_box p .name").html(stockName_globle);
				if($(_pageId+" .repay_table .button-group .a1").attr("class") == "a1 current"){
					queryMaxAmount();
				}else{
					$(_pageId+"#stockNum").val("");
					$(_pageId+"#mayPay").html("");
					$(_pageId+"#enableNum b").html("");
					$(_pageId+" .repay_table .first_select").show();
		  			$(_pageId+" .repay_table .second_select").hide();
				}
				refreshHoldingTable();
				
			},"click");
		}else{
			$(_pageId+".select_box p .code").text("暂无现券可还");
			//$(_pageId+".select_box p .code").html(stockCode_globle);
			//$(_pageId+".select_box p .name").html(stockName_globle);
			$(_pageId+".select_box").addClass("deleteBefore");
			$(_pageId+"#stock_list").html("");
		}
    }  
		
	/**
	 * 查询买入可用资金最大可买数量
	 * */
	function queryMaxAmount(){
		if(!stockCode_globle){
			return false;
		}
		$(_pageId+"#mayPay").text("");
		$(_pageId+"#enableNum b").html("");
		$(_pageId+"#stockNum").val("");
				
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var branch_no  = userInfo.branch_no;	//分支机构
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid= userInfo.session_id;
		var password = userInfo.password;
		//var stock_code =stockCode;
		var param = {
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"password":password,
				"sessionid":sessionid,
				"stock_code":stockCode_globle,
				"compact_id":compact_id
			};
		
		service_credit.restock_link(param,queryMaxAmountCallBack); //303013  ,{"isShowWait":false}
	}
	/**
	 * 查询买入可用资金最大可买数量回调方法
	 */
	function queryMaxAmountCallBack(data){
		
		if(data.error_no == 0){
			var results = data.results;
			if(results.length>0){
				var canPay = Number(results[0].enable_amount);//可还数量
				var needPay =  Number(results[0].enable_return_amount);//总应还数量
				//var stock_code = results[0].stock_code;
				//$(_pageId+"#stockName").val(results[0].stock_name);
				stockAccount = results[0].stock_account;
				exchangeType = results[0].exchange_type;
				$(_pageId+"#enableNum b").html(canPay);//$(_pageId+"#enableNum .t1").val(canPay);//可卖（还）数量(现券还券有效
				$(_pageId+"#mayPay").html(needPay);//需还
				
			/*	if($(_pageId+" .repay_table .button-group .a1").attr("class") == "a1 current"){
		  			$(_pageId+" .opt_box").hide();
		  		}
		        else{
		        	InitContractSelect();
		        }*/
				
				
			}
		}else{
			layerUtils.iAlert(data.error_info);
		}
	}
	
	/**
	 * 下单验证
	 * */
	function vailSubmitOrder(){	
		//验证股票代码输入是否正确
		var buy_stockCode = stockCode_globle;
		if(buy_stockCode.length == 0){
			layerUtils.iAlert("请选择证券");
			return false;
		}	
		/*if(buy_stockCode.length <5){
			layerUtils.iAlert("证券代码错误");
			return false;
		}*/	
		//验证还券数量
		var num = $(_pageId+"#stockNum").val();
		if(num.length == 0){
			layerUtils.iAlert("请输入还券数量");
			return false;
		}
		if(Number(num) <= 0){
			layerUtils.iAlert("还券数量必须大于0");
			return false;
		}
	/*	var needPay = $(_pageId+"#mayPay").text();
		if(Number(num) > Number(needPay)){
			layerUtils.iAlert("委托数量大于需还数量");
			return false;
		}
		var mostBuy = $(_pageId+"#enableNum b").text();
		if(Number(num) > Number(mostBuy)){
			layerUtils.iAlert("该证券可还数量不足");
			return false;
		}*/
		//if(!stockAccount) return;
		var tipStr ="<div class=\"pop_header\">";
		tipStr+="<h3>现券还券</h3>";
		tipStr+="</div>";
		tipStr+="<div class=\"pop_main\">";
		tipStr+="<ul>";
		tipStr+="    <li>"+stockName_globle+ "<strong>"+" ："+stockCode_globle+"</strong></li>"; //$(_pageId+"#stockName").val()
		tipStr+="    <li>证券类型 <strong>"+"："+"现券还券"+"</strong></li>";
		tipStr+="    <li>还券数量 <strong>"+"："+num+"</strong></li>";
		
		if($(_pageId+" .repay_table .button-group .a2").hasClass("current")){//按合约还
			tipStr+="    <li>合约编号 <strong>"+"："+compact_id+"</strong></li>";
		}
		tipStr+="</ul>";
		tipStr+="  </div>";
		common.btnConfirmCrit(tipStr,function success(){//直接还调用 303011，按合约还调 303061
			var cust_code = userInfo.cust_code;	//客户代
			var fund_account = userInfo.fund_account;	//资产账户
			var branch_no = userInfo.branch_no;	//分支机构
			var sessionid=userInfo.session_id;
			var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
			var password= userInfo.password;
			var exchange_type = exchangeType;	
			var stock_account = stockAccount;
			var stock_code=buy_stockCode;
			var entrust_amount=num;
			var compactId = compact_id;
			if($(_pageId+" .repay_table .button-group .a2").hasClass("current")){//按合约还
				
				var init_date = compact_initDate;
				var param1 = {
						"entrust_way":entrust_way,
						"branch_no":branch_no,
						"fund_account":fund_account,
						"cust_code":cust_code,
						"password":password,
						"sessionid":sessionid,
						"exchange_type":exchange_type,
						"stock_account":stock_account,
						"stock_code":stock_code,
						"entrust_amount":entrust_amount,
						"serial_no":compactId,
						"init_date":init_date
					};
				service_credit.repayCompactStock(param1,getStockBuyCallBack);
			}else{
				
				var param = {
						"entrust_way":entrust_way,
						"branch_no":branch_no,
						"fund_account":fund_account,
						"cust_code":cust_code,
						"password":password,
						"sessionid":sessionid,
						"exchange_type":exchange_type,
						"stock_account":stock_account,
						"stock_code":stock_code,
						"entrust_amount":entrust_amount,
						"compact_id":compactId
					};
				service_credit.repaystock(param,getStockBuyCallBack);
			}
			
		}, null);
	}
	
	/**
	 * 委托下单返回
	 * */
	function getStockBuyCallBack(data)
	{
		if(data.error_no == 0){
			var results = data.results;
			if(results ){
				//提示框
				var tipStr = "<span style='font-weight:bold;font-size: 18px;'>交易提示</span><br>交易委托已提交，委托编号："+results[0].entrust_no;
				layerUtils.iAlert(tipStr);
			}
						//getPayStock();
			
		}else{
			layerUtils.iAlert(data.error_info);
			//$(_pageId+"#stockNum").val("");
			//resetBuyForm();
		}
		
		resetBuyForm();
		if($(_pageId+" .repay_table .button-group .a2").hasClass("current")){
			$(_pageId+" .repay_table .first_select").show();
  			$(_pageId+" .repay_table .second_select").hide();
		}
		
		var height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28;//-$(_pageId+".fund_table thead").height()
		$(_pageId+".table_body").height(height_table).css({"overflow":"auto","overflow-x":"hidden"});
		//$(_pageId+".mt10 .select_box p .code").html("");
		//$(_pageId+".mt10 .select_box p .name").html("");
		
		isShowTable(height_table);
		
		refreshHoldingTable();
		
	}
	//判断是否显示页面最下面的持仓列表
	function  isShowTable(height){
		var height_table=height;
		var thead_height=$(_pageId+" .table_head").height();
		
		if(height_table>=thead_height*2){//能显示>=3行数据就显示列表
			$(_pageId+" .table_head").show();
			$(_pageId+" .table_body").show();
			$(_pageId+" .group_box").show();
			return 1;
		}else{//不显示列表
			$(_pageId+" .table_head").hide();
			$(_pageId+" .table_body").hide();
			$(_pageId+" .group_box").hide();
			return 0;
		}
	}
	/**
	 * 重置表单
	 * */
	function resetBuyForm(){
		//$(_pageId+" .input_select .select_box p").text("请选择");
		$(_pageId+"#stockNum").val("");
		$(_pageId+"#mayPay").html("");
		$(_pageId+"#enableNum b").text("");
		//$(_pageId+".select_box ul").html("");
		$(_pageId+".select_box ul").hide();
		$(_pageId+".mt10 .select_box p .code").html("");
		$(_pageId+".mt10 .select_box p .name").html("");
		$(_pageId+".select_box p .code").text("请选择证券");
		stockCode_globle="";//证券代码
		stockName_globle="";
		compact_id="";//选定的合约编号
		compact_date="";
		compact_initDate="";
	}
	
	function refreshHoldingTable(){
		if($(_pageId+" .group_box .button-group .a1").hasClass("current")){
			commontrade.Cleartimer();
			$(_pageId+".no_data").hide();
			$(_pageId+".fund_table .ce_table tbody").show();
			var headTr = "<tr><th>开仓日期</br>到期日期</th> <th scope=\"col\">合约编号</br>类型</th><th scope=\"col\">证券名称</br>代码</th><th scope=\"col\">待偿金额</br>待偿利息</th></tr>";
			$(_pageId+".fund_table .ce_table thead").html(headTr);
			queryHoldingContract();
		}else{
	    	$(_pageId + " #holding_com").hide();
			$(_pageId + " #my_holding").show();
			commontrade.queryHolding(_pageId,0);
//			queryMyHolding();
		}
  		
	}
	
	function queryHoldingContract(){
		height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28;//-$(_pageId+".fund_table thead").height()
			$(_pageId+".table_body").height(height_table).css({"overflow":"auto","overflow-x":"hidden"});
		$(_pageId + " #holding_com").show();
		$(_pageId + " #my_holding").hide();
		var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid= userInfo.session_id;
		var stock_account ="";
		var stock_code = "";
		var exchange_type = "";
		
		var param={
				"entrust_way":entrust_way,
				"branch_no":userInfo.branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"stock_account":stock_account,
				"stock_code":stock_code,
				"exchange_type":exchange_type,
				"compact_status":"0",
				"compact_type":"1"
		};
		service_credit.contractmx_query(param,queryHoldingContCallback);//303021
		
	}
	 function queryHoldingContCallback(data){
	    	if (data && data != "undefined") {
				if(data.error_no == 0){
					var results = data.results;
//					var headTr = "<tr><th scope=\"col\">开仓日期</br>到期日期</th> <th scope=\"col\">合约编号</br>合约类型</th><th scope=\"col\">证券</br>代码</th><th scope=\"col\">待偿数量<br/>待偿利息</th>";
//					$(_pageId+".fund_table .ce_table thead").html(headTr);
					if(results && results.length>0){
						var myHtml = "";//"<tr><th scope=\"col\">开仓日期<br/>到期日期</th> <th scope=\"col\">合约编号</br>合约类型</th> <th scope=\"col\">证券<br/>代码</th> <th scope=\"col\">待偿数量<br/>待偿利息</th>  ";
						
						for(var i=0;i<results.length;i++){
							var type="";
							if(results[i].compact_type=="1")
							   type="融券";
							else
								type="融资";
							
							myHtml+="<tr id="+results[i].stock_code+">" ;
							myHtml+="<td >"+results[i].open_date+"<br/>"+results[i].ret_end_date+"</td>";
							myHtml+="<td >"+results[i].compact_id+"<br/>"+type+"</td>";
							myHtml+="<td >"+results[i].stock_code+"<br/>"+results[i].stock_name+"</td>";
							myHtml+="<td >"+Number(results[i].left_qty)+"<br/>"+Number(results[i].left_int).toFixed(2)+"</td>";
							myHtml+="</tr>";
							
						}
						$(_pageId+".table_body .ce_table tbody").html(myHtml);
				  		$(_pageId+" .table_body .ce_table tbody").show();
						Align();
						
					}else{
						$(_pageId+".no_data").show();
				  		$(_pageId+" .table_body .ce_table tbody").hide();
					}
				}else{
					layerUtils.iAlert(data.error_info);
				}
			}
	    	else{
	    		layerUtils.iAlert("查询失败");
	    	}
	    }
	
	
    function queryMyHolding(){
    	height_table = $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()-$(_pageId+" .repay_table").height()-$(_pageId+" .group_box").height()-$(_pageId+" .table_head").height()-28 ;//-$(_pageId+".fund_table thead").height()
			$(_pageId+".table_body").height(height_table).css({"overflow":"auto","overflow-x":"hidden"});
    	$(_pageId + " #holding_com").hide();
		$(_pageId + " #my_holding").show();
    	var entrust_way = global.entrust_way; // 委托方式  在configuration配置 
		var fund_account = userInfo.fund_account;	//资产账户
		var cust_code = userInfo.cust_code;	//客户代码
		var sessionid= userInfo.session_id;
		var stock_account ="";
		var stock_code = "";
		var exchange_type = "";
		var param={
				"entrust_way":entrust_way,
				"branch_no":userInfo.branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"stock_account":stock_account,
				"stock_code":stock_code,
				"exchange_type":exchange_type
		};
		//console.log("param="+param.entrust_way,param.branch_no,param.fund_account,param.cust_code,param.sessionid,param.stock_account,param.stock_code,param.exchange_type);
		service_credit.cc_query(param,queryMyHoldingCallback);//303003
    }
    
    function queryMyHoldingCallback(data){
    	
    	if (data && data != "undefined") {
			if(data.error_no == 0){
				var results = data.results;
				var resultsLen=results.length;
//				var headTr = "<tr><th scope=\"col\">证券<br/>代码</th> <th scope=\"col\">担保可卖</br>可卖</th> <th scope=\"col\">市值<br/>持仓</th> <th scope=\"col\">盈亏<br/>比例</th> <th scope=\"col\">成本<br/>现价</th></tr>";
//				$(_pageId+".fund_table .ce_table thead").html(headTr);
				if(results && results.length>0){
					var myHtml = "";//"<tr><th scope=\"col\">证券<br/>代码</th> <th scope=\"col\">担保可卖</br>可卖</th> <th scope=\"col\">市值<br/>持仓</th> <th scope=\"col\">盈亏<br/>比例</th> <th scope=\"col\">成本<br/>现价</th>  ";
					for(var i=0;i<resultsLen;i++){
						var float_yk=0;
						var yk_per = 0;
						var css=" ";
						float_yk = Number(results[i].float_yk).toFixed(2);
						yk_per = results[i].float_yk_per;
						if(float_yk==0){
							css="";
							yk_per="0.00%";
						}else{
							if(float_yk>0){
								css="ared";
								
							}
							else{
								css="agreen";
							}
						}
						
						myHtml+="<tr id="+results[i].stock_code+">" ;
						myHtml+="<td>"+results[i].stock_name+"<br/>"+results[i].stock_code+"</td>";
						myHtml+="<td>"+Number(results[i].ownshare_avl)+"<br/>"+Number(results[i].enable_amount)+"</td>";
						myHtml+="<td>"+Number(results[i].market_value).toFixed(2)+"<br/>"+results[i].cost_amount+"</td>";
						myHtml+="<td ><span class='"+css+"'>"+ float_yk+"</span>"+"<span class='"+css+"'>"+  yk_per+ "</span></td>";
						myHtml+="<td>"+Number(results[i].cost_price).toFixed(3)+"<br/>"+Number(results[i].last_price).toFixed(2)+"</td>";
						myHtml+="</tr>";
						/*myHtml+="<tr id="+results[i].stock_code+">" ;
						myHtml+="<td>"+results[i].stock_name+"<br/>"+results[i].stock_code+"</td>";
						myHtml+="<td>"+0+"<br/>"+0+"</td>";
						myHtml+="<td>"+0+"<br/>"+1000+"</td>";
						myHtml+="<td ><span class='"+css+"'>"+ float_yk+"</span>"+"<span class='"+css+"'>"+  yk_per+ "</span></td>";
						myHtml+="<td>"+Number(results[i].cost_price).toFixed(3)+"<br/>"+Number(results[i].last_price).toFixed(2)+"</td>";
						myHtml+="</tr>";*/
						
					}
					$(_pageId+".table_body tbody").html(myHtml);
					Align();
				}else{
					$(_pageId+".no_data").show();
				}
			}else{
				layerUtils.iAlert(data.error_info);
			}
		}
    	else{
    		layerUtils.iAlert("查询失败");
    	}
    }
    
    /**
	 * 对齐tbody / thead
	 * @param width 调整的宽度
	
	 */
	 function Align(){//对齐tbody / thead
		   $(_pageId+".table_head .ce_table thead").find("th").each(function(){ 
		        var idx = $(this).index();         
		        var td=$(_pageId+".table_body tbody tr").children('td').eq(idx);
		        if(td.width()>40){
		        	$(this).width(td.width());
		        }else{
		        	 $(this).width() > td.width() ? td.width($(this).width()) : $(this).width(td.width());
		        }
		           
		        }); 
		        
	   }

	
	/**
	 * 销毁
	 */
	function destroy(){
		resetBuyForm();
		stockAccount=null;
		exchangeType = null;//交易市场类别（见数据字典)
	    userInfo =null;
		position_timer = "";
		//stockCode_globle="";//证券代码
		//stockName_globle="";
		results1=[];//持仓证券
		results2=[];//合约持仓
		
		$(_pageId+".mt10 .select_box p .code").html("");
		$(_pageId+".mt10 .select_box p .name").html("");
		$(_pageId+".table_body tbody").html("");

  		if(tocontractpage == false)
  		{
			if($(_pageId+" .repay_table .button-group .a1").attr("class") != "a1 current")
	  		{
				$(_pageId+".repay_table .button-group a").addClass("current");
				$(_pageId+".repay_table .button-group a.a2").removeClass("current");		
	  			
	  		}
			if($(_pageId+".group_box .button-group a.a1").attr("class") != "a1 current" )
			{
				$(_pageId+".group_box .button-group a").addClass("current");
				$(_pageId+".group_box .button-group a.a2").removeClass("current");		
	
			}
  		}

		$(_pageId+".no_data").hide();
		$(_pageId + " #holding_com").show();
		$(_pageId + " #my_holding").hide();
		
		
		
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("credit/order/bondAlsoCoupons","credit/index",{});
		destroy();
		}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});