/**
 * 信用交易-下单首页
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
    var _pageId = "#credit_order_mainOrder ";
    var common = require("common");
    
    /**
     * 初始化
     */
	function init(){common.hideBottomBar();
		common.bindStockEvent(_pageId);  //绑定头部菜单事件
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/order/mainOrder","account/index",{});
			e.stopPropagation();
		});
		//融资融券主页菜单事件绑定
		appUtils.bindEvent($(_pageId + ".order_nav ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			var param =  $(this).attr("param"); //获取跳转页面参数
			var pageCode = _pageId.replace("#","").replaceAll("_","/").replace(" ","");
			
			if(topage == "newshare/apply"){
				appUtils.setSStorageInfo("whichPage",pageCode);
			}
			
			appUtils.setSStorageInfo("whichAccount","credit_userInfo");
			appUtils.pageInit("credit/order/mainOrder",topage,{"param":param}); 
			e.stopPropagation();
		});
		//查询跳转
		appUtils.bindEvent($(_pageId+".noicon_text"), function(e){
			appUtils.pageInit("credit/order/mainOrder","credit/query/financingQuery",{});
			e.stopPropagation();
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		$(" #inputPopLayer").remove();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("credit/order/mainOrder","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});