/**
 * 信用交易   卖券还款
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var validatorUtil = require("validatorUtil");
	var global = gconfig.global;
	var service_hq = require("service_hq");
	var layerUtils = require("layerUtils");
	var service_credit = require("service_credit");
    var _pageId = "#credit_order_sellTicketsRepayment ";
    var external = require("external");
    var limitedMarketEntrust = "limited";
    var common = require("common");
    var commonTrade = require("commonTrade");
    var service_common = require("service_common");
    var nativePluginService = require("nativePluginService");
    var commonFunc = require("commonFunc");
    var entrust_bs = "1";
    var external = require("external");
    var service_stock = require("service_stock");
    var compact_id = ""; //合约编号
    var entrust_type = "6";
    
    /**
     * 初始化
     */
	function init(){
		// 隐藏下面导航
		common.hideBottomBar();
		$(_pageId).css("overflow-x","hidden");
		var height_table = $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() - $(_pageId+".trade_main").height()-$(_pageId+".one_table").height()-59;
	    $(_pageId+".sell").height(height_table).css("overflow", "auto");   //给持仓数据添加高度
	    setTimeout(function(){
			// 给持仓数据添加高度
        	$(_pageId+".sell").css({
            	"height": $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() - $(_pageId+".trade_main").height()-$(_pageId+".one_table").height()-59 + "px",
            	"overflow-y": "auto",
               	"overflow-x": "hidden"
            });
		}, 300);
	    // 初始化页面数据
		commonTrade.initPage(_pageId, entrust_bs, entrust_type, 3);
		// 绑定页面事件
		commonTrade.bindEvent(_pageId, entrust_bs, entrust_type);
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		// 绑定页面事件
//		commonTrade.bindEvent(_pageId, entrust_bs, entrust_type);
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		// 清除页面数据
		commonTrade.dataDestroy(_pageId, entrust_bs);
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});