/**
 * 担保品划转主页面
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
    var _pageId = "#credit_transferred_collateralTransfer ";
    var common = require("common");
    
    /**
     * 初始化
     */
	function init(){common.hideBottomBar();
		common.bindStockEvent(_pageId);  //绑定头部菜单事件
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/transferred/collateralTransfer","account/index",{});
			e.stopPropagation();
		});
		//划转页面事件跳转
		appUtils.bindEvent($(_pageId + ".main .ct_nav ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			var param =  $(this).attr("param");
			if(!param){
				param = "";
			}
			appUtils.pageInit("stock/stockQuery",topage,{"param":param}); 
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){

	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("credit/transferred/collateralTransfer","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});