/**
 * 担保品转出
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
    var _pageId = "#credit_transferred_collateralTransferOut ";
    var	layerUtils = require("layerUtils");
    var	service_credit = require("service_credit");
	var common = require("common");var service_hq = require("service_hq");
    var userInfo = null;
    var stockCodeOut = "";//保存点击转出的股票代码
    var VIscroll = require("vIscroll");
    var vIscroll = {"scroll":null,"_init":false};		//上下滑动
    var dcl_secu_acc;//普通证券账户，即系统间证券账户dcl_secu_acc
	var bind_seat;//普通席位，系统间席位
	var dft_acc;//普通资金账户
    /**
     * 初始化
     */
	function init(){
		common.hideBottomBar();
		common.systemKeybord(); // 解禁系统键盘
 		$(_pageId).css("overflow-x", "hidden");
		userInfo = JSON.parse(appUtils.getSStorageInfo("credit_userInfo"));
		queryTradePosition();
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		
		appUtils.bindEvent($(_pageId + ' .bind-click'), function(e){
			var $this = $(this),
				param = $this.attr("data-topage");
			appUtils.pageInit("credit/transferred/collateralTransferOut", param, {});
			e.stopPropagation();
		});
		
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/transferred/collateralTransferOut", "credit/index", {});
			e.stopPropagation();
		});
		//查询按钮
		appUtils.bindEvent($(_pageId+".top_title .search_text"), function(e){
			$(_pageId+".toggle_nav ul li:eq(0)").addClass("active").siblings().removeClass("active");
			appUtils.pageInit("credit/transferred/collateralTransferOut","credit/query/collateralQuery",{});
			e.stopPropagation();
		});
		//下拉框显示
		appUtils.bindEvent($(_pageId+".dcl_secu"), function(e){
			$(_pageId+"#stock_list ul").show();
			e.stopPropagation();
		});
		//转出全部
		appUtils.bindEvent($(_pageId + ".td_all>a"), function(e){
			var all = $(this).siblings("b").html();
			if (all === "--"){
				all = "0";
			}
			if(all != 0)
			{
				$(_pageId + " #huazhuan_num").val(all);
			}
			else
			{
				layerUtils.iAlert("最大可转数量为0")
			}
			e.stopPropagation();
		});
		
		//确认、取消
		appUtils.bindEvent($(_pageId + " .pop_btn02 a"), function(e){
			var this_class = $(this).attr("class");
			if (this_class === "ok"){
				var num = Number($(_pageId + " #huazhuan_num").val());
				var MaxNum = Number($(_pageId + " .td_all>b").html());
				if (num&&(num !=0 )){
					if(num <= MaxNum)
					{
						stockTransOut(num);
						$(_pageId + " #huazhuan_num").val("");
						$(_pageId + " #huazhuan_name").html("--");
						$(_pageId + " .td_all>b").html("--");
						$(_pageId + " #huazhuan1").hide();
						$(_pageId + " #huazhuan").hide();
                    }
					else
					{
						layerUtils.iAlert("委托数量不能超过最大可用数量");
					}
				}
				else if(num == 0)
				{
					layerUtils.iAlert("输入委托数量不能为0");
				}
				else
				{
					layerUtils.iAlert("输入委托数量有误");
				}
			}
			else
			{
				$(_pageId + " #huazhuan_num").val("");
				$(_pageId + " #huazhuan_name").html("--");
				$(_pageId + " .td_all>b").html("--");
				$(_pageId + " #huazhuan1").hide();
				$(_pageId + " #huazhuan").hide();
			}
			e.stopPropagation();
		});
		
	}
    
    /**
	 * 交易持仓查询
	 */
    function queryTradePosition(){
    	var param = {
				entrust_way: global.entrust_way, // 委托方式  在configuration配置
				branch_no: userInfo.branch_no, // 分支机构
				fund_account: userInfo.fund_account, // 资金账号
				cust_code: userInfo.cust_code, // 客户编号
				password: userInfo.password, // 交易密码
				sessionid: userInfo.session_id, // 会话号
				stock_account: "", // 证券账号
				stock_code: "", // 股票代码
				exchange_type: ""
		};
		/**
		 * 担保信息查询(划出信息查询)
		 */
		service_credit.hz_query(param,queryMsgCallBack);
    }
    /**
     * 查询信息回调函数
     */
    function queryMsgCallBack(data){
		if(data.error_no == "0"){
			var data = data.results;
			if(data[0]){
				creatHtml(data);
				 //var height_table = $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() - $(_pageId+".total_money").height() - 22;
			     //$(_pageId+".mar_stock").height(height_table).css("overflow", "auto");   //给持仓数据添加高度
			}else{
				 $(_pageId+ ".no_data").show();
			}
			if(!vIscroll._init){
				initVIScroll();
			}else{
				vIscroll.scroll.refresh();
				initVIScroll();
			}
		}else{
			layerUtils.iAlert(data.error_info);
		}			
    }
    
    /**
	 * 初始化滑动组件
	 */
	function initVIScroll(){
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": $(window).height()-$(_pageId+".header").height()-$(_pageId+".tab_nav").height()+4  ,//显示内容区域的高度，当isPaingType为false时传
					"container": $(_pageId+"#v_container_funds_jj"),	
					"wrapper":$(_pageId+"#v_wrapper_funds_jj"),	
					"downHandle": function() {
						queryTradePosition();
					},
					"upHandle": function() {
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true;
			$(_pageId + ".visc_pullUp").css("display","none");
		} else {
			vIscroll.scroll.refresh();
				$(_pageId + ".visc_pullUp").css("display","none");
		}
	}
    
    /**
     * 生成查询持仓函数
     * @param {Object} data
     */
    function creatHtml(data){
    	var html = "";
    	//var db_all_value = 0;
    	var sz_arr = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "18", "19", "21", "22", "23", "24", "64"];
    	var hq_str = "";
		for(var i= 0;i<data.length;i++){
			//db_all_value += Number(data[i].owncurrent_cost);
			if ($.inArray(data[i].exchange_type, sz_arr) > 0){
				hq_str += "SZ:"+data[i].stock_code + "|";
			} else {
				hq_str += "SH:"+data[i].stock_code + "|";
			}
			var cssClass = "";
//			if(data[i].float_yk_per > 0){
//				cssClass = "ared";
//			}else if(data[i].float_yk_per < 0){
//				cssClass = "agreen";
//			}
			var float_vk = data[i].float_yk;
			if(float_vk > 0){
				float_vk = "+" + float_vk;
			}
			if(float_vk > 0){
				cssClass = "ared";
			}else if(float_vk < 0){
				cssClass = "agreen";
			}
			var coll_disc_ratio = data[i].coll_disc_ratio;
			if (!coll_disc_ratio){
				coll_disc_ratio = "--";
			}
			var float_yk_per =data[i].float_yk_per;
				html +=	  "<div class='part' data-lastP="+data[i].last_price+" data-stockCode="+data[i].stock_code+" data-stockName="+data[i].stock_name+" data-cost="+data[i].cost_price+">";
		        html +=    	"<a href='javascript:void(0);' class='order' data-seat='"+data[i].seat+"' data-stock_account="+data[i].stock_account+" data-exchange_type="+data[i].exchange_type+" data-enable_amount="+data[i].enable_amount+">转出</a>";
		        html +=    	"<h5 style='white-space:nowrap;'>"+data[i].stock_name+" <small>"+data[i].stock_code+"</small><em>盈亏:</em><span class='pl5 "+cssClass+ "'>"+float_vk+"</span><span class="+cssClass+ " id='fyp_"+data[i].stock_code+"'>"+float_yk_per+"%</span></h5>";
		        html +=    	"<dl class='clearfix'>";
		        html +=        	"<dt style='width:32%;'><strong id='cbj_"+data[i].stock_code+"'>"+Number(data[i].last_price).toFixed(2)+"</strong><p><span id='zd_"+data[i].stock_code+"'>--</span><span id='zdf_"+data[i].stock_code+"'>--</span></p></dt>";
		        html +=            "<dd><p id='cp_"+data[i].stock_code+"'><em>成本</em> "+Number(data[i].cost_price).toFixed(3)+"</p><p><em>持仓</em> "+data[i].cost_amount+"</p></dd>";
		        html +=            "<dd><p><em>折算率</em> "+coll_disc_ratio+"</p><p><em>可用</em> "+data[i].enable_amount+"</p></dd>";
		        html +=    	"</dl>";
		        html +=    "</div>";
		}
		hq_str = hq_str.replace(/\|$/, "");
		//$(_pageId + " #db_all").html(db_all_value.toFixed(2));
		$(_pageId + " #append").html(html);
		//查询行情
		queryHqZDF(hq_str);
		//划出按钮
		appUtils.bindEvent($(_pageId+"#append .order"), function(e){
			var stockCode = $(this).parent().attr("data-stockCode");//股票代码
			var stockName = $(this).parent().attr("data-stockName");//name
			var enable_max_amount = $(this).attr("data-enable_amount");//name
			var exchange_type = $(this).attr("data-exchange_type");//name
			var stock_account = $(this).attr("data-stock_account");
			var seat = $(this).attr("data-seat");
			$(_pageId + " #huazhuan_name").html(stockName + " " + stockCode);
			$(_pageId + " .td_all>b").html(enable_max_amount);
			$(_pageId + " #huazhuan_name").data("stockCode", stockCode);
			$(_pageId + " #huazhuan_name").data("exchange_type", exchange_type);
			$(_pageId + " #huazhuan_name").data("stock_account", stock_account);
			$(_pageId + " #huazhuan_name").data("seat", seat);
			getStockMsg(exchange_type);
			e.stopPropagation();
		},"click");
		
    }
    /**
     * 查询行情涨跌幅
     */
    function queryHqZDF(hq_str){
    	service_hq.getStockNowPrice({"stock_list": hq_str}, function(data){
			var errorNo = data.errorNo;
			if (errorNo == 0){
				var results = data.results,
				re_length = results.length,
			    costprice = "",
			    float_yk_per;
				if (re_length){
					for(var i = 0; i < re_length; i++){
						var item = results[i],
							zd = item[11],
							zdf = item[12] * 100;
						zd = Number(zd).toFixed(2);
						zdf = Number(zdf).toFixed(2);
						var cssClass = "";
						if (zdf > 0){
							cssClass = "ared";
						} else if(zdf < 0){
							cssClass = "agreen";
						}
						if (zd > 0){
							zd = "+" + zd;
						}
						costprice = $(_pageId + " #cp_" + item[1]).html().substring(12,17);
						float_yk_per = Number(((item[2] - costprice)/costprice)*100).toFixed(2);
						$(_pageId + " #zd_" + item[1]).addClass(cssClass).html(zd);
						$(_pageId + " #zdf_" + item[1]).addClass(cssClass).html(zdf + "%");
						$(_pageId + " #cbj_" + item[1]).addClass(cssClass).html( Number(item[2]).toFixed(2));
//						$(_pageId + " #fyp_" + item[1]).html(float_yk_per + "%");
					}
				}
			}
		}, {"isShowWait": false});
    
    }
    
    /**
     * 股票联动，获取信息
     */
    function getStockMsg(exchange_type){
		var stockCode = $(_pageId + " #huazhuan_name").data("stockCode");
		var stock_account = $(_pageId + " #huazhuan_name").data("stock_account");
    	var  param={};
		param.entrust_way= global.entrust_way; // 委托方式  在configuration配置
		param.branch_no=userInfo.branch_no;//分支机构
		param.password =userInfo.password;//密码
		param.exchange_type=exchange_type;//交易类别（见数据字典）
		param.cust_code=userInfo.cust_code;//客户编号
		param.fund_account = userInfo.fund_account;//资金账号（信用）
		param.stock_account = stock_account;//证券账号（信用）
		param.stock_code = stockCode;//证券代码
		param.entrust_bs="77";//交易类别（见数据字典）
		param.sessionid = userInfo.session_id;//会话
		service_credit.dbin_link(param, getStockMsgCallback);
    }
    /**
     * 股票联动回调函数
     */
    function getStockMsgCallback(data){
    	var errorNo = data.error_no,
    		errorInfo = data.error_info;
    	if (errorNo === "0"){
    		var DataSet1 = data.DataSet1; //取系统间股东账户、资金账户、席位	
    		var DataSet2 = data.DataSet2; //取最大可交易数量   	
    		var dcl_secu = "";
    		if(data.DataSet1 != null&&data.DataSet1.length>0&&DataSet1 != ""){
    				if(DataSet1.length >= 6){
    					var selectHeight = 6 * 0.44;
    				}else{
    					selectHeight = 0.44*DataSet1.length;
    				}
    				var listHtml = "<ul class='ul-border' style=\"display:none;border:none;overflow-y:auto;height:"+selectHeight+"rem\">";
    				$(_pageId+"#dcl_secu").html(DataSet1[0].DCL_SECU_ACC);
    				dcl_secu_acc = DataSet1[0].DCL_SECU_ACC;//普通证券账户，即系统间证券账户dcl_secu_acc
    				bind_seat = DataSet1[0].BIND_SEAT;//普通席位，系统间席位
    				dft_acc = DataSet1[0].DFT_ACC;
    				for(var i = 0;i < DataSet1.length; i++) {
    					listHtml += "<li><a href=\"javascript:void(0);\" bind_seat = "+DataSet1[i].BIND_SEAT+" dft_acc = "+DataSet1[0].DFT_ACC+"><strong>"+DataSet1[i].DCL_SECU_ACC+"</strong></a></li>";
    				};
    				listHtml+="</ul>";
    				$(_pageId+"#stock_list").html(listHtml);
    				appUtils.bindEvent($(_pageId+".select_box ul li"),function(){
    					dcl_secu_acc = $(this).find("strong").html();
    					bind_seat=$(this).find("a").attr("bind_seat");
    					dft_acc= $(this).find("a").attr("dft_acc");
    					$(_pageId+"#dcl_secu").html(dcl_secu_acc);
    					$(_pageId+"#stock_list ul").hide();
    				},"click");
    			}else{
    				layerUtils.iAlert("无对应的普通账号");
    			}
    		
    		if(DataSet2 != null&&DataSet2.length>0&&DataSet2 != ""){
    			var enable_amount = DataSet2[0].enable_amount;
//    			$(_pageId + " .td_all>b").html(enable_amount);
    			
    		}else{
    			layerUtils.iAlert("取最大可交易数量失败！");
    		}
    		
   			$(_pageId + " #huazhuan1").show();
 			$(_pageId + " #huazhuan").show();
    	}else{
    		layerUtils.iAlert(errorInfo);
    	}
    	
    }
    
    /**
	 * 划转操作
	 */
	function stockTransOut(num){
		var stockCode = $(_pageId + " #huazhuan_name").data("stockCode");
		var exchange_type = $(_pageId + " #huazhuan_name").data("exchange_type");
		var stock_account = $(_pageId + " #huazhuan_name").data("stock_account");//信用资金账户
		var seat = $(_pageId + " #huazhuan_name").data("seat"); //信用席位
		var  param={};
		param.entrust_way = global.entrust_way; // 委托方式  在configuration配置
		param.branch_no = userInfo.branch_no;//分支机构
		param.password = userInfo.password;//密码
		param.sessionid = userInfo.session_id;//会话
		param.cust_code = userInfo.cust_code;//客户编号
		param.stock_account_crdt = stock_account;//证券账号（信用）
		param.fund_account_crdt = userInfo.fund_account;//资金账号（信用）
		param.seat_no_crdt = seat;//席位编号（普通）
		
		param.exchange_type = exchange_type;//交易类别（见数据字典）
		param.stock_code = stockCode;//证券代码
		param.entrust_bs = "77";//买卖方向（76：买入--普转信，77：卖出--信转普）
		param.entrust_amount = num;//过户数量
		param.stock_account = dcl_secu_acc;//证券账号（普通），系统间证券账户
		param.seat_no=bind_seat;//席位编号（普通），系统间席位
		param.fund_account= userInfo.fund_account;//资金账号（普通），系统间资金账户
		service_credit.dbin_sub(param, transCallback);
	}
	/**
	 * 划入回调函数
	 */
	function transCallback(data){
		if(data.error_no == "0"){
			layerUtils.iAlert("委托成功，委托编号为："+data.results[0].entrust_no+"，T+1日到账");
			queryTradePosition();
		}else{
			layerUtils.iAlert(data.error_info);
		}
	}

	//添加或者修改json数据
	function setJson(jsonStr,name,value){
		if(!jsonStr)jsonStr="{}";
		var jsonObj = JSON.parse(jsonStr);
		jsonObj[name] = value;
		return JSON.stringify(jsonObj);
	}
	//删除数据
	function deleteJson(jsonStr,name){
		if(!jsonStr)return null;
		var jsonObj = JSON.parse(jsonStr);
		delete jsonObj[name];
		return JSON.stringify(jsonObj);
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		$(_pageId+ ".no_data").hide();
		$(_pageId + " #append").html("");
		stockCodeOut = "";
		$(_pageId + " #db_all").html("--");
		$(_pageId + " #huazhuan_num").val("");
		$(_pageId + " #huazhuan_name").html("--");
		$(_pageId + " .td_all>b").html("--");
		$(_pageId + " #huazhuan1").hide();
		$(_pageId + " #huazhuan").hide();
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});