/**
 * OTC-委托成功
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var common = require("common");
    var _pageId = "#otc_otcSuccess ";

    /**
     * 初始化
     */
	function init(){common.hideBottomBar();
		common.bindStockEvent(_pageId); //绑定头部菜单事件
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			appUtils.pageInit("otc/otcSuccess","account/index",{});
		});
	
		//确定
		appUtils.bindEvent($(_pageId+" #success"),function(){
			appUtils.pageInit("otc/otcSuccess","otc/otcProducts",{}); 
		});
		
		
		
	}
    
	/**
	 * 销毁
	 */
	function destroy(){

	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("otc/otcSuccess","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});