/**
* 结果页
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		_pageId = "#fxjs_result";
	var mobileService = require("mobileService");
	var external = require("external");
	var common = require("common");
	
	function init(){
		common.hideTabBar();
		//初始化页面
		initPage();
	}
	
	//初始化页面
	function initPage() {
		var status = appUtils.getPageParam("status");
		var description = appUtils.getPageParam("description");
		if("5" == status){
			$(_pageId+" .icon").show();
			$(_pageId+" .success_main h5").html("开通成功");
			$(_pageId+" .success_main p").html(description);
		}else if("4" == status){
			$(_pageId+" .icon").hide();
			$(_pageId+" .success_main h5").html("开通失败");
			$(_pageId+" .success_main p").html(description);
		}
	}
	
	function bindPageEvent(){
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" #confirm"), function(){
			appUtils.pageInit("fxjs/result", "myAccount/index",{});
		});

		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			 appUtils.pageBack();
		});

		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
				"funcNo":"50101",
				"moduleName":"index"
			};
			external.callMessage(param);
		});
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	var result = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = result;
});