define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var layerUtils = require("layerUtils");
	var _pageId ="#myAccount_message";
	var mobileService = require("mobileService");
	var common = require("common");
	var external = require("external");
	var nativePluginService = require("nativePluginService");
	var gconfig = require("gconfig");
	 //进行登陆检测
    var resultVo;
    var login_state = "";
    var st="",ct="";
	 
	function init() {
	    st=appUtils.getSStorageInfo("st"); //普通资金账号登陆
		ct=appUtils.getSStorageInfo("ct"); //信用资金账号登陆
		common.hideTabBar();
		// 获取壳子里的全局登陆状态，1:已经登陆； 0:代表退出
		resultVo = nativePluginService.function50041({"key":"app_login_state"});
		login_state = resultVo.results[0].value;
		queryNoticeList();
		var msgh = $(window).height() - 44; //页面高度减去需要固定部分的高度
		$(_pageId + " .main").css("height", msgh + "px");
		$(_pageId + " .main").css("overflow-y", "auto");
	}

	// 获取所有公告
	function queryNoticeList(){
		$(_pageId+" #li_notice").addClass("active").siblings().removeClass("active");
		$(_pageId+" #notice_info").show();
		$(_pageId+" #inform_info").hide();
		$(_pageId+" #privateLetter_info").hide();
		mobileService.showNotice({},function(data)
		{
			var error_no = data.error_no;
            var error_info = data.error_info;
			if(error_no == 0){
				var results = data.results;
				var elements = "";
				if("undefined" != results && null !=results && "" != results){
					//截取创建时间的年月日，存到到arr1
					var arr1 = [];
					var list_obj = {};
					for(var i=0 ;i<results.length;i++){
					    var create_date = results[i].create_date;
						var final_date = create_date.split(" ")[0];	//创建日期
						if(list_obj[final_date]){
							list_obj[final_date].push(results[i]);
						}else{
							var arr =[];
							arr.push(results[i]);
							list_obj[final_date] = arr;
						}
					}
					for(var j in list_obj){
					 	var final_date = j ;
					 	//得到星期
						var arys1 = new Array();      
						arys1 = final_date.split('-');     //日期为输入日期，格式为 2013-3-10
						var ssdate=new Date(arys1[0],parseInt(arys1[1]-1),arys1[2]);   
						var weekDay = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
						var week = weekDay[ssdate.getDay()];
					 	elements += "<p class=\"msg_day\"><span>"+final_date+"";
					 	elements += "<span style=\"margin-left:6px\"></span>";
					 	elements += ""+week+"</span></p>";
					 	var results = list_obj[j];
					 	for(var i=0 ;i<results.length;i++){
					 		var id = results[i].id;						//标题id
							var create_date = results[i].create_date;	//创建时间
							var title = results[i].title;				//标题
							var final_date = create_date.split(" ")[0];	//创建日期
							var final_time = (create_date.split(" ")[1]).substr(0,5);	//创建日期
//					 		elements+="<div class=\"msg_cont\"><div class=\"pic\"><img src=\"images/cs_img.jpg\"></div><div title_id="+id+" id=\"title0"+i+"\" class=\"info\"><p class=\"time\">"+final_time+"</p><p>"+title+"</p></div></div>";
							elements+="<div class=\"msg_cont\"><div class=\"pic\"><img src=\"images/cs_img.jpg\"></div><div title_id="+id+" id=\"title0"+i+"\" class=\"info\"><p><span>"+title+"</span><span style=\"display:inline-block;min-width:40px;width:40px;\"><b class=\"time\">"+final_time+"</b></span></p></div></div>";
	//						// 预绑定查看消息内容的事件
							appUtils.preBindEvent($(_pageId+" #notice_info"),"#title0"+i,function(e){
								appUtils.setSStorageInfo("title_id",$(this).attr("title_id"));
								appUtils.setSStorageInfo("messageSign","notice");
								appUtils.pageInit("myAccount/message","myAccount/messageDetail",{"title_id" : $(this).attr("title_id"),"messageSign" : "notice"});
								e.stopPropagation();
							});
					 	}
					}
				}
				$(_pageId+" #notice_info").html(elements);
			}
			else{
//			   layerUtils.iAlert(error_info);
				layerUtils.iMsg(-1, error_info);
			   return false;
			}
		},{isShowWait:false});
	}
	
	function bindPageEvent() {
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			// 已经统一登陆
			if(login_state == "1")
			{
				if(appUtils.getSStorageInfo("_prePageCode") == "myAccount/index"){
					appUtils.pageInit("myAccount/message","myAccount/index",{});
				}else if(appUtils.getSStorageInfo("_prePageCode") == "credit/creditAccount"){
					appUtils.pageInit("myAccount/message","credit/creditAccount",{});
				}else{
					var param = {
						"funcNo":"50101",
						"moduleName":"home"
					};
					external.callMessage(param);
					common.showTabBar();
				}
			}else {
				var param = {
						"moduleName":"home",
						"params":{}
					};
					param["funcNo"] = "50101";
					external.callMessage(param);
				common.showTabBar();
			}
		});
		
		//绑定刷新
		appUtils.bindEvent($(_pageId+" .icon_refresh"), function(){
			queryNoticeList();
		});
		
		//绑定公告切换
		appUtils.bindEvent($(_pageId+" #li_notice"), function(){
			 queryNoticeList();
		});
		
		//绑定通知切换
		appUtils.bindEvent($(_pageId+" #li_inform"), function(){

			external.callMessage({"funcNo": "50040", "key": "inform_module", "value": "inform"});
			if("1"==st){
				appUtils.pageInit("myAccount/message","myAccount/inform");
			}
			else if("1" == ct){
				appUtils.pageInit("myAccount/message","credit/creditinform");
			}
			else{
				appUtils.pageInit("myAccount/message","myAccount/inform");
			}
		});
		
		//绑定私信切换
		appUtils.bindEvent($(_pageId+" #li_PrivateLetter"), function(){
			external.callMessage({"funcNo": "50040", "key": "privl_module", "value": "privateLetter"});
			
			if("1" == st){
				appUtils.pageInit("myAccount/message","myAccount/privateLetter");
			}
			else if("1" == ct){
				appUtils.pageInit("myAccount/message","credit/creditprivateLetter");
			}
			else{
				appUtils.pageInit("myAccount/message","myAccount/privateLetter");
			}
			
			
		});
	}
	
	function destroy() {
		external.callMessage({"funcNo": "50040", "key": "inform_module", "value": ""});
		external.callMessage({"funcNo": "50040", "key": "privl_module", "value": ""});
		mobileService.destroy();
	}
	
	var message = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = message;
});
